2017-05-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.8

2017-04-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	manual: Update from wiki.gnome.org

	vala: Enums require at least one value otherwise report an error

2017-04-27  David Lechner  <david@lechnology.com>

	gio-2.0: Fix async DBusObjectManagerClient.new/new_for_bus constructors
	Passing null is allowed for get_proxy_type_func parameter.

	https://bugzilla.gnome.org/show_bug.cgi?id=739100

2017-04-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Tweak metadata to avoid duplicated interface dependencies

	gio-2.0: Fix GLib.Task.report_error/report_new_error()

	gio-2.0: Fix GLib.Task constructor
	https://bugzilla.gnome.org/show_bug.cgi?id=781449

2017-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add quark() functions to errordomains

	build: Add missing '\'

	build: vapigen and vapicheck don't require ccode

	gtk+-2.0,gtk+-3.0: Mark "intersection" param of Widget.intersect() as out

	gstreamer-1.0: Fix Pad.set_*_function() bindings
	https://bugzilla.gnome.org/show_bug.cgi?id=750838

	girparser: Add destroy argument for metadata
	https://bugzilla.gnome.org/show_bug.cgi?id=750838

	codegen: Don't leak target-reference when casting/assigning owned delegates
	Regression of 6d07669384cdb70c3c657dba67d5048212f25da9

	https://bugzilla.gnome.org/show_bug.cgi?id=780426

	codegen: Fix delegate initializer for instance fields
	Set delegate-target to "self" which is available in *_instance_init().

	https://bugzilla.gnome.org/show_bug.cgi?id=683925

	vala: Slightly improve lamdba-expression error on target-type mismatch

	vala: Perform arguments-check against actual .end() method-signature
	This results in error message referring to the actual expected signature.

	https://bugzilla.gnome.org/show_bug.cgi?id=684208

2017-04-17  Marvin W  <git@larma.de>

	method: Always consider compatible with itself
	This is even the case with unresolved types.

	https://bugzilla.gnome.org/show_bug.cgi?id=773135

2017-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.7

2017-03-16  Marvin W  <git@larma.de>

	codegen: Properly null-out source on ownership-transfer of delegates

2017-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Add/"Unlock" missing GTask symbols

2017-03-16  Alistair Thomas  <astavale@yahoo.co.uk>

	valac: State default output directory is current working directory
	https://bugzilla.gnome.org/show_bug.cgi?id=740303

2017-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	signalmodule: Handle nullable ValueTypes properly and treat them as pointer
	Nullable value-types are actually pointers to heap-allocated structures.
	Therefore a pointer-based marshaller is required for those types.

	https://bugzilla.gnome.org/show_bug.cgi?id=758816

	codegen: Add some missing to predefined marshallers from glib
	g_cclosure_marshal_VOID__BOXED
	g_cclosure_marshal_VOID__VARIANT
	g_cclosure_marshal_BOOLEAN__BOXED_BOXED

2017-03-16  Ole André Vadla Ravnås  <oleavr@gmail.com>

	vala: Fix MemberAccess.is_non_null() for EnumValue constants
	This is because an EnumValue object does not have a type reference.

	https://bugzilla.gnome.org/show_bug.cgi?id=780050

2017-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Non-null initializers are not allowed for owned namespace fields
	https://bugzilla.gnome.org/show_bug.cgi?id=777697

	gio-2.0 Update SettingsBackend related bindings

	poppler-glib: Update to 0.52.0

2017-03-16  Alistair Thomas  <astavale@yahoo.co.uk>

	manual: Add language="vala" attribute to Devhelp version

	manual: Update from wiki.gnome.org

2017-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix base-access from within overriding struct-property-accessor
	Based on patch by gandalfn

	https://bugzilla.gnome.org/show_bug.cgi?id=764481

2017-03-16  Alistair Thomas  <astavale@yahoo.co.uk>

	enchant: Minor fixes
	Remove superfluous cname_prefix namespace-attribute.
	Add get_version() and fix array-length-type of Dict.suggest().

	https://bugzilla.gnome.org/show_bug.cgi?id=767522

2017-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Mark *.make_writable with "ReturnsModifiedPointer"
	https://bugzilla.gnome.org/show_bug.cgi?id=759255

	girparser: Add metadata-support for "returns_modified_pointer"
	https://bugzilla.gnome.org/show_bug.cgi?id=759255

	gstreamer-1.0: Fix Gst.Base.Adapter.map/take bindings
	There is no explicit array-length returned while it is implicitly related
	to the in-parameter those methods are taking.

	https://bugzilla.gnome.org/show_bug.cgi?id=705987

	gtk+-3.0: Widget.override_* are deprecated since 3.16
	https://bugzilla.gnome.org/show_bug.cgi?id=777782

	manual: Update timestamps of directory-targets

	signalmodule: Fix deprecation of signals

2017-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.6

	manual: Actually install files into "bookdir" instead of a subfolder

2017-03-07  Alistair Thomas  <astavale@yahoo.co.uk>

	manual: Initial import of manual.xml from wiki.gnome.org
	https://bugzilla.gnome.org/show_bug.cgi?id=779090

	manual: Switch to using DocBook from wiki.gnome.org as source
	https://bugzilla.gnome.org/show_bug.cgi?id=779090

	doc: Rename doc/vala to doc/manual
	Clarify contents of directory with new name

2017-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	docs: Generate and update manpages

2017-03-06  Daniel Espinosa  <daniel.espinosa@pwmc.mx>

	libxml-2.0: Adding missing API and nullable parameters
	https://bugzilla.gnome.org/show_bug.cgi?id=779490

2017-03-06  Carlos Garnacho  <carlosg@gnome.org>

	codegen: Check there is a return error location before using it
	Fixes client-side dbus generation on methods that don't throw any error.

	https://bugzilla.gnome.org/show_bug.cgi?id=779652

	tests: Add "use_string_marshalling = true" dbus-test
	Commit 09e6818d01e introduced the possibility of inserting _error
	labels at the end of functions, which make C compilers angry.
	This "test" (no actual tests are run, just compile correctness is
	checked here) triggers some of these situations.

	the "test3" abstract method is trickier though, it doesn't warn
	but produces code with early returns, which in practice means
	possible leaks.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	codegen: Avoid early return on sync dbus methods returning an error
	If there are arguments that need freeing, we need to fall through the
	_error label, if there is any.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	codegen: Only add _error path if there's parameters that require unref
	Fixes the _error label from being set at the end of a compound statement
	if there are no values to unref.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

2017-03-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	memberaccess: Don't resolve base_method/property twice
	https://bugzilla.gnome.org/show_bug.cgi?id=779219

2017-03-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.5

2017-03-02  Niko Tyni  <ntyni@debian.org>

	gtkmodule: Preserve order of required-gtype-classes for reproducibility
	The elements of current_required_app_classes end up in the generated
	code in g_type_ensure() statements. The order of these can vary
	between builds when using a HashSet, breaking reproducibilty.

	See https://wiki.debian.org/ReproducibleBuilds

	https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802528

2017-03-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix g_bookmark_file_load_from_*/to_file bindings
	BookmarkFile.load_from_file, load_from_data_dirs and to_file may
	also throw FileError in addition to BookmarkFileError.

2017-03-01  Carlos Garnacho  <carlosg@gnome.org>

	tests: Add test for dbus fd passing failures
	The server will exhaust all fds before the fd list in the dbus
	request is opened. We do expect it to fail in the client.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	dbus: Move send_message() call before _error label
	Commit 09e6818d01 changed dbus server paths so requests fell back
	to freeing allocated memory on errors. However certain kinds of
	dbus replies issue a final g_dbus_connection_send_message() there.

	In case of errors, _reply_message will be NULL, and the error paths
	would have already issued g_dbus_method_invocation_return_gerror(),
	so the g_dbus_connection_send_message() call is both unnecessary and
	warns on the NULL argument. So  move the DBus reply before the _error
	label.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	gdbus: Handle errors when extracting fds from dbus messages
	On the right situations (eg. fd exhaustion), both
	g_dbus_message_get_unix_fd_list() and g_unix_fd_list_get() should be
	considered failable here. Add proper error handling to avoid triggering
	glib warnings.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	gdbus: Ensure extracted data from the GVariant is freed on error
	This will make extracted variables properly freed when extracting those
	fails at some point.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

	gdbus: Initialize intermediate variables
	Those may be left uninitialized after error handling paths are introduced,
	so invalid data might be attempted to be freed later on.

	https://bugzilla.gnome.org/show_bug.cgi?id=778540

2017-03-01  Michael James Gratton  <mike@vee.net>

	codegen: Don't return void for non-nullable simple-type structs
	https://bugzilla.gnome.org/show_bug.cgi?id=778224

2017-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Default to void-return for vfunc pointer cast of *_async methods
	This make it match vala's generated code of async-module.

	To properly account for non-void *_async methods we require some additional
	metadata since only the return-type of *_finish method is known.

	codegen: Fix vfunc pointer cast for async method implementation/override

	codegen: Cast destroy_data for g_cclosure_new to GClosureNotify

	codegen: Cast *_destroy_func arg of generic-types calls to GDestroyNotify

	gobject-2.0: Add some missing "array_length_type" annotations

	codegen: Cast vfunc pointer assigns of abstract overrides
	https://bugzilla.gnome.org/show_bug.cgi?id=777958

2017-03-01  Nikolay Orlyuk  <virkony@gmail.com>

	codegen: Fix instance parameter for property setter in SimpleType structs
	Add test-case and fix code generator for call to the setter to pass
	instance as a value rather than as a pointer to value.

	Based on patches by Nathan Summers.

	https://bugzilla.gnome.org/show_bug.cgi?id=657346

2017-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix memory leak when using object initializer for properties
	Assigning values to properties this way leads to a ref/copy of the source
	and therefore requires a unref/destroy afterwards.

	https://bugzilla.gnome.org/show_bug.cgi?id=766739

2017-03-01  Richard Wiedenhöft  <richard@wiedenhoeft.xyz>

	Fix broken destruction of null-terminated arrays in async data structs
	https://bugzilla.gnome.org/show_bug.cgi?id=762819

2017-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix build with -Werror=switch

	codegen: Reference struct fields with their actual cname
	https://bugzilla.gnome.org/show_bug.cgi?id=775761

2017-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-2.0: Include gdk/gdkkeysyms.h for Gdk.Key
	Required since gdk.h doesn't include gdk/gdkkeysyms.h as gdk-3.0 does.

	https://bugzilla.gnome.org/show_bug.cgi?id=778173

	gdk-3.0: Update to 3.22.7

	vapi: "ref" functions must return an unowned value
	Otherwise vala would automatically add a corresponding "unref" call.

2016-12-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.22.5+a1aee460

2016-12-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.4

2016-12-05  Yu Feng  <rainwoodman@gmail.com>

	girwriter: Add fullname GIR attribute, and set fullname of GObject.Type
	In gir files generated by Vala, members of type GType is referenced
	with name "GObject.Type", but GObject-introspection expect it to be
	"GType".

	While there was no way to override the fully qualified GIR name of a
	member, this patch adds [GIR (fullname = "GType")] to fix the mismatch
	for GObject.Type.

	https://bugzilla.gnome.org/show_bug.cgi?id=775591

2016-11-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: No support for fixed-size array as return-value
	Due to the special syntax for those arrays it lead to omitting the
	array-qualifier and therefore generating broken bindings.

2016-11-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.34.3

2016-11-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Make ElementFactory.get_static_pad_templates fully "unowned"
	https://bugzilla.gnome.org/show_bug.cgi?id=774791

2016-11-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix build with -Werror=enum-compare

	codegen: Don't write declaration of CreationMethod for compact-classes twice
	https://bugzilla.gnome.org/show_bug.cgi?id=772661

2016-11-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	Update bugreport and package urls

2016-11-06  Timm Bäder  <mail@baedert.org>

	method: Print encountered type if return types mismatch
	If a class overrides a method of a base type, print both the encountered
	return type and the return type expected by the base class.

	https://bugzilla.gnome.org/show_bug.cgi?id=769501

2016-11-06  Andrea Del Signore  <sejerpz@gmail.com>

	girwriter: Use the correct tag- and element-name for an annotation
	The correct syntax is <attribute name=".." value=".."/>

	https://bugzilla.gnome.org/show_bug.cgi?id=769597

2016-10-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0: Update to 3.22.2+0ad5d51d

	gdk-3.0: Update to 3.22.1+a1115c05

2016-10-23  Jürg Billeter  <j@bitron.ch>

	Release 0.34.2

2016-10-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Some nullable arguments in GLib.Test.*
	https://bugzilla.gnome.org/show_bug.cgi?id=772964

	gio-unix-2.0: Fix "g_unix_mount_at" binding

	vapi: Update GIR-based bindings

2016-10-19  Alistair Thomas  <astavale@yahoo.co.uk>

	genie: Add empty file check to read_token ()
	Vala.SourceFile uses GLib.MappedFile.get_contents () to read a source
	file. This can return null if the file is empty.

	Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=633083

2016-10-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	Regenerate GIR-based bindings

	girparser: Use type_id information from gir if not already overridden

	Regenerate for GIR-based bindings including array-related metadata fixes
	https://bugzilla.gnome.org/show_bug.cgi?id=772902

	girparser: More complete parsing of field information
	Especially to retrieve available array-length information.

	https://bugzilla.gnome.org/show_bug.cgi?id=772902

2016-10-09  Jürg Billeter  <j@bitron.ch>

	Release 0.34.1

2016-10-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-gst-3.0: Fix constructor which wasn't detected as such

2016-10-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	polkit-gobject-1: Fix constructors which weren't detected as such

	polkit-gobject-1: Fix constructors which weren't detected as such

	gio-2.0: Fix constructor which wasn't detected as such

	clutter-gst-3.0: Fix constructors which weren't detected as such

	clutter-1.0: Fix constructors which weren't detected as such

	gdk-3.0: Use only metadata for EventKey, Screen, Window, update Rectangle

2016-10-06  Jürg Billeter  <j@bitron.ch>

	Do not report internal error for invalid code with nested generics
	Reported-by: Matthias Berndt <matthias_berndt@gmx.de>

2016-10-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Use only metadata for IOStream, InputStream, OutputStream

	gio-2.0: Use metadata instead of custom defintions for Initable

	gio-2.0: Use metadata instead of custom definitions for DBusMessage

	vapi: Update GIR-based bindings

	clutter-gst-2.0: Skip VideoTexture.get_audio_streams/get_subtitle_tracks
	Upstream didn't implement the Player interface correctly, so the types are
	not matching up.

	clutter-gst-3.0: Fix Playback.audio_streams/subtitle_tracks property-type

	rest-0.7: Fix some ownership problems

2016-09-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add CCode finish_vfunc_name to used attrs

2016-09-27  George Barrett  <bob@bob131.so>

	gsl.vapi: Fix attribute typos
	At the moment, the are a few CCode attributes containing typos in the
	bindings for the GNU Scientific Library. This patch rectifies the ones
	that valac explicitly complains about.

	https://bugzilla.gnome.org/show_bug.cgi?id=772004

2016-09-27  Jürg Billeter  <j@bitron.ch>

	Fix type parameter check for overriding generic methods
	https://bugzilla.gnome.org/show_bug.cgi?id=771964

	Reported-by: Sebastian Reichel <sre@ring0.de>

2016-09-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add async constructor test
	https://bugzilla.gnome.org/show_bug.cgi?id=659886

	gio-2.0: Keep GLib.Socket API compatible with gio < 2.48
	https://bugzilla.gnome.org/show_bug.cgi?id=769222

	gio-2.0: Fix binding of Resolver.lookup_service*()

2016-09-22  Jens Georg  <mail@jensge.org>

	glib-2.0: Fix binding of Markup.collect_attributes
	Array parameters don't have an associcated length parameter but are
	null-terminated.

	https://bugzilla.gnome.org/show_bug.cgi?id=771790

2016-09-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Update Unicode symbols

2016-09-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk: URI*.get_http_headers returns unowned Soup.MessageHeaders
	Those are actually annotated "transfer none" in the webkit's source.

	https://bugzilla.gnome.org/show_bug.cgi?id=741175

	Add support for the \v escape charactor
	https://bugzilla.gnome.org/show_bug.cgi?id=664689

	glib-2.0: Allow null as argmument for string.escape()

2016-09-19  Jürg Billeter  <j@bitron.ch>

	Release 0.34.0

2016-09-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	vapi: Add PolicyKit bindings, polkit-agent-1 and polkit-gobject-1
	https://bugzilla.gnome.org/show_bug.cgi?id=605465

2016-09-18  Simon Werbeck  <simon.werbeck@gmail.com>

	Check for assignment to constant
	This simply checks if the left-hand side is a constant and if so raises
	an error.

	Fixes bug 771626

2016-09-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Force finish_vfunc_name of Volume.mount() to "mount_finish"
	https://bugzilla.gnome.org/show_bug.cgi?id=677769

	codegen: Add support for finish_vfunc_name in CCode

2016-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Update Unicode symbols

	Revert "valainterface: Don't allow 'type' properties"
	Breaks build of udisks2.vapi

	This reverts commit 8e4cdfd6488c467a3028831e8d6183286c4f399d.

2016-09-17  Timm Bäder  <mail@baedert.org>

	valainterface: Don't allow 'type' properties
	https://bugzilla.gnome.org/show_bug.cgi?id=723258

2016-09-17  Jürg Billeter  <j@bitron.ch>

	tests: Add test for nested conditional expression

2016-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update gobject-introspection-1.0 and libsoup-2.4
	https://bugzilla.gnome.org/show_bug.cgi?id=760491
	https://bugzilla.gnome.org/show_bug.cgi?id=732070

2016-09-17  Michele Dionisio  <michele.dionisio@gmail.com>

	D-Bus: Support DBus.timeout attribute for client methods
	https://bugzilla.gnome.org/show_bug.cgi?id=737913

2016-09-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Distinguish between Enum and Flags for their to_string()
	This fixes a GLib-critical while using g_enum_get_value() on a GFlagsClass.
	Therefore use g_flags_get_first_value() if needed.

	Patch by therebedragons111

	https://bugzilla.gnome.org/show_bug.cgi?id=763831

	vala: Don't force array-elements to be owned, unowned ones are supported
	Passing an (unowned string) array literal to a function causes the array
	elements to be freed afterwards, even though they should not be. This
	causes the array elements to be double freed. While assigning the literal
	to an intermediate variable and passing that to the function masks this
	error of the ArrayCreationExpression.

	https://bugzilla.gnome.org/show_bug.cgi?id=761307

2016-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Some minor modernizations

2016-09-15  Andreas Henriksson  <andreas.henriksson@endian.se>

	vapigen: Install vapigen*.pc in multiarch compatible location
	This makes the pkgconfigdir path consistent to what is already used in
	(toplevel) Makefile.am.

2016-09-15  Steven Oliver  <oliver.steven@gmail.com>

	codegen: Add C11 keywords
	https://bugzilla.gnome.org/show_bug.cgi?id=724967

2016-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Make FlagsClass.values weak
	In addition to 950f081bae86a98a7918b5fc4a9c3acd15681c8e

2016-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0/3.0: Make event nullable for CellRenderer.start_editing()
	https://bugzilla.gnome.org/show_bug.cgi?id=764493

	clutter-gst-2.0/3.0: Fix init_with_args() binding
	https://bugzilla.gnome.org/show_bug.cgi?id=764259

	gstreamer-base-1.0: Fix PushSrc.create/alloc() binding
	https://bugzilla.gnome.org/show_bug.cgi?id=762499

	gdk-3.0: Window.create_similar_image_surface() returns Cairo.ImageSurface
	https://bugzilla.gnome.org/show_bug.cgi?id=768759

	gstreamer-player-1.0: Add metadata

	gstreamer-player-1.0: Some binding fixes
	https://bugzilla.gnome.org/show_bug.cgi?id=759865

2016-09-14  Ben  <iofelben+github@gmail.com>

	glib-2.0: Fix SearchFunc argument order for {List,SList,Queue}.search()
	The function takes two gconstpointer arguments, the List element's data as
	the first argument and the given user data.

	https://bugzilla.gnome.org/show_bug.cgi?id=754137

2016-09-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	glib-2.0: Update to 2.49.7

2016-09-12  Jürg Billeter  <j@bitron.ch>

	Release 0.33.1

2016-09-12  Ernestas Kulik  <ernestas.kulik@gmail.com>

	sqlite3: Allow some values to be nullable
	This fixes Database.get_table() as it throws an error when compiling in
	strict non-null mode and also features tweaks in Database.{_,}exec and
	Statement.column_text signatures to accomodate potential null returns.

	https://bugzilla.gnome.org/show_bug.cgi?id=754238

2016-09-12  Jee-Yong Um  <conr2d@gmail.com>

	glib-2.0: Fix wrong return type of OptionContext.get_description()
	OptionContext.get_description() should return 'unowned string', but it
	does not return any value currently. (void)

	https://bugzilla.gnome.org/show_bug.cgi?id=771123

2016-09-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.5+4cd8e6c5

	vapi: Update GIR-based bindings

2016-09-01  Evan Nemerson  <evan@nemerson.com>

	gstreamer-0.10: mark as deprecated
	Apparently the GStreamer people consider 0.10 deprecated, not just in a
	lower-activity maintenance mode.

	Fixes bug 719597.

	gstreamer-1.0: remove experimental tag

2016-09-01  Arnaud Bonatti  <arnaud.bonatti@gmail.com>

	Mark the icon property of GtkModelButton as nullable.
	https://bugzilla.gnome.org/show_bug.cgi?id=770180

2016-08-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Fix and make FlagsValue a struct
	Based on patch by therebedragons111

	https://bugzilla.gnome.org/show_bug.cgi?id=769903

	gtk+-3.0: Update to 3.21.5

	vapi: Update GIR-based bindings

2016-08-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.4+edce8f4d

	vapi: Update GIR-based bindings

2016-08-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.4+64c15545

	vapi: Update GIR-based bindings

2016-08-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.4+e4c072fc

	vapi: Update GIR-based bindings

2016-07-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add new symbols for 2.50

	gtk+-3.0: Update to 3.21.4+0f329195

	gidlparser: Make sure to only handle the needed cairo symbols

	vapi: Update GIR-based bindings

2016-07-21  Guillaume Poirier-Morency  <guillaumepoiriermorency@gmail.com>

	json-glib-1.0: Fix 'Json.Serializable' interface metadata
	 - mark 'Serializable.find_property' nullable
	 - mark 'Serializable.default_deserialize_property.value' as 'out'
	   parameter

	These should be fixed upstream with specific GIR annotations, but in the
	meantime, it's important to have that interface usable.

	Fix metadata indentation for, it was mixed with space and tabs.

	https://bugzilla.gnome.org/show_bug.cgi?id=768380

	libxml-2.0: Fix 'htmlEncodeEntities' and 'UTF8ToHtml' using 'ref' instead of 'out'
	The passed buffer lengths are updated by these calls to indicate how
	much has been read and written. Using a 'out' parameter does not let one
	initialize them with the buffer lenghts.

	https://bugzilla.gnome.org/show_bug.cgi?id=768143

2016-07-21  Chris Daley  <chebizarro@gmail.com>

	posix: Correct documentation comment for crypt()
	https://bugzilla.gnome.org/show_bug.cgi?id=767047

2016-07-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Fix binding of ParamSpec.get_default_value()

2016-07-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gidlparser: Special handling for some ambiguous cairo symbols

2016-07-15  Jürg Billeter  <j@bitron.ch>

	Report internal error for invalid type parameter comparison

2016-07-15  Matthias Berndt  <matthias_berndt@gmx.de>

	Check type parameters when comparing types
	Fix the broken implementation of TypeParameter.equals.

	Fixes bug 768823.

2016-07-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Fix Context.show_text_glyphs() binding

	cairo: Add new symbols for 1.16

	cairo: Pass through vapigen to sort and fully qualify symbols

2016-07-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.3+25fed034

	gidlparser: Support returns_floating_reference metadata

	gstreamer: Update to 1.9.1

	glib-2.0: Add new symbols for 2.50

	vapi: Update GIR-based bindings

2016-06-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-06-25  Matthias Berndt  <matthias_berndt@gmx.de>

	Set parent_node for resolved base types

	Check type arguments recursively
	This fixes error checking for code like this:

	class Foo<T> {}
	void main(string[] args) {
	  Foo<Foo<string, string>> foo = null;
	}

	Fixes bug 767092.

2016-06-25  Jürg Billeter  <j@bitron.ch>

	tests: Support tests with invalid code

2016-06-25  Matthias Berndt  <matthias_berndt@gmx.de>

	Add missing tokens to TokenType.to_string()

2016-06-18  Ting-Wei Lan  <lantw@src.gnome.org>

	vapigen: Call setlocale in main function
	It is required to correctly show translated messages on some locales.

	https://bugzilla.gnome.org/show_bug.cgi?id=760436

2016-06-15  Mario Daniel Ruiz Saavedra  <desiderantes@rocketmail.com>

	glib-2.0: Fix wrong signature for GLib.Regex.check_replacement()
	The signature was missing the replacement parameter.

	https://bugzilla.gnome.org/show_bug.cgi?id=765013

2016-06-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+3.0: Fix Gtk.Range.get_range_border()

	gtk+-3.0: Update to 3.21.2+32a37351

	genie: Warn about "const static" declarations where "static" is superfluous

	vapi: Fix "static consts" warnings

	tests: Fix "static const" warning

	valaparser: Warn about "static const" declarations where "static" is superfluous

2016-06-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-06-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	Regenerate GIR-based bindings

	girparser: Respect "fixed-size" of arrays

	girparser: Respect "zero-terminated" annotation for fields

2016-05-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Skip private padding fields

2016-05-31  Aurélien Zanelli  <aurelien.zanelli@darkosphere.fr>

	gstreamer-controller-1.0: Rename DirectControlBinding.new_absolue to 'with_absolute'
	... and fix a fatal syntax error due '..'

	https://bugzilla.gnome.org/show_bug.cgi?id=765785

2016-05-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Fix DesktopAppInfo.get_keywords()
	Fixes bug 766456

2016-05-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-05-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-05-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-05-09  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

2016-04-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.21.1+

	vapi: Add graphene-1.0

	vapi: Update GIR-based bindings

	Regenerate GIR-based bindings

2016-04-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Respect "transfer container" and support (unowned type)[] arrays

2016-04-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update to 1.8.1

2016-04-14  Steven Oliver  <oliver.steven@gmail.com>

	glib-2.0: Add abs() to float and double
	https://bugzilla.gnome.org/show_bug.cgi?id=764663

2016-04-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	atk: Update from gir

	gtk+-2.0: Mark arguments as 'out' for Entry.get_text_area_size()

	gtk+-3.0: Mark arguments as 'out' for Entry.get_frame_size()

2016-04-07  Maciej Borzecki  <maciej.borzecki@open-rnd.pl>

	libnl-3.0.vapi: extend VAPI
	The patch extends VAPI of libnl-3.0 with cache
	manager (nl_cache_mngr_*), additional methods of LinkCache and a helper
	CachedLink type. The CachedLink type is a wrapper for the Link object,
	however since the object is obtained from cache, rtnl_link_put() must be
	used a free function.


	Fixes bug 763303

2016-04-07  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Make CellEditable.start_editing event parameter nullable
	Fixes bug 764489

2016-03-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-03-21  Jürg Billeter  <j@bitron.ch>

	Release 0.32.0

2016-03-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.19.12

2016-03-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	json-glib-1.0: Keep compatibility with 1.0.x and lower

2016-03-08  Alistair Thomas  <astavale@yahoo.co.uk>

	linux: add dependency on <sys/socket.h> to <linux/if.h> in Linux.Network
	https://bugzilla.gnome.org/show_bug.cgi?id=763227

2016-03-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.19.11+

	json-glib-1.0: Update to 1.1.2

	gstreamer: Update to 1.7.90

2016-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-02-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update to 1.7.2+

2016-02-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update to 1.7.2

2016-02-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-02-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Further syncing from g-i-generated binding

2016-02-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.19.9

2016-02-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.19.8+3f4f914f

2016-02-09  Jürg Billeter  <j@bitron.ch>

	Revert "codegen: Create only one vala-array helper function per array-type"
	This reverts commit fba08583d940af80a0d6b7045294de00c568d6a4.

	https://bugzilla.gnome.org/show_bug.cgi?id=761736

	vala: Fix critical warning with dynamic properties

2016-02-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: "inbuf" argument of Converter.convert() is not nullable

2016-02-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix wrong Version annotation and really add binding for g_close

2016-02-07  Jürg Billeter  <j@bitron.ch>

	Release 0.31.1

2016-02-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Regenerate all bindings due Cond/Mutex changes

	glib-2.0: Add Version annotations and more new symbols

	Require and target GLib >= 2.32
	The next stable release of vala will happen four years after the
	release of GLib 2.32.0.

2016-02-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update and further syncing with introspection annotations

	glib-2.0: Fix DuplicateFunc

2016-02-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Properly handle PointerType/VoidType in get_ccode_lower_case_name()

	codegen: Properly handle GenericType in get_ccode_lower_case_name()

	codegen: Properly handle DelegateType in get_ccode_lower_case_name()

2016-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Create only one vala-array helper function per array-type

	gobject-2.0: Add some fixes and information from introspection data

2016-02-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Pass through vapigen to sort and fully qualify symbols

	glib-2.0: StringBuilder.free_to_bytes() consumes the given instance

	gdk-3.0, gtk+-3.0: Update to 3.19.8+feabf353

2016-02-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Further syncing with introspection annotations

2016-01-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	girparser: Do not unconditionally make a delegate owned
	Actually check if there are closure and destroy arguments available.

2016-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gdk-3.0, gtk+-3.0: Update to 3.19.8

2016-01-30  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: fix Version on some symbols

	glib-2.0: fix Version usage

	Merge branch 'wip/x-version'

	Regenerate all bindings with [Version]

	Always check unused attrs. Add [Version] to known attrs

2016-01-30  Florian Brosch  <flo.brosch@gmail.com>

	gtk-3.0: Use [Version] instead of [Deprecated] and [Experimental]

	gtk+-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	gdk-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	Deprecate [Deprecated] and [Experimental]

	librsvg-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	gdk-x11-3.0: Use [Version] instead of [Deprecated] and [Experimental]

	gdk-pixbuf-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	gio-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	clutter-gtk-1.0: Use [Version] instead of [Deprecated] and [Experimental]

	mx-1.0: Use [Version] instead of [Deprecated] and [Experimental]

	gdk-3.0: Use [Version] instead of [Deprecated] and [Experimental]

	pango: Use [Version] instead of [Deprecated] and [Experimental]

	libsoup-2.4: Use [Version] instead of [Deprecated] and [Experimental]

	clutter: Use [Version] instead of [Deprecated] and [Experimental]

	atk-1.0: Use [Version] instead of [Deprecated] and [Experimental]

	glib-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	xcb: Use [Version] instead of [Deprecated] and [Experimental]

	sqlite3: Use [Version] instead of [Deprecated] and [Experimental]

	libpanelapplet-2.0: Use [Version] instead of [Deprecated] and [Experimental]

	libbonoboui-2.0: Use [Version] instead of [Deprecated]

	gobject-2.0: Add [Version] attributes

	Introduce [Version (...)]
	Parameters:
	 since: string, version number
	 experimental: bool (was: [Experimental])
	 experimental_until: string, version number
	 deprecated_since: string, version number (was: [Deprecated (since="")])
	 replacement: string, symbol name (was: [Deprecated (replacement="")])
	 deprecated: bool (was: [Deprecated])

	Used symbols labeled with [Version (since = "")] are checked
	against the locally installed package version.

	Use --disable-since-check to avoid this behaviour.

	Fixes bug 678912.

2016-01-30  Luca Bruno  <lucabru@src.gnome.org>

	codegen: fix criticals when duplicating unowned instnaces
	Fixes bug 632174

2016-01-28  Corentin Noël  <corentin@elementary.io>

	vala: check for null parent symbol

2016-01-28  Peter Lamby  <peterlamby@web.de>

	Add missing cheader attribute for luaL_loadfile

2016-01-28  Ben Iofel  <iofelben@gmail.com>

	codegen: add code for [Profile] missed in cf193ab75

	Symbol: fix docs for owner and scope

2016-01-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.19.7

2016-01-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-01-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.19.6+44d94a4a

2016-01-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2016-01-04  Ben Iofel  <iofelben+github@gmail.com>

	README: update link to wiki

2015-12-30  Thomas Martitz  <kugel@rockbox.org>

	girparser: add support for gintptr and guintptr types.
	Modelled after existing size_t/ssize_t support, i.e. map to corresponding
	types from glib-2.0.vapi.

2015-12-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gdk-3.0, gtk+-3.0: Update to 3.19.5+8bfbb2c1

2015-12-26  Thomas Martitz  <kugel@rockbox.org>

	glib-2.0: add support for gintptr and guintptr types
	Modelled after existing size_t/ssize_t support, i.e. aliased to long/ulong.
	Must be fixed for proper win32 support.

	Fixes bug 759437

2015-12-24  Luca Bruno  <lucabru@src.gnome.org>

	manpage: add --no-color

2015-12-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add gio-windows-2.0
	Includes some more g_win32 bindings and fixes.

	Fixes bug 650052

2015-12-16  Peter Lamby  <peterlamby@web.de>

	Fix typo in valadoc

2015-12-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gdk-3.0, gtk+-3.0: Update to 3.19.5

2015-12-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.19.4

2015-11-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	Bump version suffix

2015-11-25  nieka@dsv.nl  <nieka@dsv.nl>

	genie: anonymous functions as function return values and assignment to variables
	Fixes bug 746704

2015-11-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gdk-x11-3.0: Add to GIR_BINDINGS

	gtk+-3.0: Update to 3.19.3

	gstreamer-1.0: Fix bindings of Buffer.new_wrapped_full / Memory.new_wrapped

2015-11-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-gst-1.0: remove from GIR_BINDINGS
	It is outdated and won't receive updates anyway.

	gtk+-2.0,gtk+-3.0: make list_action_prefixes/list_style_properties transfer container
	Fixes bug 671748.

	gidlparser: Support transfer_container metadata for arrays

	gio-2.0: Fix Socket.receive_message
	Fixes bug 749980.

	glib-2.0: Fix g_unix_open_pipes binding
	Fixes bug 751291.

	gstreamer-1.0: Add Caps.simple, Fix URIHandler interface, Buffer.copy_into
	Thanks to Pierre Lamot!

	Fixes bug 750836, bug 750837, bug 750839.

2015-11-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Fix Clutter*Event bindings
	ClutterEvent structs have hidden fields and must be exposed as compact
	classes.

	Fixes bug 618536.

2015-11-22  Florian Brosch  <flo.brosch@gmail.com>

	avahi-clent: Fix a typo

2015-11-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.19.2

	gobject-2.0: ObjectClass.list_properties returns unowned elements

	vapi: Update GIR-based bindings

2015-11-11  Ben Iofel  <iofelben@gmail.com>

	Fix parameter names in the documentation for libvala
	Fixes bug 755917

2015-10-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Fix ListBoxUpdateHeaderFunc while making "before" nullable

2015-10-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: MemoryIn/OutputStream, use a default destroy-function for uint8[] data

	gtk+-3.0: Update to 3.19.1

2015-10-27  Al Thomas  <astavale@yahoo.co.uk>

	posix: add crypt(), deprecate getpass()
	Fixes bug 756315

2015-10-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Fix type of ActionEntry.change_state_callback

	glib-2.0: Add bindings for g_hostname_*

	glib-2.0: Add binding for AsyncQueue.timeout_pop/timeout_pop_unlocked

	gtk+-2.0, gtk+-3.0: Make Image.get_gicon.size out

2015-10-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2015-10-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.19.0~92a136ff

	gobject-2.0: Bind BoxedCopyFunc/BoxedFreeFunc

2015-10-18  Luca Bruno  <lucabru@src.gnome.org>

	gtkmodule: clear out [GtkChild] on properties it not supported
	Fixes bug 731622

2015-09-30  Ben Iofel  <iofelben@gmail.com>

	girparser: remove dead code
	Fixes bug 755826

2015-09-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0: Update to 2.24.28
	Drop Ubuntu specific changes which sneaked in here some time ago.

	gtk+-3.0: Update to 3.18.0

2015-09-18  Jürg Billeter  <j@bitron.ch>

	Release 0.30.0

2015-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.17.8+d5f17549

	vapi: Update GIR-based bindings

	gtk+-3.0: Make callback-scope async according to introspection annoations

2015-09-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: add new symbols for 2.46

	vapi: Update GIR-based bindings

2015-09-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0: add scope async to Gtk.Clipboard request/set_with methods

	gtk+-3.0: add scope async to Gtk.Clipboard request/set_with methods

2015-09-07  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: use wildcard for Gtk.Clipboard request methods

	gtk+-3.0: lt-vapigen -> vapigen

	gtk+-3.0: add scope async to Gtk.Clipboard request methods

2015-08-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	webkit2gtk-4.0: Update to 2.9.90

	gtk+-3.0: Update to 3.17.7

2015-08-12  Luca Bruno  <lucabru@src.gnome.org>

	posix: add PrintfFormat to syslog()
	Fixes bug 752031

2015-08-11  Jürg Billeter  <j@bitron.ch>

	Release 0.29.3

2015-08-11  Luca Bruno  <lucabru@src.gnome.org>

	Set gir_shared_library argument to be null by default, avoid breaking API

2015-08-11  David Lechner  <david@lechnology.com>

	Add --shared-library option for GIR files
	Fixes bug 585116

2015-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	webkit2gtk-4.0: Update to 2.9.5

2015-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.17.5+e34ab356

2015-07-30  Evan Nemerson  <evan@nemerson.com>

	glib-2.0: make DirUtils.mkdtemp transfer ownership

2015-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.9.4

2015-07-22  Jordan Yelloz  <jordan@yelloz.me>

	glib-2.0: added g_get_user_runtime_dir ()
	This has been in GLib since 2.28

2015-07-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.17.5

2015-07-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.17.4+abc47d7f

	gtk+-3.0: Further syncing with introspection annotations

2015-07-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Fix binding of g_desktop_app_info_launch_uris_as_manager
	https://bugzilla.gnome.org/show_bug.cgi?id=748828

2015-07-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+3.0: Properly specify argument of Widget.touch_event as Gdk.EventTouch

2015-06-23  Luca Bruno  <lucabru@src.gnome.org>

	codegen: check for null value before calling g_strv_length
	Fixes bug 751338

2015-06-22  Jürg Billeter  <j@bitron.ch>

	Release 0.29.2

	Fix 64-bit negative integer literals

2015-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.17.3+3b43951b

	vapi: Update GIR-based bindings

2015-06-21  Luca Bruno  <lucabru@src.gnome.org>

	gstreamer-1.0: use boxed GValue functions for MiniObject
	Fixes bug 742734

	add missing test from previous commit

	parser: -val is now parsed as a literal instead of unary expression
	Fixes bug 643612

	gio-2.0: cleanup, unhide Subprocess.new

2015-06-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: fix generating struct equal function
	Fixes bug 749952

2015-06-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Conditionally use boxed OptionGroup since 2.44

	Revert "glib-2.0: Conditionally use boxed OptionContext since 2.44"
	This reverts commit 559a92b2256835dc6f933733a30cd98d462b33b0.

2015-05-27  Jürg Billeter  <j@bitron.ch>

	Release 0.29.1

2015-05-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Update to 2.45.2

2015-05-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.17.1+39f91d7c

	vapi: Update GIR-based bindings

2015-05-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2015-04-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.17.1

2015-04-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2015-04-10  Maciek Borzecki  <maciek.borzecki@gmail.com>

	posix: add tcp constants
	Fixes bug 747586

2015-04-08  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Remove TargetEntry constructor
	Fixes bug 743271

2015-04-08  Dr. Michael Lauer  <mickey@vanille-media.de>

	posix: add gethostbyname(3) and assorted struct

	Revert "posix: add gethostbyname(3) and assorted struct"
	This reverts commit 0d8aea145d90ab04a57e2868b0cc56693ddd7e8d.

	(Due to mixed whitespace, nothing functional wrong with the commit)

2015-04-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.16.1

2015-04-07  Dr. Michael Lauer  <mickey@vanille-media.de>

	posix: add gethostbyname(3) and assorted struct

	linux.vapi: add missing structs for wireless extension API

	libnl-1.vapi libnl-2.0.vapi libnl-3.0.vapi: fix Netlink.Address.get_label binding

2015-03-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2015-03-22  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

	Release 0.28.0

2015-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.7.92

	gstreamer-1.0: Backport some fixes from gstreamer 1.5/1.6 git

2015-03-18  Jürg Billeter  <j@bitron.ch>

	Release 0.27.2

2015-03-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib: get_filename_charsets "returns" unowned string[]

	tests: Replace test for bug 743877 using g_get_filename_charsets()
	Preserve compatibility with glib >= 2.24

2015-03-18  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: provide access to original ThreadPool.free()
	Fixes bug 746262

2015-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gio-unix-2.0: Update to 2.43.92

	gtk+-3.0: Update to 3.15.12

2015-03-13  Luca Bruno  <lucabru@src.gnome.org>

	codegen: use real function in set/get property also for ConcreteAccessor
	Fixes bug 743049

2015-03-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	gen-introspect: Support the C99 'bool' type

2015-03-04  Luca Bruno  <lucabru@src.gnome.org>

	Fix source filenames having non-utf8 path components
	Fixes bug 742071

	codegen: handle out param of null-terminated array
	Fixes bug 743877

2015-02-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Fix one more appearances of void* to GLib.Object

	gio-2.0: Fix some appearances of void* to GLib.Object

	gtksourceview-3.0: Update to 3.15.90

2015-02-27  Luca Bruno  <lucabru@src.gnome.org>

	x11: make WindowAttributes.screen unowned
	Fixes bug 745133

2015-02-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.15.9

2015-02-24  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Return a default value in delegate wrappers
	Fixes bug 744639

2015-02-17  Evan Nemerson  <evan@nemerson.com>

	gio-2.0: fix ListModel.get_item binding

2015-02-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Conditionally use boxed OptionContext since 2.44

	vapi: Update GIR-based bindings

	gtk+-3.0: Fix model argument type for ListBox.bind_model()

	gtk+-3.0: Update to 3.15.7

2015-02-15  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Fix VariantDict.insert
	Fixes bug 744542

2015-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.15.5~4dee1646

	vapi: Update GIR-based bindings

2015-01-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0,gtk+-3.0: Gtk.tree_get_row_drag_data does not pass ownership of tree_model

2015-01-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.15.4+f3d95d05

	gtk+-2.0,gtk+-3.0: Gtk.MenuPositionFunc, x and y are inout, not just out.
	https://bugzilla.gnome.org/show_bug.cgi?id=674537

2015-01-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2015-01-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Update to 1.21.3+7eb1a3d3

	gtk+-3.0: Update to 3.15.3+0d85e265

2015-01-13  Jürg Billeter  <j@bitron.ch>

	Use GLib.Environment instead of GLib.Environ
	GLib.Environ is not available in GLib < 2.32.

2015-01-12  Jürg Billeter  <j@bitron.ch>

	Release 0.27.1

2015-01-12  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix detailed signal disconnect in async methods
	Fixes bug 742621

2015-01-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2014-12-28  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Take in account base property for ConcreteAccessor
	Property had NoAccessorMethod when the overridden
	interface property had ConcreteAccessor.
	Now we lookup the base interface property to fix ownership
	according to the base accessors and remove NoAccessorMethod.

	Fixes bug 742012

2014-12-25  Daiki Ueno  <dueno@src.gnome.org>

	gtkmodule: Respect "alias" attribute in gresource
	Though undocumented, glib-compile-resources looks at "alias" attribute
	of "file" element and maps the physical file name to a logical path
	name.

	https://bugzilla.gnome.org/show_bug.cgi?id=741743

2014-12-24  Luca Bruno  <lucabru@src.gnome.org>

	codegen: allow "type" property if it's NoAccessorMethod
	Fixes bug 741862

2014-12-22  Luca Bruno  <lucabru@src.gnome.org>

	Add DBus visible to used attrs

	Regenerate all the bindings with ConcreteAccessor

	Support concrete accessors for abstract properties in bindings
	Fixes bug 730744

	Fix test of previous commit a6df1b9

2014-12-21  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix (unowned foo)[] to foo[] array copy
	Fixes bug 731017

	Allow SimpleType object initializer without a default constructor
	Fixes bug 740600

2014-12-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add clutter-gst-3.0 bindings

	gtk+-3.0: Mark gtk_scrollable_get_border as virtual

	vapi: Update GIR-based bindings

	gtk+-3.0: Update to 3.15.3

2014-12-16  Garrett Regier  <garrett.regier@riftio.com>

	girwriter: Fix writing type for out params
	The extra '*' is required for g_type_info_is_pointer() to
	return TRUE. This fixes PyGObject marshaling for an interface
	vfunc with a Boxed out param.

	https://bugzilla.gnome.org/show_bug.cgi?id=741604

2014-12-13  Luca Bruno  <lucabru@src.gnome.org>

	Add CCode notify to known attrs

2014-12-12  Luca Bruno  <lucabru@src.gnome.org>

	Add trivial test for the previous commit

	codegen: Support constant unary expressions in field initializers

2014-12-09  Luca Bruno  <lucabru@src.gnome.org>

	Add Description to known attrs

	Add Signal to known attrs

2014-12-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

	gtk+-3.0: Update to 3.15.2+8c3f04e7

2014-12-06  Luca Bruno  <lucabru@src.gnome.org>

	Add used DBus attribute and fix UnixMountEntry lower_case_cprefix
	Fixes bug 741089

2014-12-05  Evan Nemerson  <evan@nemerson.com>

	glib-2.0: add default values for setlocale arguments

2014-12-05  Luca Bruno  <lucabru@src.gnome.org>

	Support XOR operation for booleans
	Fixes bug 729907

2014-12-05  Simon Werbeck  <simon.werbeck@gmail.com>

	Set array lengths for result variable
	These where missing when generating postconditions

	Fixes bug 737222

	Improve pre/postcondition messages

2014-12-04  Luca Bruno  <lucabru@src.gnome.org>

	Error when lambda parameter has incompatible direction with the delegate
	Fixes bug 740894

	Add other missing CCode arguments, NoWrapper and DestroysInstance

	Add more used attributes
	Fixes bug 741089

2014-12-03  Luca Bruno  <lucabru@src.gnome.org>

	Add ScanfFormat to used attributes

	Add more default attributes

	Fix recent syntax errors with older valac

	Warn about unused attributes
	This may not be the best approach, but it's a start

2014-12-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	gen-introspect: Merge some lexer changes taken from g-i

	gio-unix-2.0: Fix g_desktop_app_info_search binding
	Add binding for g_strfreev in addition for conveniently free'ing the
	returned array elements.

2014-12-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gen-introspect: Increase lexer buffer size to 1048576, taken from g-i

	glib-2.0: unowned array-elements are supported since 0.26, so use it

	glib-2.0: Add binding for g_strv_contains, g_option_context_?et_strict_posix

	gobject-2.0: Add binding for g_type_get_instance_count

2014-11-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.15.2

	bindings: Update GIR-based bindings

	bindings: Update GIR-based bindings

2014-11-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

2014-11-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib2.0: Fix string.tokenize_and_fold binding

2014-11-17  Simon Werbeck  <simon.werbeck@gmail.com>

	Recursively infer generic type arguments
	Slightly changed by Luca Bruno.

	Fixes bug 626783

2014-11-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

	gtk+-3.0: Update to 3.15.1+ecfcb3e2

2014-11-15  Marc-André Lureau  <marcandre.lureau@gmail.com>

	vapigen: add delegate_target_cname
	Fixes bug 740154

2014-11-15  Luca Bruno  <lucabru@src.gnome.org>

	Update gio vapi after vala-girs update

2014-11-14  Luca Bruno  <luca.bruno@immobiliare.it>

	gobject-2.0: Add DestroysInstance to Binding.unbind()
	Fixes bug 740117

2014-11-14  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	gtk+-3.0: Mark gtk_popover_bind_model args as nullable
	Fixes bug 740116

2014-11-10  Evan Nemerson  <evan@nemerson.com>

	gstreamer-1.0: fix MapInfo.data array length

2014-11-08  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: make TextBuffer insert methods ref the iter
	Yes, this breaks users of this api. Can't do better, sorry.

	Fixes bug 736198

2014-11-03  Evan Nemerson  <evan@nemerson.com>

	gio-2.0: mark many methods in GFile as virtual

	posix: add IPPROTO_* bindings

2014-10-31  Luca Bruno  <lucabru@src.gnome.org>

	Use .ascii_up() instead of .up()
	Fixes bug 739393

2014-10-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.15.1+89e12495

	bindings: Update GIR-based bindings

	webkit2gtk-4.0: Update to 2.7.1

2014-10-25  Luca Bruno  <lucabru@src.gnome.org>

	Add test for commit 0f0bca7e0519

2014-10-25  Florian Brosch  <flo.brosch@gmail.com>

	Infer array length of inline allocated arrays
	Fixes bug 644046.

2014-10-25  Luca Bruno  <lucabru@src.gnome.org>

	fix typo for non-constant field initializers

2014-10-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

	gtk+-3.0: Update to 3.15.0

2014-10-21  Evan Nemerson  <evan@nemerson.com>

	gtksourceview-3.0: remove from GIR_BINDINGS
	gtksourceview distributes bindings upstream these days, no need to
	keep the deprecated copy in the Vala repository updated.

2014-10-16  Evan Nemerson  <evan@nemerson.com>

	pango, pangocairo: update to git master
	This adds a lot of nullability fixes from bug #731022

	glib-2.0: set cname for SearchFunc

	gtk+-3.0: add some default values

	webkit2gtk-web-extension-4.0: add missing *-custom.vala

	webkit2gtk-web-extension-4.0: add delegate for EventTarget listener

2014-10-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Update from 2.42 branch

2014-10-13  Luca Bruno  <luca.bruno@immobiliare.it>

	gstreamer-1.0: remove owned to floating reference parameters
	Commit 6296d34707 (bug 730983) added the owned
	keyword back without any reason.

	Fixes bug 738012

	gtk+-3.0: Add a11y.h header to accessible objects
	Based on patch by Peter Vagner

	Fixes bug 735265

2014-10-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Add some missing 1.12.x and pre 1.13.x bindings

2014-10-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Fix lost special includes for GtkIMContext/GtkPlug/GtkSocket

2014-10-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add clutter-gdk-1.0, clutter-x11-1.0 bindings

2014-10-01  Florian Brosch  <flo.brosch@gmail.com>

	Add ownership-checks for field initializers

	Do not report errors for automatic interface properties twice

2014-09-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.14.1

2014-09-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0, gtk+-3.0: Further syncing with introspection annotations

2014-09-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-web-extension-4.0: Add libsoup-2.4 dependency

2014-09-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	rest-0.7: Add libsoup-2.4 dependency

	vapi: Actually build and install rest-extras-0.7 bindings

	Add rest-extras-0.7 bindings

	gee: Fix HashMap destructor name

2014-09-23  Florian Brosch  <flo.brosch@gmail.com>

	Improve error message for virtual/override/abstract class methods

	Add additional checks for main methods
	Fixes bug 708391.

	parser: Do not accept "static class"-members instead of ignoring "class"

	parser: Warn on if/else/lock without body
	Fixes bug 682906.

	Check destructor names
	Edit: make it an error instead of warning

	Fixes bug 655343.

	Add colored output
	Use --no-color to disable colors
	Use VALA_COLORS to change colors

	E.g. VALA_COLORS = "error=01;31:warning=01;35:note=01;36:caret=01;32:locus=01:quote=01"

	Fixes bug 734627.

2014-09-23  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

2014-09-22  Jürg Billeter  <j@bitron.ch>

	Release 0.26.0

2014-09-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Update to 2.5.90

2014-09-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapigen: Don't override VALAC and use the available one like the rest
	There is no reason to special case vapigen while the rest of the source
	is built with the available valac version. For a proper build bootstrapping
	is required anyway.

	For internal testing of the just-built valac the testsuite should suffice.

2014-09-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

2014-09-19  Luca Bruno  <luca.bruno@immobiliare.it>

	Revert "Fix regression when assigning owned expressions to unowned variables."
	This reverts commit ba1fa0759989dcbb9046c7dfc06cce6c4aa23411.

	Due to bug #736774

2014-09-15  Jürg Billeter  <j@bitron.ch>

	Release 0.25.4

2014-09-14  Luca Bruno  <lucabru@src.gnome.org>

	girwriter: Write accessor methods for interface properties
	Fixes bug 733115

2014-09-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.13.9~

	bindings: Update GIR-based bindings

2014-09-09  Luca Bruno  <lucabru@src.gnome.org>

	Resolve symbols in named arguments
	Fixes bug 736235

2014-09-07  Evan Nemerson  <evan@nemerson.com>

	gtk+-2.0, gtk+-3.0: add missing GObject interface prerequisite

2014-09-06  Luca Bruno  <lucabru@src.gnome.org>

	Fix critical on method varargs introduced by 7b6ee1be
	Fixes bug 736168

2014-09-05  Luca Bruno  <luca.bruno@immobiliare.it>

	Fix regression when assigning owned expressions to unowned variables.
	The regression was introduced by db462e6f919da758fb.

	Fixes bug 736016

2014-09-03  Richard Wiedenhöft  <richard@wiedenhoeft.xyz>

	Added option --vapi-comments to include comments in vapi-files

2014-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

2014-09-02  Florian Brosch  <flo.brosch@gmail.com>

	xcb: re-add GetPropertyReply.format

	GirWriter: do not generate <errordomain> elements
	Invalid:
	  <errordomain name="..." get-quark="..." codes="...">
	  <enumeration ...>

	Valid:
	  <enumeration name="..." c:type=".." glib:error-domain="...">

2014-09-01  Jürg Billeter  <j@bitron.ch>

	Release 0.25.3

2014-08-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0, gtk+-3.0: Revert Gtk.Widget "constructor" changes

2014-08-29  Simon Werbeck  <simon.werbeck@gmail.com>

	Forbid non-constant initializers for static fields in compact classes
	Fixes bug 636509

2014-08-29  Luca Bruno  <luca.bruno@immobiliare.it>

	Fix critical when using binary expression in a generics context
	Fixes bug 735117

2014-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0, gtk+-3.0: Fix falsely "owned"-marked properties
	https://bugzilla.gnome.org/show_bug.cgi?id=735538
	https://bugzilla.gnome.org/show_bug.cgi?id=735640

2014-08-29  Florian Brosch  <flo.brosch@gmail.com>

	xcb: merge Xcb.GetPropertyReply and Xcb.GetPropertyReply

2014-08-27  Florian Brosch  <flo.brosch@gmail.com>

	glib-2.0: Environ.get_variable return value should not be owned

2014-08-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

2014-08-26  Simon Werbeck  <simon.werbeck@gmail.com>

	Fix critical for silent cast
	Fixes bug 696110

2014-08-24  Jürg Billeter  <j@bitron.ch>

	Release 0.25.2

2014-08-24  Simon Werbeck  <simon.werbeck@gmail.com>

	Make sure type check expression has valid type
	Fixes bug 696729

2014-08-24  Jürg Billeter  <j@bitron.ch>

	Test error type check

2014-08-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0, gtk+-3.0: Fix gtk_target_list_find

	gtk+-2.0, gtk+-3.0: GtkCssProviderError/GtkPrintError are errordomains

	gtk+-2.0, gtk+-3.0: Gtk.get_default_language is unowned

	gtk+-2.0, gtk+-3.0: Radio/ActionCallback are only vala-helper types

	gtk+-2.0, gtk+-3.0: Make Widget.get/set_parent compatible with its property

	gtk+-2.0, gtk+-3.0: more various fixes

	gtk+-2.0, gtk+-3.0: port more annotations from the GIR version

	gtk+-2.0: port "struct" annotations from the GIR version

	gtk+-2.0, gtk+-3.0: Hide non-public symbols

	gtk+-3.0: port "struct" annotations from the GIR version

	gtk+-3.0: Add type_ids and abstract annotations for classes

	gtk+-2.0, gtk+-3.0: port lots of annotations from the GIR version

2014-08-24  Jürg Billeter  <j@bitron.ch>

	codegen: Remove support for GLib < 2.24

2014-08-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	Require and target GLib >= 2.24
	The next stable release of vala will happen four years after the
	release of GLib 2.24.0.

	build: Generate only xz-tarballs

	build: Make building vapigen non-optional

	build: Avoid using ".." for referencing paths and reorganize valac-calls

2014-08-23  Jürg Billeter  <j@bitron.ch>

	D-Bus: Fix proxy creation in separate source file

	D-Bus: Set g-interface-info when creating proxy objects

	D-Bus: Move interface info definition from server to common module

2014-08-23  Simon Werbeck  <simon.werbeck@gmail.com>

	Error on non-const field initializer in namespace
	Fixes bug 569259

2014-08-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	bindings: Update GIR-based bindings

2014-08-21  Luca Bruno  <lucabru@src.gnome.org>

	Report warning instead of error for private struct fields

2014-08-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtksourceview-3.0: Update to 3.13.90 and mark as deprecated

2014-08-19  Evan Nemerson  <evan@nemerson.com>

	gtk+-3.0: Application.get_menu_by_id return value should not be owned

2014-08-19  Luca Bruno  <luca.bruno@immobiliare.it>

	glib-2.0: fix Hmac.update bindings
	Fixes bug 735041

2014-08-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Add binding for g_value_init_from_instance

	bindings: Update GIR-based bindings

	gtk+-3.0: Update to 3.13.7

2014-08-17  Evan Nemerson  <evan@nemerson.com>

	gtk+-2.0, gtk+-3.0: mark test_display_button_window as variadic

2014-08-14  Luca Bruno  <lucabru@src.gnome.org>

	parser: Report error only for private instance fields in structs
	Fixes bug 734787

2014-08-13  Evan Nemerson  <evan@nemerson.com>

	linux: improve backtrace bindings
	Some minor improvements have been made to backtrace_symbols; we no
	longer leak the return value and it is marked as nullable. This also
	adds a Backtrace namespace for some better bindings which treat the
	backtrace as an array of void* instead of just a void*.

2014-08-12  XZS  <d.f.fischer@web.de>

	glib-2.0: make VariantDict.end return a floating reference
	The underlying implementation returns a floating reference. Reflecting
	this in the vapi silences the warning about g_variant_unref called once
	too many.

	Fixes bug 734611

	glib: make the parameter of VariantDict constructor nullable
	The underlying glib implementation accepts null to initialize an empty
	dictionary. The vapi now reflects this, defaulting the single parameter
	to null.

	Fixes bug 734612

2014-08-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk: Update to 2.5.2

2014-08-11  Luca Bruno  <lucabru@src.gnome.org>

	Report an error when parsing non-public struct fields
	Fixes bug 683413

	Add Simon Werbeck to THANKS

2014-08-11  Simon Werbeck  <simon.werbeck@gmail.com>

	Add some missing get_used_variables methods
	Fixes bug 734315

2014-08-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.13.6~

2014-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	poppler-glib: Update to 0.26.3

2014-08-05  Evan Nemerson  <evan@nemerson.com>

	bindings: Update GIR-based bindings

2014-08-04  Evan Nemerson  <evan@nemerson.com>

	Replace WebKit 3.0 bindings with 4.0.
	WebKitGTK+ is bumping their API version to 4.0 starting with 2.5.1.
	These bindings haven't been part of a stable Vala release, so it should
	be safe to just bump the version we distribute, too, instead of adding
	4.0 alongside 3.0.

2014-08-03  Luca Bruno  <lucabru@src.gnome.org>

	Add lvalue_access = false to Mutex and Cond
	Fixes bug 733500

2014-08-01  Andre Klapper  <a9016009@gmx.de>

	doap: add <programming-language>

2014-07-30  Olav Vitters  <olav@vitters.nl>

	doap category core

2014-07-23  Jürg Billeter  <j@bitron.ch>

	Release 0.25.1

2014-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.13.5

2014-07-14  Robert Ancell  <robert.ancell@canonical.com>

	compiler: Support configurable pkg-config command so can cross compile
	Fixes bug 690456

2014-07-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Application.get_menu_by_id returns owned value

2014-07-13  Florian Brosch  <flo.brosch@gmail.com>

	Warn if -o is used in combination with -C

	Warn if C files are used in combination with -C

	Warn if --save-temps is used in combination with -C

	Warn if -X is used in combination with -C

2014-07-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.13.4~f2c6b31e

2014-07-12  Evan Nemerson  <evan@nemerson.com>

	gstreamer-video-1.0: Info.finfo is unowned
	Fixes bug 731895.

2014-07-12  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	clutter-gst-1.0: fix deps
	ClutterGst.VideoSink subclasses Gst.Navigation since
	commit 47305de837090f3bdb21183bcac51a056561b639

	Fixes bug 732138.

2014-07-12  Evan Nemerson  <evan@nemerson.com>

	Add .dir-locals.el (emacs configuration file)
	This just helps people using emacs use the correct settings when
	working on vala.

	gtk+-3.0: make TextIter.copy return value nullable
	Fixes bug 732884.

2014-07-10  Florian Brosch  <flo.brosch@gmail.com>

	glib-2.0: Fix bindings for g_hash_table_size

2014-07-09  Evan Nemerson  <evan@nemerson.com>

	bindings: update GIR-based bindings to latest git

	librsvg-2.0: remove from gir-bindings target
	The librsvg bindings distributed with Vala have been deprecated in
	favor of those distributed with librsvg for some time now.  By
	removing them from the gir-bindings target we can avoid API changes
	and keep CI working while still updating the GIR for valadoc.org.

2014-07-07  Simon Werbeck  <simon.werbeck@gmail.com>

	Detect format string errors when instancing errors
	Fixes bug 732530

2014-07-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.13.4~b238d556

2014-07-02  Evan Nemerson  <evan@nemerson.com>

	codegen: cast instead of trying to guess *_CLASS macro name
	Fixes bug 732413

2014-07-01  Evan Nemerson  <evan@nemerson.com>

	webkit2gtk-3.0, webkit2gtk-web-extension-3.0: update to 2.4.3

2014-06-30  Jürg Billeter  <j@bitron.ch>

	Mark regular expression literals as stable
	Fixes part of bug 677022.

2014-06-30  Simon Werbeck  <simon.werbeck@gmail.com>

	Fix comparison of nullable value types
	Fixes bug 678791

2014-06-30  Evan Nemerson  <evan@nemerson.com>

	gstreamer-rtsp-server-1.0: update to fix C header filename

2014-06-29  Evan Nemerson  <evan@nemerson.com>

	gstremaer-rtsp-server-1.0: add gstreamer-net-1.0 to deps

2014-06-28  Simon Werbeck  <simon.werbeck@gmail.com>

	Set G_SIGNAL_DEPRECATED on annotated signals
	When using the [Deprecated] attribute on a signal, the corresponding
	signal flag is now set upon signal creation. This requires that
	--target-glib is set accordingly

	Fixes bug 732381

2014-06-28  Luca Bruno  <lucabru@src.gnome.org>

	Fix previous 6c36eb4 commit

	codewriter: Do not write (unowned string)[] for constants
	The element type of a constant array is forced to be unowned
	in the parser. Therefore we don't write (unowned string) to avoid
	breaking vapi parsing uselessly with older valac versions.

	Fixes bug 732080

2014-06-27  Evan Nemerson  <evan@nemerson.com>

	vala.m4: don't escape modules argument to VALA_CHECK_MODULES
	Fixes bug 729495.

2014-06-27  Luca Bruno  <lucabru@src.gnome.org>

	Call g_signal_handlers_destroy on gtypeinstance finalizer
	Fixes bug 708130

2014-06-27  Evan Nemerson  <evan@nemerson.com>

	girwriter: fall back on gir_namespace if GIR name is not available

	girwriter: fix *Private type name for nested classes
	Fixes bug 641559.

	glib-2.0: change constructor for GenericArray with glib-2.0 >= 2.30
	Fixes bug 732251.

	glib-2.0: mark PtrArray as deprecated in favor of GenericArray
	GenericArray is much nicer, and if you really want to use pointers
	(which you don't) you can always do GenericArray<void*>.

2014-06-26  Evan Nemerson  <evan@nemerson.com>

	gstreamer-1.0: update bindings to latest git

	gstreamer-rtsp-server-1.0: update bindings
	The previous bindings only worked for an unstable pre-release version
	of gstreamer-rtsp-server-1.0.  The new (stable) version is not
	backwards compatible, so neither can the Vala bindings be.  Since we
	had to break backwards compatibilitiy, why not go big?  I've taken the
	opportunity to move the bindings into the Gst.RTSPServer namespace to
	better match the other gstreamer bindings, as well as other assorted
	less-disruptive clean-ups.

	Fixes bug 723910.

2014-06-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.13.3

2014-06-22  Evan Nemerson  <evan@nemerson.com>

	posix: the atexit callback does not have a target

2014-06-18  Evan Nemerson  <evan@nemerson.com>

	glib-2.0: add non-null support for string.joinv
	Updated patch after fixing accessing .length of arrays
	in the non-nullable semantics

	Fixes bug 728656

2014-06-18  Luca Bruno  <lucabru@src.gnome.org>

	non-nullable: Accessing array methods is safe when the array is null
	Partially fixes bug 728656

2014-06-18  Evan Nemerson  <evan@nemerson.com>

	Use ascii_up/down instead of utf8 up/down when generating identifiers
	Fixes bug 731795.

2014-06-15  Luca Bruno  <lucabru@src.gnome.org>

	gvariant module: Fix memory leak when deserializing hashtables with gvariant
	Fixes bug 698260

2014-06-15  Evan Nemerson  <evan@nemerson.com>

	glib-2.0: rename HashSet to GenericSet
	There is a Gee.HashSet which was causing conflicts for projects
	using "using Gee;" (specifically, folks and gnome-contacts).

2014-06-14  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: support Variant objv
	Fixes bug 729695

2014-06-13  Evan Nemerson  <evan@nemerson.com>

	cairo-xcb, xcb-iccm, xcb: deprecate in favor of vala-extra-vapis

2014-06-12  Evan Nemerson  <evan@nemerson.com>

	gio-2.0: maintain backwards compatibility with old ActionEntry binding

	glib-2.0: add static methods back into Sequence, marked as deprecated
	They are, it seems, usable by calling them as if they were instance
	methods.  However, doing so causes a warning from valac ("Access to
	static member ... with an instance reference").

	glib-2.0: add HashTable.take and length

	glib-2.0: add GLib.HashSet
	This is basically just a convenience wrapper around GLib.HashTable
	where the key and value are set to the same value, providing a set
	data type instead of a map.

	Fixes bug 686609.

	gio-2.0: callbacks in ActionEntry must not have a target
	Fixes bug 681896.

	Revert "gobject-2.0: make ObjectClass.list_properties transfer container"
	Breaks bootstrapping with valac <= 0.24

	gobject-2.0: make TypeClass non-reference-counted
	The ref function was always broken and would generate invalid C, so
	this should be safe.

	Fixes bug 679481.

	glib-2.0: don't use the container type's generic in static methods
	Fixes bug 669816.

	glib-2.0: mark many constants as const instead of static
	Fixes bug 646143.

	gobject-2.0: make ObjectClass.list_properties transfer container
	Fixes bug 620419.

	gtk+-2.0: add WidgetClass.set_scroll_adjustments_signal binding
	Fixes bug 611498.

	gstreamer-1.0: update to 1.3.2.1~d99e6215
	Fixes bug 730983.

2014-06-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: update to 2.41.0

	gtk+-3.0: update to 3.13.3~200bdf1a

	gobject-2.0: Bind G_PARAM_EXPLICIT_NOTIFY

2014-06-11  Evan Nemerson  <evan@nemerson.com>

	gtk+-3.0: set Editable type_cname
	Fixes bug 731499.

2014-06-05  Evan Nemerson  <evan@nemerson.com>

	girparser: only replace ref/unref funcs with better matches

2014-06-03  Luca Bruno  <luca.bruno@immobiliare.it>

	girparser: use identifier prefix from GIR when appropriate
	Fixes bug 731066

	codegen: Simplify field initialization for struct types
	Fixes bug 703996

2014-06-01  Robert Ancell  <robert.ancell@canonical.com>

	xcb: Replies are nullable and errors are optional
	Also a few whitespace consistency changes thrown in.

	xcb: Add helper methods for GetPropertyReply
	Add helper methods for GetPropertyReply so you don't have to access a void
	pointer.

	https://bugzilla.gnome.org/show_bug.cgi?id=730230

	xcb: Add more methods and use Vala types for accessing data
	https://bugzilla.gnome.org/show_bug.cgi?id=730218

2014-05-31  Luca Bruno  <lucabru@src.gnome.org>

	gobject: Add Binding.unbind
	Fixes bug 730967

2014-05-31  Evan Nemerson  <evan@nemerson.com>

	glib-2.0: remove HashTable.get_keys_as_array
	This was causing a syntax error when trying to compile Vala with an
	older version of valac (whatever is in gnome-continuous).  It looks
	like we should hold off on adding stuff with this syntax until
	next cycle.

	glib-2.0: add HashTable.get_keys_as_array

	girparser: handle multiple identifier-prefixes in namespaces

2014-05-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib2.0: Mark StaticPrivate as deprecated

2014-05-29  Timm Bäder  <mail@baedert.org>

	gtkmodule: Error out on malformed signal definition
	Connecting to a signal in a gtk composite template needs both the
	signal's name and a handler function to connect to.

2014-05-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Add gstreamer-allocators-1.0 and gstreamer-riff-1.0

2014-05-29  Evan Nemerson  <evan@nemerson.com>

	json-glib-1.0: update to 1.0.2

2014-05-28  Evan Nemerson  <evan@nemerson.com>

	girparser: don't deprecate children of deprecated containers
	GObject Introspection doesn't support marking entire types as
	deprecated, so we end up with a lot of places where the type isn't
	deprecated, but every method, property, field, signal, etc. in it is,
	which causes a lot of spew during compilation.  This patch allows us
	to easily deprecate a type in metadata and any extra deprecation
	information on child symbols will be omitted.

	girparser: improve support for changing symbol types away from instance
	This makes it possible to move a symbol from an instance method of one
	type to a constructor of another, or to a static method.

	girparser: support return_void metadata argument
	This allows us to generate backwards compatible signatures for
	functions with a void return value and a single out param for a struct
	from metadata files instead of resorting to *-custom.vala.

	Update GIR-based bindings.

	gstreamer-1.0: update to latest git.
	Using bindings some libraries, such as gstreamer-audio-1.0, will break
	compatibility with gstreamer 1.0 since gstreamer didn't include
	single-include headers until 1.2.

	libsoup-2.4: deprecate Buffer.new and MessageBody.append
	These functions require the user to correctly specify a Soup.MemoryUse
	argument, but that's easy to get wrong without understanding how the
	memory is managed.  Alternatives for these functions which will always
	transfer ownership of the memory have been in place since 2.32, so
	from now on we will emit a warning when someone tries to use the old
	versions.

2014-05-27  Raul Gutierrez Segales  <rgs@collabora.co.uk>

	glib-2.0: add accessor for GArray's data field
	Fixes bug 651505

2014-05-27  Evan Nemerson  <evan@nemerson.com>

	codegen: put exception checks inside of a G_UNLIKELY
	Fixes bug 730702

2014-05-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: update to 3.13.1~3f140d53

2014-05-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0: update to 3.13.1~a61a11a4

2014-05-21  Evan Nemerson  <evan@nemerson.com>

	gdk-3.0: update to 3.13.1~701adf81

2014-05-18  Luca Bruno  <lucabru@src.gnome.org>

	Support explicit interface methods implementation
	Fixes bug 652098

2014-05-18  Evan Nemerson  <evan@nemerson.com>

	gudev-1.0: update to latest git
	Most of the metadata has been moved into annotations upstream.

2014-05-17  Luca Bruno  <lucabru@src.gnome.org>

	Fix gir and gidl bindings due to (unowned type)[] arrays

	Revert "girparser: Make array element type owned by default"
	This reverts commit 1c814e174d161102ea3288121f6b4c09c8b46482.

	girparser: Make array element type owned by default

	Fix writing vapis with (unowned type)[]

	Support (unowned type)[] syntax for transfer-container arrays
	Fixes bug 571486

2014-05-17  Evan Nemerson  <evan@nemerson.com>

	goocanvas: mark as deprecated

	atk: update to 2.13.1~d44970bd

	gdk-pixbuf-2.0: update to latest git

2014-05-16  Evan Nemerson  <evan@nemerson.com>

	webkitgtk-3.0: add metadata file

2014-05-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+3.0: Update to 3.13.1+

2014-05-16  Lasse Schuirmann  <lasse@schuirmann.net>

	libarchive: Update to version 3
	Fixes bug 668654

2014-05-15  Robert Ancell  <robert.ancell@canonical.com>

	xcb: Add drawing API
	https://bugzilla.gnome.org/show_bug.cgi?id=730148

	xcb: Add Xcb.Connection.create_pixmap
	https://bugzilla.gnome.org/show_bug.cgi?id=730103

2014-05-14  Evan Nemerson  <evan@nemerson.com>

	Add webkit2gtk-3.0 and webkit2gtk-web-extension-3.0 bindings.
	Fixes bug 676249.

2014-05-14  Robert Ancell  <robert.ancell@canonical.com>

	xcb: Add Xcb.Connection.get_atom_name
	https://bugzilla.gnome.org/show_bug.cgi?id=730099

	xcb: Missing EnterNotifyEvent, LeaveNotifyEvent, KeymapNotifyEvent, VisibilityNotifyEvent, ReparentNotifyEvent, GravityNotifyEvent, CirculateNotifyEvent, PropertyNotifyEvent, SelectionNotifyEvent, ColormapNotifyEvent, MappingNotifyEvent classes
	https://bugzilla.gnome.org/show_bug.cgi?id=730097

	xcb: Remove unnecessary padding fields
	Some structures allow access to the padding fields from the C structures. Since
	these don't do anything except make the memory be set out correctly there's no
	reason to access them from Vala.

	https://bugzilla.gnome.org/show_bug.cgi?id=730094

	xcb: Add methods to access pixmap formats
	https://bugzilla.gnome.org/show_bug.cgi?id=730092

	xcb: Add missing fields to Xcb.Setup, Xcb.Screen and Xcb.VisualType
	https://bugzilla.gnome.org/show_bug.cgi?id=730091

	xcb: Fix depth iterator methods
	https://bugzilla.gnome.org/show_bug.cgi?id=730089

	xcb: Add binding for xcb_connection_has_error
	https://bugzilla.gnome.org/show_bug.cgi?id=730088

	xcb: Fix visuals iterator methods
	https://bugzilla.gnome.org/show_bug.cgi?id=730090

2014-05-13  Robert Ancell  <robert.ancell@canonical.com>

	xcb: Set correct C name for Xcb.ScreenIterator.next
	https://bugzilla.gnome.org/show_bug.cgi?id=730086

2014-05-11  Christian Persch  <chpe@gnome.org>

	glib-2.0: Allow null hooks for OptionGroup
	Allow null pre-parse, post-parse, error and translation hooks.

	Fixed bug #729954.

2014-05-08  Evan Nemerson  <evan@nemerson.com>

	pango: update to latest git

2014-05-06  Ryan Lortie  <desrt@desrt.ca>

	girparser: grok "nullable"
	Understand the new "nullable" attribute in .gir files.

	Presently, this is mostly an alias for allow-none='', but it will also
	allows a new feature: we can explicitly mark out parameters as having a
	nullable type (as a distinct concept from accepting 'NULL' as a
	parameter to the C function call in order to ignore the result).

	.gir may eventually want to remove allow-none='' some day, so make sure
	we also accept nullable='' in all places that we accepted allow-none=''
	to mean 'can be NULL'.

	https://bugzilla.gnome.org/show_bug.cgi?id=660879

2014-04-30  Al Thomas  <astavale@yahoo.co.uk>

	codegen: Uppercase strings in ASCII, otherwise broken for some locales
	Fixes bug 704468

2014-04-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Perform missing rebuild
	Fixes e657266432c73b292a17e5207184ebed4dd3ef44

2014-04-29  Kyrylo Polezhaiev  <polezhaiev@ukr.net>

	libpq: Fix syntax error
	Fixes bug 729177

2014-04-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+3.0: Update to 3.13.1

2014-04-28  Evan Nemerson  <evan@nemerson.com>

	gio-unix-2.0: fix DesktopAppInfo.list_actions return value

2014-04-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+3.0: Update to 3.13.0~

	gio-2.0: Update to 2.41.0~

2014-04-18  Ryan Lortie  <desrt@desrt.ca>

	gtk+-3.0: add new GtkListBox selection API
	metadata copied from the similar api on GtkFlowBox (which is where the
	GtkListBox API itself was modelled from).

	https://bugzilla.gnome.org/show_bug.cgi?id=728474

	gtk+-3.0: fix flowbox selection foreach API
	The callback doesn't have a destroy notify, so don't mark it 'owned'.
	Additionally, it's not OK to pass a NULL callback to a foreach function.

	https://bugzilla.gnome.org/show_bug.cgi?id=728474

2014-04-14  Evan Nemerson  <evan@nemerson.com>

	gtk+-3.0, gtk+-2.0: make TargetList constructor argument nullable
	Fixes bug 728126.

	glib-2.0: add OptionContext.parse_strv
	Fixes bug 728111.

2014-04-08  Evan Nemerson  <evan@nemerson.com>

	gtksourceview-3.0: update to latest git

2014-04-07  Luca Bruno  <lucabru@src.gnome.org>

	gtk+3.0: fix Application.set_accels_for_action array parameter
	Fixes bug 727752

2014-04-06  Simon Werbeck  <simon.werbeck@gmail.com>

	codegen: Fix local and field names starting with a digit
	Fixes bug 647018

2014-04-05  Luca Bruno  <lucabru@src.gnome.org>

	girparser: reset cheader_filenames before parsing a gir
	Remove gedit-2.20 from all-bindings due to a random bug.
	Sometimes it's successful, sometimes it's not.

	gobject-introspection-1.0: regenerate according to vala-girs

	geocode-glib-1.0: update to 3.12.0-5-g7eb1490

	Remove gedit from all-bindings as it will be shipped upstream

	gdl-3.0: Update after the GdkEvent change from struct to class

2014-04-05  Simon Werbeck  <simon.werbeck@gmail.com>

	codegen: Do not generate generic destroy func for non-disposable structs
	Fixes bug 727652

2014-04-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	x11: Don't use camel-cased names for methods
	In addition to d00ddbf098d50a4ccf81faec12d186be04c7f975

2014-04-01  Luca Bruno  <lucabru@src.gnome.org>

	libnotify: Updated to 0.7.6-3-gda49c8c
	See https://bugzilla.gnome.org/show_bug.cgi?id=667904

2014-04-01  Stefano Facchini  <stefano.facchini@gmail.com>

	glib: Add G_SOURCE_CONTINUE/G_SOURCE_REMOVE

2014-03-31  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Support interface aliases

2014-03-31  Robert Ancell  <robert.ancell@canonical.com>

	x11: Add some missing API
	The functions:
	XClearWindow
	XCreatePixmap
	XSetWindowBackgroundPixmap

	The XSetCloseDownMode enumerations

	The following events:
	FocusChangeEvent
	ExposeEvent
	GraphicsExposeEvent
	NoExposeEvent
	VisibilityEvent
	ResizeRequestEvent
	SelectionClearEvent
	SelectionRequestEvent
	ColormapEvent
	MappingEvent
	ErrorEvent
	KeymapEvent

	Fixes bug 727113

2014-03-30  Luca Bruno  <lucabru@src.gnome.org>

	atk: Update and fix metadata
	Fixes bug 727029

2014-03-30  Simon  <simon.werbeck@gmail.com>

	Support non-literal length in fixed-size arrays
	Now any constant integer expression can be used as length
	for fixed-size arrays.

	Fixes bug 638993

2014-03-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add tests for enums annotated with [Flags]

2014-03-26  Rico Tzschichholz  <ricotz@t-online.de>

	cairo: Update some enums and consts

2014-03-25  Evan Nemerson  <evan@nemerson.com>

	gdk-pixbuf-2.0: make Pixbuf.save_to_stream variadic

2014-03-25  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

2014-03-25  Rico Tzschichholz  <ricotz@t-online.de>

	clutter-1.0: Update to 1.18.0

	geocode-glib-1.0: Update to 3.12.0

	gtk+-3.0: Update to 3.12.0

2014-03-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Hide internal methods in ABI
	Fixes bug 700157

2014-03-24  Jürg Billeter  <j@bitron.ch>

	Release 0.24.0

2014-03-23  Luca Bruno  <lucabru@src.gnome.org>

	tests: Use sed '$d' because head -n -1 is not portable
	Fixes bug 726908

2014-03-20  Luca Bruno  <lucabru@src.gnome.org>

	gstreamer-0.10: Set GstURIHandler.get_uri_type vfunc to get_type
	Fixes bug 726745

	gidlparser: Do not set nullable to void type

	codegen: Inherit array_length and array_null_terminated of methods
	Fixes bug 726744

2014-03-20  Rico Tzschichholz  <ricotz@t-online.de>

	x11: Add missing evtype field of GenericEventCookie

2014-03-16  Luca Bruno  <lucabru@src.gnome.org>

	gstreamer-1.0: Make Bin.add first parameter unowned

	gstreamer-1.0: Make Bin.add_many first parameter unowned
	Fixes bug 702969

	gstreamer-1.0: Make Element.add_pad parameter unowned
	Fixes bug 702960

	Add test for bug 726347

2014-03-16  Richard Wiedenhöft  <richard.wiedenhoeft@gmail.com>

	Accept single ellipsis parameter for instance methods
	Fixes bug 726347

2014-03-16  Steven Oliver  <oliver.steven@gmail.com>

	libpq: Add PQping enum and functions
	Fixes bug 722878

2014-03-14  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Make ComboBox.set_active_iter parameter nullable
	Fixes bug 726141

2014-03-14  Simon  <simon.werbeck@gmail.com>

	codewriter: Emit 'unowned' keyword for local variables
	Fixes bug 726312

2014-03-13  David King  <amigadave@amigadave.com>

	gio-2.0: Update to 2.39.91+
	Fixes bug 726057

2014-03-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cogl-1.0: Fix some array arguments in Cogl.Texture

2014-03-06  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Also make Action.get_state_hint nullable

	gio-2.0: Make Action.state, state_type and parameter_type nullable
	Fixes bug 725367

	dbusserver: Rename the generated "parameters" identifier
	Fixes bug 725555.

2014-03-05  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	gtk+-3.0: Correct binding for IconView.convert_widget_to_bin_window_coords
	The last two arguments are 'out'.

2014-03-03  Colin Watson  <cjwatson@ubuntu.com>

	glib-2.0: Add missing C header for symlink
	Fixes bug 725151.

	posix: Declare Group.gr_mem as null-terminated
	Fixes bug 725149.

2014-03-02  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Add array_null_terminated, fixes hand-written change in gio

2014-03-02  Will Szumski  <will@cowboycoders.org>

	girwriter: Set scope=call for delegates when async or notified does not apply
	Fixes bug 725012.

	girwriter: Don't add target for delegates without target
	Fixes bug 725073.

2014-03-02  Stef Walter  <stefw@redhat.com>

	build: Fix missing backslashes in lists
	https://bugzilla.gnome.org/show_bug.cgi?id=725496

2014-02-18  Jürg Billeter  <j@bitron.ch>

	Release 0.23.3

2014-02-18  Rico Tzschichholz  <ricotz@t-online.de>

	gtk+-3.0: Update to 3.11.6

2014-02-17  Evan Nemerson  <evan@coeus-group.com>

	gedit: deprecate in favor of bindings distributed by gedit.
	See bug #724172.

2014-02-16  Paolo Borelli  <pborelli@gnome.org>

	gio-2.0: fix add_main_option_entries

2014-02-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Update to 2.39.5+

2014-02-16  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: update to 2.39.5

	glib-2.0: add new symbols for 2.40

	glib-2.0: add missing symbols from 2.38

2014-02-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update from git

2014-02-11  Ryan Lortie  <desrt@desrt.ca>

	vala.m4: honour CC, CPPFLAGS, CFLAGS, LDFLAGS
	These variables may be set to values that are required to build
	executables.  Make sure we honour them from vala.m4 when attempting to
	check for packages.

	https://bugzilla.gnome.org/show_bug.cgi?id=724176

2014-02-09  Ryan Lortie  <desrt@desrt.ca>

	gen-introspect: pretend to be lint
	Some system headers (notably <stdarg.h> on FreeBSD) get upset when they
	see an unexpected compiler.  We go out of our way to pass -U__GNUC__ to
	cpp from the scanner code during gen-introspect and this is causing
	problems.

	As a workaround, we can pretend to be lint, which fixes the issue at
	least for FreeBSD.

	https://bugzilla.gnome.org/show_bug.cgi?id=722954

2014-02-04  Jürg Billeter  <j@bitron.ch>

	Release 0.23.2

	gdk-3.0: Fix GdkEvent* bindings
	GdkEvent structs have hidden fields and must be exposed as compact
	classes.

	Fixes bug 713240.

2014-02-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to (nearly) 3.11.6

2014-02-03  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Shut warning about unused experimental metadata

	gstreamer-1.0: Fix ElementFactory.get_static_pad_templates return type
	Fixes bug 720694

2014-02-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Update to 1.17.2

2014-02-03  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Shut unused destroys_instance warning

	girparser: Add type_id metadata

2014-02-03  Jürg Billeter  <j@bitron.ch>

	codewriter: Fix spacing for property accessor attributes

2014-01-29  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: fix qsort_with_data binding
	Fixes bug 640786.

	glib-2.0: add search functions for (S)List and Queue
	Fixes bug 540415.

	tests: remove unnecessary main argument from bug723195 test

	glib-2.0: fix string.joinv for empty (but not null) arrays
	Fixes bug 723195.

2014-01-28  Luca Bruno  <lucabru@src.gnome.org>

	gtkmodule: Ensure child gtypes are initialized before creating the template
	Fixes bug 720282

	Fix regression in method calls that throw errors with Value target type
	Related to bug 723009

2014-01-27  Luca Bruno  <lucabru@src.gnome.org>

	Add build-aux/test-driver to .gitignore

2014-01-26  Luca Bruno  <lucabru@src.gnome.org>

	Fix regression when coalescing: value owned if either of the two is owned

	Drop LocalVariable.floating usage, replaced by create_temp_access

	Avoid unnecessary copies when using the coalescing operator
	Fixes bug 661985

	Use create_temp_access instead of local.floating in ObjectCreation

	Use create_temp_access instead of local.floating in MethodCall

	Add create_temp_access to properly access a temp variable after transformation

	Fix semantics for coalesce operator when target_type is null.
	Fixes bug 639482

2014-01-25  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Always assume external interface properties are gobject properties

2014-01-25  Richard Wiedenhöft  <richard.wiedenhoeft@gmail.com>

	codegen: Do not emit notify-signal for non-abstract interface properties
	Fixes bug 722968

2014-01-25  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Reduce the number of temporary variables
	If a temporary variable has been generated internally,
	do not create another regardless of whether it's floating or not.

	Fix calling methods on struct pointers
	Fixes bug 686190

2014-01-25  Richard Wiedenhöft  <richard.wiedenhoeft@gmail.com>

	libpq.vapi: added condition LIBPQ_9_3
	Fixes bug 698004.

2014-01-25  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: make string.joinv handle non-null-terminated arrays
	Fixes bug 686451.

2014-01-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtksourceview-3.0: Update to 3.11.3

	gtk+-3.0: Update to 3.11.5+

2014-01-18  Jesse van den Kieboom  <jessevdk@gmail.com>

	gtk+-3.0: Nullable GtkListBox::row_selected.row
	https://bugzilla.gnome.org/show_bug.cgi?id=722490

2014-01-18  Steven Oliver  <oliver.steven@gmail.com>

	glib-2.0: Add G_LOG_2_BASE_10 constant
	Fixes bug 722466

2014-01-16  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Fix short.abs() to be an instance method

2014-01-16  Steven Oliver  <oliver.steven@gmail.com>

	glib-2.0: Add abs() to short type
	Fixes bug 722067

2014-01-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.11.3+

	gdk-x11-3.0: Switch to GIR

2014-01-11  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Support "foo is G"

	Fix coalescing operator semantics check.
	The left operand was not put in any code block
	before the check, thus it wasn't able to transform itself.

	Fixes bug 691514.

2014-01-06  Luca Bruno  <lucabru@src.gnome.org>

	gtktemplate: Handle callbacks for detailed signals
	Fixes bug 720825

2014-01-06  Richard Wiedenhöft  <richard.wiedenhoeft@gmail.com>

	posix: Added methods read and write to class FILE
	Fixes bug 721478

2014-01-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	librsvg-2.0: Switch to GIR
	This binding is still deprecated and it shipped upstream since 2.26.2.
	Despite that update it one last time to ship a proper vapi rather than
	an out-dated erroneous one.

2014-01-04  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix memory leak introduced by fe9beb82b6809

2014-01-04  Jesse van den Kieboom  <jessevdk@gmail.com>

	girwriter: Derive gir namespace from base name
	Instead of using the full filename specified by --gir to derive the
	gir namespace, this patch uses only the base name of the file specified by
	--gir.

	https://bugzilla.gnome.org/show_bug.cgi?id=721452

2014-01-04  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Handle delegate aliases
	Fixes bug 667751

	girparser: Fix some source reference when reporting errors after parsing

	gtk+-2.0, gtk+-3.0: Improve TextMark constructor with nullables and defaults

2013-12-22  Jürg Billeter  <j@bitron.ch>

	Release 0.23.1

2013-12-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Allow using lambdas within enums.
	Fixes bug 659778

2013-12-21  Sergio Costas  <raster@rastersoft.com>

	Add xcb-icccm bindings.
	Fixes bug 720225.

2013-12-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.11.3

	gio-2.0: Update to 2.39.2

2013-12-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Handle the integers and enums in generic closure wrapper
	Handle edge-case when the one of generic parameters of delegate is an
	integer in closure or method.

2013-12-14  Marc-André Lureau  <marcandre.lureau@gmail.com>

	codegen: use #if GLIB_CHECK_VERSION for init functions
	Tarballs with generated code should compile without warnings, and work
	with various versions of glib (assuming the rest of the code is
	correctly up to date, which is often the case if you don't use newer
	functions)

	https://bugzilla.gnome.org/show_bug.cgi?id=692218

2013-12-14  Luca Bruno  <lucabru@src.gnome.org>

	analyzer: Fix critical when catch clause does not catch an ErrorType
	Based on patch by Severin Heiniger.

	Fixes bug 670806.

2013-12-14  Nathan Summers  <rock@gimp.org>

	codegen: Fix crash vapi properties with no get body but with set body
	Fixes bug 657348.

2013-12-14  Richard Schwarting  <aquarichy@gmail.com>

	libxml-2.0: Fix EntityDesc lookup and value_lookup cname
	Fixes bug 703083.

2013-12-14  Jesse van den Kieboom  <jessevdk@gmail.com>

	Make Vala.Method._base_interface_method weak
	This fixes a circular reference for interface methods which have
	themselves as their base method.

	https://bugzilla.gnome.org/show_bug.cgi?id=712683

2013-12-12  Sergio Costas  <raster@rastersoft.com>

	xcb: Major changes and fixes.
	Fixes bug 720225.

2013-12-11  Niclas Lockner  <niclaslockner@gmail.com>

	glib-2.0: Added [DestroysInstance] to Thread.join()
	Fixes bug 720249.

2013-12-10  Evan Nemerson  <evan@coeus-group.com>

	cogl-1.0: fix read_pixels pixels argument

	gtk-2.0, gtk-3.0: fix rgb_to_hsv argument directions

2013-12-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	atk: Update to 2.11.3

2013-11-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	libnotify: Switch to GIR

2013-11-27  Rico Tzschichholz  <ricotz@t-online.de>

	libpeas-gtk-1.0: Add bindings based on 1.8.1

2013-11-24  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Zero length of arrays when transferring ownership
	This allows var data = (owned) aGenericArray.data;
	without later setting data.len = 0 manually.

2013-11-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Update to 1.16.2

	gtk+-3.0: Update to 3.11.2

2013-11-14  Rico Tzschichholz  <ricotz@t-online.de>

	gdk-3.0, gtk+-3.0: Update to 3.11.1+

2013-11-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0, gio-unix-2.0: Update to 2.39.1

2013-11-08  Philip Withnall  <philip@tecnocode.co.uk>

	posix: Fix cname of NLItem
	This fixes the C type of variables of Vala type NLItem.

	Closes: https://bugzilla.gnome.org/show_bug.cgi?id=685039

2013-11-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Install packagekit-glib2 bindings

2013-11-04  Jesse van den Kieboom  <jessevdk@gmail.com>

	Allow dynamic type registration of generated dbus proxy classes
	https://bugzilla.gnome.org/show_bug.cgi?id=711423

2013-11-03  Jesse van den Kieboom  <jessevdk@gmail.com>

	gtk+ 3.0 vapi: make Gtk.Range.get_range_rect return rect
	https://bugzilla.gnome.org/show_bug.cgi?id=711337

2013-10-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-gst-1.0/2.0: Update to 1.6.0/2.0.8

2013-10-30  Rico Tzschichholz  <ricotz@t-online.de>

	gio-2.0: Fix default-value warnings of Subprocess.communicate*

2013-10-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Update to 2.39.0+

	packagekit-glib2: Update to 0.8.12

	gtk+-3.0: Update to 3.11.0

	Bump version suffix

2013-10-26  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Update. New Notification and Subprocess api
	Based on patch by Florian Müllner.

	Fixes bug 710912.

	Revert "gio-2.0: Fix uint8[]/char** types for contents parameters for g_file_[load|replace]_contents()"
	This reverts commit e4ef6fb72f560da385a09d262ef8afd2b64a1fc8.

	Fix memory leak when assigning an owned gvariant to an unowned variable
	Fixes bug 710882.

2013-10-26  Philip Withnall  <philip.withnall@collabora.co.uk>

	glib-2.0: Fix type of g_hash_table_iter_next() parameters to always be gpointer
	https://bugzilla.gnome.org/show_bug.cgi?id=710868

	gio-2.0: Fix uint8[]/char** types for contents parameters for g_file_[load|replace]_contents()
	https://bugzilla.gnome.org/show_bug.cgi?id=710867

2013-10-24  Ryan Lortie  <desrt@desrt.ca>

	bindings: update libnotify binding
	Also add a new metadata for _get_server_caps() return value

	https://bugzilla.gnome.org/show_bug.cgi?id=710838

2013-10-23  Philip Withnall  <philip.withnall@collabora.co.uk>

	gio-2.0: Add ‘throws’ to DBusObjectManagerClient.new[_for_bus]()
	https://bugzilla.gnome.org/show_bug.cgi?id=710643

2013-10-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtksourceview-3.0: Update to 3.10.1

2013-10-21  Luca Bruno  <lucabru@src.gnome.org>

	Merge branch 'staging'
	Conflicts:
		vala/valagirparser.vala

2013-10-20  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Support new gir format (deprecated, doc-version, doc-deprecated)

2013-10-17  Luca Bruno  <lucabru@src.gnome.org>

	Fix crash due to not copying a type

2013-10-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Fix output parameter of SymbolicColor.resolve

2013-10-12  Evan Nemerson  <evan@coeus-group.com>

	gstreamer-1.0: fix functions which return floating references
	GStreamer uses the (transfer floating) annotation for these, which
	g-i recognizes as an alias for (transfer none), therefore there is
	no way to pick them up in vapigen.

2013-10-12  Richard Schwarting  <aquarichy@gmail.com>

	libxml-2.0: add CCode type annotations for xmlChar* strings.
	Fixes bug 677359.

2013-10-12  Evan Nemerson  <evan@coeus-group.com>

	gstreamer-video-1.0: make Info.finfo field nullable
	Fixes bug 709558.

2013-10-10  Rico Tzschichholz  <ricotz@t-online.de>

	gtk+3.0: Mark region argument of *shape_combine_region nullable

2013-10-09  Evan Nemerson  <evan@coeus-group.com>

	girparser: skip doc-version, -deprecated, and -stability
	These element aren't in GObject Introspection yet, but should be coming
	soon.  Since we don't want to parse the docbook we'll just skip them
	instead of tryin to add the information to the VAPI.

2013-10-07  Timm Bäder  <mail@baedert.org>

	gtkmodule: Throw error on [GtkChild] in non-[GtkTemplate] class
	If this happens, the author most probably just forgot to add the
	[GtkTemplate] attribute and we throw an error.

	gtkmodule: Throw an error if the ui resource has no template

2013-10-07  Luca Bruno  <lucabru@src.gnome.org>

	Revert "Set parent_node and always copy datatype when assigned to code nodes."
	This reverts commit a09c9e93af0d64b9331c274de573465fe070b722.

	Fixes bug 709587.

2013-10-06  Luca Bruno  <lucabru@src.gnome.org>

	Set parent_node and always copy datatype when assigned to code nodes.
	This is a delicate patch that fixes subtle memory corruption bugs in
	libvala users and the compiler itself.
	It might break some application, so this commit is open for testing.

2013-10-05  Evan Nemerson  <evan@coeus-group.com>

	cogl-pango-1.0, libgdata: add missing dependencies

	sdl, sdl-image: remove default params preceding parass without defaults
	They cause a warning from valac, and you always have to provide values
	for them in Vala, so they really aren't doing any good.

	avahi-client: remove deprecated methods which throw errors.
	They were wrapper methods which caused a dependency on avahi-gobject
	which should not exist.  They were deprecated several years ago with
	the goal of removing them at some point, and I think that time has
	come.

	vapi: Add missing has_type_id = false in non-GObject bindings.

	vapi: Remove trailing whitespace.

	sqlite3: add missing has_type_id = false annotations to enums.

2013-10-02  Luca Bruno  <lucabru@src.gnome.org>

	Fix subtle bug in flowanalyzer that made the compiler crash
	By not copying the datatype the parent_node was overwritten.
	The bug was reproducible only with G_SLICE=always-malloc .

2013-09-30  Philip Withnall  <philip@tecnocode.co.uk>

	gtk+-3.0: Mark Gtk.Application.remove_accelerator() parameter as nullable
	Closes: https://bugzilla.gnome.org/show_bug.cgi?id=709084

2013-09-29  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Inherit array_{length,null_terminated} from base parameter
	First commit to start inheriting ccode attributes of parameters
	from base parameters of base methods.

	Partially fixes bug 642885.

2013-09-29  Jürg Billeter  <j@bitron.ch>

	Revert "codegen: Inherit array_{length,null_terminated} from base parameter"
	This reverts commit ebfe7b7411f413a8631fec22e704a0d8921f4417.

2013-09-29  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Inherit array_{length,null_terminated} from base parameter
	First commit to start inheriting ccode attributes of parameters
	from base parameters of base methods.

	Partially fixes bug 642885.

2013-09-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.10.0

2013-09-23  Jürg Billeter  <j@bitron.ch>

	Release 0.22.0

2013-09-22  Arnel A. Borja  <arnelborja@src.gnome.org>

	cairo: Fixes to RecordingSurface, PdfSurface and SvgSurface bindings
	Fixes bug 708564.

2013-09-21  Luca Bruno  <lucabru@src.gnome.org>

	Support chain up to constructv functions.

2013-09-20  Florian Brosch  <flo.brosch@gmail.com>

	glib-2.0: de-deprecate string.offset

2013-09-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.9.16

2013-09-18  Florian Brosch  <flo.brosch@gmail.com>

	libxml-2.0: Fix SchemaValidCtxt

2013-09-16  Rico Tzschichholz  <ricotz@t-online.de>

	codegen: Don't define varidic helper *_constructv_full as static
	Avoid adding the static _constructv_full method to the header file
	of libraries since it is causing failures using -Wunused-function.

2013-09-15  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: re-add MenuModel.get_item_links
	G-I now marks this function as un-introspectable because it currently
	cannot deal with annotations on virtual methods without invokers, and
	annotations are required for this method because one of the arguments
	is a GHashTable.

	libsoup-2.4: fix symbol name in some deprecated since annotations
	Fixes bug 708047.

	bindings: update GIR-based GNOME bindings from jhbuild

2013-09-13  Jürg Billeter  <j@bitron.ch>

	Release 0.21.2

2013-09-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	libnotify: Update to 0.7.6

2013-09-11  Rico Tzschichholz  <ricotz@t-online.de>

	atspi-2: Update to 2.9.91

	gtksourceview-3.0: Update to 3.9.91

2013-09-09  Evgeny Bobkin  <evgen.ibqn@gmail.com>

	Add geocode-glib bindings

2013-09-09  Jamie McCracken  <jamie.mccrack@gmail.com>

	Genie: Fixed use of print statements when variables are null

2013-09-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Discover ref/unref methods
	Add ability to find ref/unref methods and add corresponding ccode
	attributes. Additionally rebuild all gir bindings to pick up the
	changes.

	https://bugzilla.gnome.org/show_bug.cgi?id=666796

	gtk+-2.0, gtk+-3.0: Fixes for Icon* related bindings and some deprecations

2013-09-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Some more scope=async updates
	In addition to 3e20fd82c05daa60005aaff11411cd1814beb778

2013-09-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	libsoup-2.4: Actually it is SOUP_STATUS_
	This fixes the previous commit.

	libsoup-2.4: Keep using SOUP_STATUS_CODE_ cprefix for KnownStatusCode
	This preserves backwards compatibility with <= 2.42.*

	gdk-3.0, gdk-x11-3.0, gtk+-3.0: Update to 3.9.14

2013-08-31  Jussi Kukkonen  <jussi.kukkonen@intel.com>

	posix: Correct sockaddr.sa_data field name
	Fixes bug 707180.

2013-08-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Update to 1.0.10

	gdk-3.0, gtk+-3.0: Update to 3.9.13+

2013-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Fix default-value warning

2013-08-29  Rico Tzschichholz  <ricotz@t-online.de>

	gtk3: annotate nullable label args

2013-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	packagekit-glib2: Update to 0.8.10

2013-08-28  Jürg Billeter  <j@bitron.ch>

	gio-2.0: remove default argument from g_file_load_contents
	Fixes bug 706761.

	girparser: accept empty tuple for parameters without initializer

2013-08-26  Luca Bruno  <lucabru@src.gnome.org>

	Do not warn about non-default parameters for coroutines.
	Reopens bug 644241.

	girparser: Support scope=async parameters.
	Based on patch by Evan.

	Fixes bug 704176.

2013-08-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gedit: Update to 3.9.90

	clutter-1.0: Update to 1.15.90

2013-08-25  Evan Nemerson  <evan@coeus-group.com>

	json-glib-1.0: fix functions which return floating GVariants

2013-08-24  Luca Bruno  <lucabru@src.gnome.org>

	Do not warn for non-default parameter if it's ellipsis

2013-08-24  Richard Wiedenhöft  <richard.wiedenhoeft@gmail.com>

	posix.vapi: Added bindings for getaddrinfo
	Fixes bug 705204.

	posix.vapi: Added constant AF_UNSPEC
	Fixes bug 705204.

2013-08-24  Simon Werbeck  <simon.werbeck@gmail.com>

	Warn if a parameter without default follows a parameter with default value
	Fixes bug 644241.

2013-08-24  Luca Bruno  <lucabru@src.gnome.org>

	libarchive: Fix read_data_block C name
	Fixes bug 704612.

2013-08-24  Heiher  <admin@heiher.info>

	Fix vala --version
	Fixes bug 673972

2013-08-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtksourceview-3.0: Update to 3.9.90

	libsoup-2.4: Update to 2.43.90

2013-08-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	atk: Update to 2.9.4

	libwnck-3.0: Update to 3.4.7

	gdk-x11-3.0, gtk+-3.0: Update to 3.9.12

2013-08-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.9.11++

2013-08-12  Rico Tzschichholz  <ricotz@t-online.de>

	gstreamer-1.0: Update to 1.0.9

2013-08-09  Rico Tzschichholz  <ricotz@t-online.de>

	gio-unix-2.0: Update to 2.37.5

2013-08-08  Rico Tzschichholz  <ricotz@t-online.de>

	vapi: Update GIDL/GIR binding lists

2013-08-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-3.0, gtk+-3.0: Update to 3.9.11+

2013-08-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Fix connect/disconnect of dynamic signals
	Make dynamic wrapper function return handler id for later
	disconnect.

	https://bugzilla.gnome.org/show_bug.cgi?id=705461

2013-08-07  Paolo Borelli  <pborelli@gnome.org>

	gtk+-3.0: add gtk_list_box_prepend

2013-08-02  Ignacio Casal Quinteiro  <ignacio.casal@nice-software.com>

	Make add_tick_callback callback owned

2013-08-02  Jürg Billeter  <j@bitron.ch>

	Release 0.21.1

2013-08-01  Rico Tzschichholz  <ricotz@t-online.de>

	gdk-2.0: Update to 2.24.20

2013-07-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-2.0: Update to 2.24.20

	gtk+-3.0: Update to 3.9.10

2013-07-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: A bunch of enum/flags updates

2013-07-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add various new symbols

	gtk+-3.0: Update to 3.9.9

2013-07-29  Michal Hruby  <michal.mhr@gmail.com>

	glib-2.0: Add GSource methods introduced in glib 2.36

2013-07-27  Luca Bruno  <lucabru@src.gnome.org>

	Align gtk templates to new gtk+/glib api
	Based on patch by ebassi.

2013-07-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-x11-2.0, gdk-x11-3.0: Update using 2.24.20, 3.9.8

2013-07-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Fix out params of MenuModel.get_item_attributes and .get_item_links
	https://bugzilla.gnome.org/show_bug.cgi?id=704931

	poppler-glib: Update to 0.23.4

2013-07-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add CCode ordering attribute for interfaces

2013-07-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Define ref/unref methods of MiniObject subclasses
	Also define some copy/free methods and include more fixes on the
	way.

2013-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-2.0: Updated from g-i master

2013-07-23  Evgeny Bobkin  <evgen.ibqn@gmail.com>

	scanner: Fix regression for the \x escape sequence
	Allow a variable hex digit length for \x with a low boundary set to 1
	https://bugzilla.gnome.org/show_bug.cgi?id=704709

	Add support for the \uXXXX escape sequence
	An additional checks to validate the escape sequences \xYY and \uYYYY
	were added, where Y represents a hex digit.
	https://bugzilla.gnome.org/show_bug.cgi?id=704709

2013-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-1.0: Fix TagList.get_boolean regression

2013-07-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	gdk-pixbuf-2.0: Update to 2.29.2

	atk: Update to 2.9.3

	gdk-3.0: Update to 3.9.8

	gstreamer-1.0: Update to 1.0.8

	girwriter: Fix handling of delegate params
	Regression of d74c5fb0654ef5985d763a7847c8013de781aac3

2013-07-16  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: update to git master

2013-07-14  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Allow scope=async delegates to be used in vala code
	Fixes bug 703804

2013-07-10  Stef Walter  <stefw@redhat.com>

	gtk+-2.0, gtk+-3.0: Properly tag ownership on FileChooser.add_filter
	Fixes bug 703816

2013-07-04  Raphael Isemann  <teemperor@googlemail.com>

	posix: Add mlockall and munlockall
	Fixes bug 703617

2013-06-29  Ignacio Casal Quinteiro  <icq@gnome.org>

	Update gtk+ 3 vapi to latest upstream

2013-06-28  Luca Bruno  <lucabru@src.gnome.org>

	gtktemplate: Allow connecting signals of the template class itself

2013-06-27  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: TextBuffer.get_slice return value should be owned

2013-06-23  Luca Bruno  <lucabru@src.gnome.org>

	poppler-glib: Drop unnecessary dependencies
	Thanks to tarnyko for the patch.

	Fixes bug 702873.

2013-06-22  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't convert GValue/GVariant on non-null cast
	Fixes bug 702846

2013-06-21  Luca Bruno  <lucabru@src.gnome.org>

	Fix base access of properties
	Fixes another bug in 702736

	Do not allow abstract, virtual and override at the same time for properties
	Fixes bug 702736

	xmlparser: Support single quotes for attributes

2013-06-19  Rico Tzschichholz  <ricotz@t-online.de>

	glib-2.0: Add version fields and check_version

2013-06-19  Evan Nemerson  <evan@coeus-group.com>

	libusb-1.0: make Device a compact class, other minor changes

2013-06-17  Ignacio Casal Quinteiro  <icq@gnome.org>

	gtk+ 3.0 vapi: mark listbox funcs as owned

2013-06-17  Stefano Facchini  <stefano.facchini@gmail.com>

	gtk+-3.0: mark nullable arguments in ListBox API

2013-06-16  Ignacio Casal Quinteiro  <icq@gnome.org>

	Update gtk+ 3.0 vapi to latest upstream

2013-06-13  Luca Bruno  <lucabru@src.gnome.org>

	girwriter: Don't emit scope async and notified at the same time
	Fixes bug 702180

2013-06-13  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

2013-06-12  Luca Bruno  <lucabru@src.gnome.org>

	Always initialize temp variables to fix fatal warnings of GCC 4.8
	GCC 4.8 is being strict on possible uninitialized variables.
	This may or not may be a temporary solution. Always initializing
	variables shouldn't be a problem, apart missing possible bugs
	in the generated code.

2013-06-11  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Support non-auto property initializer in gobjects
	Fixes bug 701978

	Add testcase for missed postconditions in methods returning void

	Add postconditions when exiting from methods returning void

	girwriter: Add scope="notified" to owned delegates
	Fixes bug 688012

2013-06-09  Luca Bruno  <lucabru@src.gnome.org>

	Fix criticals due to commit a31a2a77dd60e70137448751

2013-06-06  Michal Hruby  <michal.mhr@gmail.com>

	GIRWriter: Properly emit transfer-ownership=container

2013-06-05  Luca Bruno  <lucabru@src.gnome.org>

	Warn about copying delegates being not supported rather than being discouraged

	Warn when owned keyword is not used for called_once delegates

	Fix object creation that have delegate parameters being called once

	Fix broken parens introduced by previous commits

2013-06-04  Luca Bruno  <lucabru@src.gnome.org>

	Fix memory leak when defining async functions targeting glib < 2.20.
	Fixes bug 684182

	Support owned keyword for delegates called once

	gtktemplate: Verbose error reporting when ui resource is not found

	gtktemplate: Static type checking of [GtkChild]

	gtktemplate: Static type checking of [GtkCallback] using gresources

2013-06-04  Avi Levy  <avi.w.levy@gmail.com>

	Treat signal parameters that have G_TYPE_STRING type as strings.
	Fixes bug 701488

2013-05-28  Ignacio Casal Quinteiro  <icq@gnome.org>

	gtk+ 3: headerbar subtitle can be null

	Update gtk+-3.0 to latest upstream

2013-05-23  Luca Bruno  <lucabru@src.gnome.org>

	Add support for Gtk widget templates. Created a new codegen gtkmodule.

2013-05-21  Jürg Billeter  <j@bitron.ch>

	Fix C code generated for local string array constants
	Fixes bug 646970.

	Set target_type for start and stop values of slice expressions
	This ensures type conversions are generated as needed.

	Fixes bug 698997.

2013-05-15  Evan Nemerson  <evan@coeus-group.com>

	cairo: add lots of missing bindings

2013-05-12  Luca Bruno  <lucabru@src.gnome.org>

	Add another unfortunate CCode ctype alias for type

	Add (unfortunate) CCode finish_function alias for function_name.

2013-05-10  Luca Bruno  <lucabru@src.gnome.org>

	Fix crash introduced by previous patch.

	codegen: Cast return values if [CCode (type)] is supplied
	Patch by avi.w.levy@gmail.com

	Fixes bug 699956.

2013-05-09  Luca Bruno  <lucabru@src.gnome.org>

	Fix declaration of local variables with the same name in coroutines
	Fixes bug 699994.

2013-05-05  Luca Bruno  <lucabru@src.gnome.org>

	Support calling async methods with varargs

2013-04-27  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: fix typo in RWLock.reader_trylock

2013-04-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	After GLib 2.30 the GLib.AtomicInt.add returns int

2013-04-26  Anatol Pomozov  <anatol.pomozov@gmail.com>

	Fix spelling errors using 'codespell' tool

2013-04-18  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add bindings to GLib.Once

	Add GLib.get_num_processors

2013-04-14  Nikolay Orlyuk  <virkony@gmail.com>

	posix.vapi: add missing getopt part
	Fixes bug 694508.

2013-04-13  Paolo Borelli  <pborelli@gnome.org>

	gtk+-3.0: fix gtk_builder_add_objects_from_resource

2013-04-08  Jürg Billeter  <j@bitron.ch>

	Release 0.20.1

2013-03-31  Evan Nemerson  <evan@coeus-group.com>

	gtksourceview-2.0: fix SourceGutter.set_cell_{data,size}_func

2013-03-29  Simon Werbeck  <simon.werbeck@gmail.com>

	Check parameter directions in inherited methods
	Fixes bug 695214.

2013-03-28  Simon Werbeck  <simon.werbeck@gmail.com>

	Set correct parent_statement for MemberInitializer
	Fixes bug 603056.

2013-03-27  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: make IconInfo a compact class instead of a GObject
	Fixes bug 695831.

	json-glib-1.0: the get_root() methods return values are nullable.

2013-03-26  Jürg Billeter  <j@bitron.ch>

	Release 0.20.0

2013-03-25  Luca Bruno  <luca.bruno@immobiliare.it>

	Support non-null cast for enum values
	Fixes bug 673879.

2013-03-22  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Destroy value of "as" cast in case the result is null
	Fixes bug 695671.

2013-03-20  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix TreePath.to_string and TreeView.get_visible_range
	Based on patch by shuerhaaken.

	Fixes bug 695812.

	gtk+-2.0, gtk+-3.0: Fix IconView.get_visible_range
	Based on patch by shuerhaaken.

	Fixes bug 695833.

2013-03-18  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0, gtk+-3.0: make parameter string for goption nullable
	Fixes bug 696055.

2013-03-17  Paolo Borelli  <pborelli@gnome.org>

	gtk+-3.0: make TreeView::set_search_entry nullable

2013-03-02  Jesse van den Kieboom  <jessevdk@gnome.org>

	Updated gtk+-3.0 to lastest master
	https://bugzilla.gnome.org/show_bug.cgi?id=695017

2013-02-21  Evan Nemerson  <evan@coeus-group.com>

	bindings: update GIR-based bindings

2013-02-20  Evan Nemerson  <evan@coeus-group.com>

	girparser: support renaming fields in metadata
	Previously we allowed metadata to change field names, but did not set
	the cname CCode attribute, which would cause invalid C to be generated.

2013-02-20  Jürg Billeter  <j@bitron.ch>

	Release 0.19.0

2013-02-19  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: make drag_begin event arg nullable
	Fixes bug 691237.

	vapis: regenerate GIR-based bindings

	girparser: mark non-simpletype struct return values as nullable
	Functions which return structs currently generate incorrect C code
	since valac thinks the struct is actually an out argument.  This patch
	will mark the return values of functions returning structs as nullable
	in order to prevent valac from adding extra arguments.

2013-02-18  Marcin Lewandowski  <www@saepia.net>

	gstreamer-0.10: add some deprecation annotations
	Fixes bug 682207.

2013-02-18  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: fix g_variant_new_fixed_array binding
	The elements argument needs to be a generic array, with the type
	depending on the element_type argument.

2013-02-17  Michael Hofmann  <mh21@mh21.de>

	gtk+-3.0: Fix colors parameter of ColorChooser.add_palette
	Fixes bug 694037.

2013-02-17  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add StringBuilder.insert_len and overwrite* bindings

2013-02-16  Evan Nemerson  <evan@coeus-group.com>

	girparser: warn instead of error on unrecognized metadata arguments

	girparser: add support for "floating" metadata argument

	vte-2.90: remove some obsolete metadata

2013-02-14  Evan Nemerson  <evan@coeus-group.com>

	Remove libxklavier bindings.
	There hasn't been a release since they were added and it looks like
	libxklavier is going to be shipping them.  The only user I'm aware of
	is Caribou, and they are already shipping a local copy.

	x11: set Event GIR name to XEvent

2013-02-11  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add missing C header for g_fopen

	girparser: be a bit more forgiving about unexpected elements in a GIR

	girwriter: fix name of *Class structs for nested types in GIRs
	Fixes bug 689500.

2013-02-11  shuerhaaken  <interflug1@gmx.net>

	gtk+-3.0: hide extraneous CellArea.foreach parameter
	Fixes bug 693308.

2013-02-11  Evan Nemerson  <evan@coeus-group.com>

	Regenerate many GIR-based bindings

2013-02-09  Martin Pitt  <martinpitt@gnome.org>

	posix: Add binding for major(), minor(), makedev()
	Fixes bug 693411.

	posix: Fix superfluous array length argument for realpath()
	Fixes bug 693410.

2013-02-09  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: use g_fopen for FileStream.open
	Fixes bug 691622.

	curses: make Curses.Color a struct with the correct cname
	Fixes bug 693456.

2013-02-08  Evan Nemerson  <evan@coeus-group.com>

	libxml-2.0: revert 5fcabbfa

	x11: add VisualInfo bindings

2013-02-08  Richard Schwarting  <aquarichy@gmail.com>

	libxml-2.0: add Buffer
	Fixes bug 677355.

	libxml-2.0: add HashTable
	Partially fixes bug 677355.

	libxml-2.0: Expose xmlBuffer as Xml.Buffer
	Partially fixes bug 677355.

	libxml-2.0: Expose xmlSetNs
	Fixes bug 677726.

2013-02-08  Evan Nemerson  <evan@coeus-group.com>

	posix: add read_vectors and write_vectors
	Fixes bug 679035.

	vapigen.m4: emit error if no GOBJECT_INTROSPECTION_* macro is called
	Fixes bug 684275.

	x11: add has_destroy_function = false to WindowAttributes
	Fixes bug 690870.

2013-02-08  David Ma  <dma724332@gmail.com>

	posix: add Flock struct
	Fixes bug 690871.

2013-02-08  Evan Nemerson  <evan@coeus-group.com>

	x11: add Display.list_properties and XA_STRING
	Fixes bug 690905.

2013-02-08  Dan Callaghan  <djc@djc.id.au>

	libxml-2.0: fix Xml.Dtd property cnames
	Fixes bug 692060.

	libxml-2.0: add xmlSearchNs and xmlSearchNsByHref
	Fixes bug 692061.

2013-02-08  Pierre Lamot  <pierre.lamot@yahoo.fr>

	curses: add vprintw and vscanw bindings to Window
	Fixes bug 692748.

2013-02-08  Evan Nemerson  <evan@coeus-group.com>

	libxml-2.0: add some schema-related bindings

	gdl-3.0: update to 3.7.3
	Fixes bug 693127.

2013-02-02  Jasper St. Pierre  <jstpierre@mecheye.net>

	valagirparser: Ignore the new instance-parameter tag
	g-ir-scanner will now start emitting the instance parameter; since
	vala doesn't need this, just skip it.

	https://bugzilla.gnome.org/show_bug.cgi?id=693054

2013-02-02  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0:  fix Color.get_static return value

2013-01-22  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: mark Thread.set_priority and Thread.foreach as deprecated

2013-01-18  Rico Tzschichholz  <ricotz@t-online.de>

	codegen: Use equal method of base-struct for derived structs
	https://bugzilla.gnome.org/show_bug.cgi?id=690380

2013-01-11  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: undeprecate BinAlignment enum.

2013-01-10  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: avoid deprecation warning for BinLayout constructor

2013-01-08  Rico Tzschichholz  <ricotz@t-online.de>

	gstreamer-1.0: Update to 1.0.5

2012-12-29  Rico Tzschichholz  <ricotz@t-online.de>

	pango: Update to 1.32.5

2012-12-29  Luca Bruno  <lucabru@src.gnome.org>

	posix: Add fchmod

2012-12-29  Rico Tzschichholz  <ricotz@t-online.de>

	clutter-gtk-1.0: Update to 1.4.2

	clutter-1.0: Update to 1.13.2

	gstreamer-1.0: Update to 1.0.4

2012-12-20  Rico Tzschichholz  <ricotz@t-online.de>

	x11: add some contansts and mark some enums as flags

2012-12-17  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Update to 3.6.2

2012-12-16  Rico Tzschichholz  <ricotz@t-online.de>

	pixman-1: multiple fixes, mainly for Pixman.Image

2012-12-16  Evan Nemerson  <evan@coeus-group.com>

	gdk-3.0: do not implicitly pass array length to property_change
	Fixes bug 689286.

	libxml-2.0:  fix Html.Doc.new_no_dtd cname
	Fixes bug 689368.

2012-12-16  Rico Tzschichholz  <ricotz@t-online.de>

	gobject-2.0: Update and fix some enums which are actually flags

2012-12-06  Luca Bruno  <lucabru@src.gnome.org>

	gstreamer-interfaces-0.10: Fix cheader_filename of StreamVolume
	Based on patch by Reiner Merk.

	Fixes bug 689541.

2012-12-02  Luca Bruno  <lucabru@src.gnome.org>

	resolver: Accept children of DeleteStatement
	Fixes bug 689464.

2012-12-02  Jan Dvořák  <mordae@anilinux.org>

	linux: Make If* enums public
	Fixes bug 689466.

2012-12-02  Evan Nemerson  <evan@coeus-group.com>

	atk: update bindings to account for changes made in atk

2012-12-01  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: make MainContext.ref_thread_default return value owned

2012-11-29  Luca Bruno  <lucabru@src.gnome.org>

	Document --api-version in the man page

2012-11-29  Jürg Billeter  <j@bitron.ch>

	Add --api-version option

2012-11-29  Luca Bruno  <lucabru@src.gnome.org>

	libgsf-1: Use uint8[] for InputMemory creation methods
	Based on patch by Hodong Kim.

	Fixes bug 689026.

2012-11-28  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix passing nullable structs to non-nullable parameters
	Fixes bug 685177.

2012-11-25  Daiki Ueno  <ueno@unixuser.org>

	atspi-2: Add new bindings
	Fixes bug 688442.

	libxklavier: Add new bindings
	Fixes bug 688358.

2012-11-25  Luca Bruno  <lucabru@src.gnome.org>

	gstreamer-0.10: Fix Element.request_pad
	Based on patch by Marcin Lewandowski.

	Fixes bug 682208.

2012-11-25  Víctor Manuel Jáquez Leal  <vjaquez@igalia.com>

	gstreamer-1.0: Mark argv as unowned in Gst.init_check()
	Fixes bug 689003.

2012-11-22  Luca Bruno  <lucabru@src.gnome.org>

	libgsf-1: Fix type_id to match the unusual libgsf convention
	Fixes bug 688851.

2012-11-21  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Add throws to DBusProxy.new and .create_for_bus
	Fixes bug 688815.

2012-11-21  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: set GLib.GenericArray GIR name to PtrArray.

	girwriter: write GArray and GPtrArray to GIRs as arrays.

2012-11-20  Thomas Wood  <thomas.wood@intel.com>

	glib-2.0: remove GLib.DateTime.add_milliseconds
	This function was removed before glib 2.26 was released.

	https://bugzilla.gnome.org/show_bug.cgi?id=688712

2012-11-19  Luca Bruno  <lucabru@src.gnome.org>

	Support scope = "async" on parameters.
	This flag is still useful on delegates such as ThreadFunc that are
	always scope = "async" by default. The flag on the parameter will
	override the flag has been set on the delegate.

	libgsf-1: No array length for Infile.child_by_aname.names
	Fixes bug 688556.

2012-11-15  Rico Tzschichholz  <ricotz@t-online.de>

	gstreamer-1.0: update deps accordingly

2012-11-15  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: assorted minor fixes

2012-11-14  Jürg Billeter  <j@bitron.ch>

	gstreamer-1.0: Update to 1.0.2

	gtk+-3.0: Fix gtk_css_provider_get_named binding
	Fixes bug 688292.

	Reported-by: Pascal Garber <jumplink@gmail.com>

2012-11-13  Jürg Billeter  <j@bitron.ch>

	Fix source reference of switch sections

2012-11-11  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_grid_attach_next_to binding
	Fixes bug 682477.

	codegen: Fix memory leak when chaining up in fundamental classes
	Fixes bug 684776.

	codegen: Fix g_simple_async_result_new in interface methods
	Fixes bug 684557.

2012-11-11  Sebastian Pölsterl  <sebp@k-d-w.org>

	Added gstreamer-rtsp-server-1.0 bindings
	Fixes bug 687039.

2012-11-11  Jürg Billeter  <j@bitron.ch>

	linux: Fix uinput_user_dev binding
	Based on patch by Pascal Garber.

	Fixes bug 687602.

2012-11-11  Andreas Fenkart  <andreas.fenkart@streamunlimited.com>

	gstreamer-0.10: removed static from transition_next/current.
	Fixes bug 687807.

2012-11-11  Robert Ancell  <robert.ancell@canonical.com>

	posix: Add nl_langinfo
	Fixes 685039.

2012-11-11  Simon Werbeck  <simon.werbeck@gmail.com>

	Forbid `resize' method for multi-dimensional array
	Fixes bug 687943.

2012-11-11  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Add gtk_widget_has_grab binding
	Reported-by: Hans Baier <hansfbaier@googlemail.com>

2012-11-10  Jürg Billeter  <j@bitron.ch>

	codegen: Retain array length for cast from/to generic array
	Fixes bug 687728.

2012-11-03  Arnel A. Borja  <kyoushuu@yahoo.com>

	Fix build for Windows
	- Replace POSIX calls for spawning process with functions from Windows
	  API when compiling for Windows
	- Add EXEEXT to valac and vapigen paths
	- Remove EXEEXT from scripts

	Fixes bug 685180.

2012-11-03  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add float.ROUNDS and RADIX

2012-11-01  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add Process.check_exit_status binding

2012-10-24  Dmitry Vagin  <dmitry2004@yandex.ru>

	posix: mark inet_ntop as nullable
	Fixes bug 678988.

2012-10-24  Evan Nemerson  <evan@coeus-group.com>

	atk: fix Util.add_global_event_listener callback type
	Fixes bug 685552.

2012-10-23  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: assorted minor fixes

2012-10-22  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: fix nullability of ColorChooserDialog constructor arguments

	gtk+-2.0, gtk+-3.0: make RadioButton radio_group_member args nullable

2012-10-21  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: remove "out" from several caller-allocates parameters

2012-10-20  Rico Tzschichholz  <ricotz@t-online.de>

	tests: Add D-Bus test for dictionary passing

2012-10-20  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: improvements for Gtk.ScaleButton constructor args

2012-10-20  Jürg Billeter  <j@bitron.ch>

	codegen: Fix fields initialized by functions returning an array
	Fixes bug 686336.

2012-10-20  Evan Nemerson  <evan@coeus-group.com>

	gkt+-2.0, gtk+-3.0: fix Gtk.HSV.get_* arguments

2012-10-19  Jürg Billeter  <j@bitron.ch>

	GDBus: Initialize array length variable in property get wrappers
	This fixes a gcc warning when building with -O3.

	Based on patch by Marc-Antoine Perennou.

	Fixes bug 686123.

2012-10-19  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: mark Gtk.FontChooserDialog construtor arguments as nullable

2012-10-19  Jürg Billeter  <j@bitron.ch>

	codegen: Do not call g_type_init when targeting GLib >= 2.36
	Fixes bug 686222.

	codegen: Do not call g_thread_init when targeting GLib >= 2.32

2012-10-19  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: fix FileChooserButton.with_dialog argument type

2012-10-18  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: the parameter passed to Gtk.init can be null

2012-10-16  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: use g_async_queue_new_full instead of g_async_queue_new

	glib-2.0: mark envp parameters in GLib.Environ methods as nullable

	glib-2.0: add generic type arguments to PtrArray sort callbacks

2012-10-11  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add missing parameters to Test.rand_double_range

2012-10-10  Evan Nemerson  <evan@coeus-group.com>

	vapigen: support GIRDIRS variable in Makefile.vapigen

2012-10-09  Evan Nemerson  <evan@coeus-group.com>

	gstreamer-0.10: add GIR namespace and version info

	glib-2.0: generic-related improvements to Tree

2012-10-09  Rico Tzschichholz  <ricotz@t-online.de>

	gstreamer-1.0: update to 1.0.1

2012-10-09  Evan Nemerson  <evan@coeus-group.com>

	libxml-2.0: add has_type_id = false to all enums

2012-10-04  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

2012-10-03  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_application_inhibit binding
	Fixes bug 685425.

2012-10-01  Rico Tzschichholz  <ricotz@t-online.de>

	bindings: update GIR-based bindings.

2012-09-24  Jürg Billeter  <j@bitron.ch>

	Release 0.18.0

	Report error for signals with variable argument lists
	Fixes bug 683922.

2012-09-16  Jürg Billeter  <j@bitron.ch>

	Release 0.17.7

	codegen: Do not use deprecated functions for lock statements
	Fixes bug 662810.

2012-09-16  Robert Ancell  <robert.ancell@canonical.com>

	gtk+-3.0: Gtk.TextBuffer.create_tag should allow null tag name
	Fixes bug 684069.

2012-09-16  Rico Tzschichholz  <ricotz@t-online.de>

	pango: set AttrIterator free_function

2012-09-16  Evan Nemerson  <evan@coeus-group.com>

	girparser: add cname for constructors not prefixed with new_

	bindings: update GIR-based bindings.

	clutter-1.0: upgrade to 1.11.15

	linux: make backtrace_symbols return unowned
	You are supposed to free() the result of backtrace_symbols, but not
	each element in the array.  The current binding will free each element
	which will likely result in a crash.  Since we don't currently support
	owned arrays of unowned values (bug #571486), making the whole thing
	unowned and leaking (unless you call free manually) is the best we can
	do right now.

2012-09-15  Jamie McCracken  <jamie.mccrack@gmail.com>

	x11: Add missing XA_STRING atom

	GENIE: Updated genie to include fixes from vala parser

2012-09-12  Rico Tzschichholz  <ricotz@t-online.de>

	add libgnome-menu-3.0 bindings

2012-09-09  Jürg Billeter  <j@bitron.ch>

	codegen: Fix memory management when assigning to captured parameters
	Fixes bug 683646.

2012-09-08  Jürg Billeter  <j@bitron.ch>

	codegen: Fix memory leak with owned delegate parameters in async methods
	Fixes bug 683600.

2012-09-05  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: mark ResizeMode.IMMEDIATE as deprecated
	Fixes bug 679771.

	gtk+-3.0: mark deprecated symbols as such

2012-09-04  Daiki Ueno  <ueno@unixuser.org>

	x11: Add GenericEvent bindings
	Fixes bug 683310.

2012-09-03  Jürg Billeter  <j@bitron.ch>

	Release 0.17.6

2012-09-03  Philip Withnall  <philip@tecnocode.co.uk>

	gobject-2.0: Mark parameter of WeakRef() and WeakRef.set() as nullable
	Fixes bug 683227.

2012-09-03  Marc-André Lureau  <marcandre.lureau@gmail.com>

	glib-2.0: Add g_utime binding
	Fixes bug 682115.

2012-08-29  Jamie McCracken  <jamie.mccrack@gmail.com>

	Genie: Fix functions can take only one Generic as argument (611191)

2012-08-24  Jürg Billeter  <j@bitron.ch>

	Accept non-automatic properties with default value
	The default value is passed to the GParamSpec. The property will not
	implicitly be set to the default value during object construction
	unless it is a construct property.

2012-08-20  Jürg Billeter  <j@bitron.ch>

	Release 0.17.5

2012-08-20  Heiher  <admin@heiher.info>

	x11: Add XImage bindings
	Fixes bug 681961.

2012-08-20  Alexandre Rostovtsev  <tetromino@gentoo.org>

	vapigen.m4: use $vapigen_pkg_name as the name of the vapigen package
	We should use $vapigen_pkg_name, not "vapigen", as the name of the
	vapigen package; if the second parameter to VAPIGEN_CHECK is set, then
	$vapigen_pkg_name != "vapigen".

	Fixes bug 682203.

2012-08-20  Evan Nemerson  <evan@coeus-group.com>

	Add gst-plugins-base-1.0 bindings.

	Add gstreamer-1.0 core bindings.

	girparser: support "experimental" in metadata

2012-08-17  Marcin Lewandowski  <www@saepia.net>

	posix: Add getpwuid, getgrnam, and getgrgid bindings
	Fixes bug 682015.

	glib-2.0: Remove invalid get_name/set_name bindings from MainContext
	Fixes bug 681923.

2012-08-16  Evan Nemerson  <evan@coeus-group.com>

	pango: set free_function on Attribute to pango_attribute_destroy
	Fixes bug 682006.

	girparser: support symbol_type and instance_idx in metadata

2012-08-15  Jürg Billeter  <j@bitron.ch>

	Support subclassing of GLib.Source

	Fix critical for static fields with initializers in compact classes

	gio-2.0: Fix g_dbus_message_get_body binding

	gio-2.0: Fix g_dbus_connection_send_message_with_reply binding

	codegen: Drop extra copy of captured unowned parameters in async methods

	codegen: Fix double free of captured owned parameters in async methods

2012-08-14  Jürg Billeter  <j@bitron.ch>

	Support static methods in generic classes

2012-08-13  Jürg Billeter  <j@bitron.ch>

	Support virtual interface properties
	Fixes bug 681671.

2012-08-13  Evan Nemerson  <evan@coeus-group.com>

	girparser: set CCode type_id for enumerations

	pango: switch to GIR
	Fixes bug 681424.

2012-08-08  Florian Brosch  <flo.brosch@gmail.com>

	Test symbol resolution in closures

2012-08-08  Jürg Billeter  <j@bitron.ch>

	Fix symbol resolution in closures

	girwriter: Fix index of length parameter for methods returning arrays
	Fixes bug 681411.

2012-08-07  Evan Nemerson  <evan@coeus-group.com>

	bindings: mark bindings for deprecated libraries as such

	bindings: update gir based bindings

	libnl-3.0: change format of some comments to avoid confusing valadoc

	libpeas-1.0: add deps file

	Add gobject-introspection-1.0 bindings
	Fixes bug 572261.

	rest-0.7: add deps file with gio-2.0

2012-08-06  Jürg Billeter  <j@bitron.ch>

	codewriter: Support fixed-length arrays
	Fixes bug 618689.

2012-08-06  Dmitry Vagin  <dmitry2004@yandex.ru>

	posix: Fix in6_addr and in_addr bindings
	Fixes bug 679036.

2012-08-06  Tristan Brindle  <t.c.brindle@gmail.com>

	Ignore .h files passed to compiler
	Fixes bug 663088.

2012-08-06  Jürg Billeter  <j@bitron.ch>

	Release 0.17.4

	Do not warn when calling .begin or .end on static async method

2012-08-06  Colin Walters  <walters@verbum.org>

	building.txt: Update to mention vala-bootstrap

2012-08-06  Jürg Billeter  <j@bitron.ch>

	posix: Do not access static members with instance references

	Fix incorrect warning on constructor chain up

	Do not require explicit `this' to access generated to_string method
	Fixes bug 614424.

2012-08-06  Jacques-Pascal Deplaix  <jp.deplaix@gmail.com>

	vte, vte-2.90: Fix Vte.get_user_shell binding

2012-08-06  Jürg Billeter  <j@bitron.ch>

	Warn when accessing static members with an instance reference
	Fixes bug 661034.

	Do not access static members with instance references

	Drop warnings about unused internal symbols when using fast vapi files
	It is impossible to determine whether internal symbols are used when
	using fast vapi files.

	Fixes bug 680218.

	Drop POSIX profile

	Drop Dova profile

2012-08-06  Jeremy Whiting  <jpwhiting@kde.org>

	Support [GenericAccessors] attribute for interfaces
	This adds internal abstract functions to enable access to the element
	type from within a generic interface. These functions are implicitly
	implemented by all classes that implement interfaces with the
	[GenericAccessors] attribute.

	Fixes bug 640330.

2012-08-02  Simon Werbeck  <simon.werbeck@gmail.com>

	Allow trailing comma in initializer list
	Fixes bug 618858.

2012-08-02  Jürg Billeter  <j@bitron.ch>

	Accept comments in preprocessing directives
	Fixes bug 680874.

	glib-2.0: Use async scope for GThreadFunc
	Fixes bug 680931.

	Support [CCode (scope = "async")] attribute for delegates

2012-08-02  Geert Jordaens  <geert.jordaens@telenet.be>

	Improve error message for static access to instance variables
	Fixes bug 642254.

2012-08-02  Mikkel Kamstrup Erlandsen  <mikkel.kamstrup@canonical.com>

	D-Bus: Support fd passing with GFileDescriptorBased
	Fixes bug 662815.

2012-08-02  Marc-André Lureau  <marcandre.lureau@gmail.com>

	gobject-2.0: Set bind_property() default flag
	Use GLib.BindingFlags.DEFAULT by default.

	Fixes bug 676745.

2012-08-01  Daiki Ueno  <ueno@unixuser.org>

	codegen: Fix signature of array_contains for inline arrays
	Fixes bug 672116.

2012-08-01  Jürg Billeter  <j@bitron.ch>

	codegen: Fix GMutex finalization with GLib 2.32
	Fixes bug 670366.

2012-08-01  Simon Werbeck  <simon.werbeck@gmail.com>

	Recompute length when casting between array types
	This patch makes casting, e.g., from int[] to uchar[] work as expected
	by adjusting the array length field.

	Fixes bug 515408.

2012-08-01  Jürg Billeter  <j@bitron.ch>

	codegen: Fix va_start argument in methods throwing errors
	Fixes bug 620673.

	tests: Improve test for bug 620673

2012-07-31  Jürg Billeter  <j@bitron.ch>

	Deprecate implicit .begin for async methods

	D-Bus: Add missing gio.h include for GDBus error domains

2012-07-30  Siegfried-Angel Gevatter Pujals  <siegfried.gevatter@collabora.co.uk>

	codegen: Fix variadic constructors
	Fixes bug 620675.

2012-07-28  Evan Nemerson  <evan@coeus-group.com>

	Update GIR-based bindings.

	girparser: support class methods
	Fixes bug 666800.

	girparser: add GIR name attribute to reparented types

2012-07-27  Jens Georg  <mail@jensge.org>

	vala.m4: Fix calling VALA_CHECK_PACKAGES multiple times
	If you call VALA_CHECK_PACKAGES more than once, each call would append
	its packages to the list of checked packages.

	Also fixes a leading whitespace error.

	Fixes bug 675389.

	vala.m4: Fix typo
	Fixes bug 675388.

2012-07-21  Evan Nemerson  <evan@coeus-group.com>

	gobject-2.0: add Closure.SIZE for sizeof(GClosure)

	gtk+-3.0:  update to 3.5.9

2012-07-20  Evan Nemerson  <evan@coeus-group.com>

	gnome-keyring-1: deprecate in favor of bindings distributed upstream

	gio-2.0: make DataInputStream.read_line*.length default to null

2012-07-18  Richard Schwarting  <aquarichy@gmail.com>

	glib-2.0: Add g_test_fail binding
	Fixes bug 679361.

2012-07-18  Jürg Billeter  <j@bitron.ch>

	udisks2: Regenerate

	gdk-pixbuf-2.0: Regenerate
	Fixes bug 680060.

	girparser: Fix async creation methods throwing errors

2012-07-18  Simon Werbeck  <simon.werbeck@gmail.com>

	Support 'using' directive with nested namespace in fast-vapi
	Fixes bug 672960.

2012-07-18  Jürg Billeter  <j@bitron.ch>

	Fix async object creation expressions
	Fixes bug 680063.

	codegen: Fix access to null-terminated array properties
	Fixes bug 623518.

2012-07-18  Sébastien Wilmet  <swilmet@src.gnome.org>

	glib-2.0: add string.get_prev_char()
	This is the opposite of string.get_next_char().

	There is a difference though, to be more convenient in a loop:

	get_next_char() returns the current chararcter, and the next index.
	get_prev_char() returns the previous character, and the previous index.

	Fixes bug 655185.

2012-07-16  Jürg Billeter  <j@bitron.ch>

	Release 0.17.3

	gtk+-2.0, gtk+-3.0: Fix gtk_selection_data_get_targets binding
	Fixes bug 679830.

	codegen: Fix conversion from generic pointer to long integer
	Fixes bug 660621.

	Require and target GLib >= 2.18
	This allows valac to use gintptr and guintptr. The next stable release
	of vala will happen four years after the release of GLib 2.18.0.

2012-07-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Merge attributes on merge of namespace
	On merge the attribute of second namespace were silently ignored. This patch
	treats them as they were specified sequentially.

	Fixes bug 666478.

	codegen: Fix array move when the areas don't overlap
	Fixes bug 667452.

2012-07-03  Robert Ancell  <robert.ancell@canonical.com>

	gtk+-3.0: Fix gtk_application_add_accelerator nullable parameter

2012-06-28  Dmitry Vagin  <dmitry2004@yandex.ru>

	posix: fix inet_ntop binding, clean up some style issues
	Fixes bug 678988.

2012-06-26  Dmitry Vagin  <dmitry2004@yandex.ru>

	libpq: fix freeing of Postgres.Notify
	Fixes bug 678910.

2012-06-26  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: fix Settings.bind_with_mapping
	This method is skipped in the GIR because of the shared user_data
	parameter.  Vala doesn't support this, either, so to get around it
	we have to set has_target = false on the delegates and pass the void*
	manually.  This also changes the names of the relevant delegates so
	there is no collision if/when the issue is resolved in GIO.

2012-06-26  Jürg Billeter  <j@bitron.ch>

	girparser: Fix criticals on varargs functions

	girparser: Fix criticals when encountering async creation methods

	Fix crash due to incorrect copy of attribute list
	Fixes bug 678824.

2012-06-26  Evan Nemerson  <evan@coeus-group.com>

	gdk-pixbuf-2.0: remove some obsolete metadata

2012-06-25  Evan Nemerson  <evan@coeus-group.com>

	GIR parser: allow setting async finish functions in GIR

	GIR parser: add default value to GCancellable arguments when possible

2012-06-25  Florian Müllner  <fmuellner@gnome.org>

	vapi: Add missing GVariantTypes to glib-2.0

2012-06-25  Alexander Larsson  <alexl@redhat.com>

	Update vapi file for latest gtk+ git master

2012-06-24  Evan Nemerson  <evan@coeus-group.com>

	codegen: allow integer-derived types as generic arguments
	Fixes bug 677658.

2012-06-24  Jürg Billeter  <j@bitron.ch>

	GAsync: Support async creation methods
	Fixes bug 659886.

	codegen: Bring object creation implementation closer to method call

	gio-2.0: Mark AsyncInitable.init_async as virtual

2012-06-24  Evan Nemerson  <evan@coeus-group.com>

	Generate correct unref expressions for subtypes of special cases
	Fixes bug 617377.

2012-06-24  Jürg Billeter  <j@bitron.ch>

	girwriter: Write return value before parameters
	Fixes bug 669552.

	gtk+-2.0, gtk+-3.0: Fix gtk_widget_style_get_property binding
	Fixes bug 671896.

	Report error when accessing constants of outer methods
	This is planned to be supported.

	https://bugzilla.gnome.org/show_bug.cgi?id=678617

	Release 0.17.2

2012-06-23  Jürg Billeter  <j@bitron.ch>

	codegen: Fix memory leak accessing automatic property with owned getter
	Fixes bug 678630.

	codegen: Fix line directives for ref_sink
	Fixes bug 678237.

2012-06-23  Evan Nemerson  <evan@coeus-group.com>

	codegen: use glib macros instead of trying to guess correct names
	Fixes bugs 675433, 673707, and 675364.

2012-06-22  Evan Nemerson  <evan@coeus-group.com>

	libgda-4.0, libgda-report-4.0, librsvg-2.0: deprecate
	These libraries now distribute Vala bindings upstream which should be
	preferred over those distributed with Vala.

	vapigen: support deprecated namespace annotations in metadata files

	Give priority to unversioned vapi directory
	This allows bindings distributed with upstream libraries to be
	prioritized over bindings distributed with Vala.

2012-06-20  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: make GLib.Pid inherit from int
	Partially fixes bug 678420.

	vapigen.m4: add an argument for the default value
	The new argument allows people to specify a default value for enabling
	Vala API generation (the default default value remains "auto").  This
	is to accomodate projects, such as librsvg, which want more predictable
	builds.

2012-06-17  Evan Nemerson  <evan@coeus-group.com>

	gdk-3.0: Gdk.EventKey does not have a GType
	Fixes bug 678217.

2012-06-16  Evan Nemerson  <evan@coeus-group.com>

	bindings: update GIR-based bindings

2012-06-14  Jürg Billeter  <j@bitron.ch>

	codegen: Fix .begin on async methods returning structs

	gtk+-3.0: Fix gtk_entry_get_text_area bindings

2012-06-13  Sam Thursfield  <ssssam@gmail.com>

	gio-2.0: make Drive and Volume get_sort_key method virtual

2012-06-13  Evan Nemerson  <evan@coeus-group.com>

	gdk-x11-2.0, gdk-x11-3.0: fix X11Display.broadcast_startup_message
	Fixes bug 677986.

	clutter-1.0: update bindings to latest git, remove obsolete data

	girparser: handle multiple symbol prefixes

2012-06-12  Evan Nemerson  <evan@coeus-group.com>

	girparser: allow setting base_type of boxed types in metadata
	Fixes bug 677906.

2012-06-12  Michal Hruby  <michal.mhr@gmail.com>

	girwriter: Use transfer-ownership=none for InitiallyUnowned based constructors

2012-06-11  Alberto Ruiz  <alberto.ruiz@canonical.com>

	bindings: Add gir_namespace and gir_version to dbus-glib-1.vapi

2012-06-09  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: update to latest git
	Fixes bug 669815.

2012-06-08  Thijs Vermeir  <thijsvermeir@gmail.com>

	codegen: check return value before ref_sink the value
	When a function is expected to give back a floating reference, the
	caller is trying to ref_sink the reference after calling this function.
	But when the function fails and returns NULL, the ref_sink function is
	still called. This can lead to a runtime warning as the ref_sink
	function is not expecting a NULL value. Additionally remove all
	ref_sink_function_void, as this is only for C convenience.

2012-06-08  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: update to 3.5.5
	Fixes bug 674090.

	gtk+-2.0, gtk+-3.0: include necessary headers for IMContext(Info) types
	Fixes bug 635664.

	gtk+-2.0, gtk+-3.0: make TreeView.get_tooltip_context.x and y ref
	Fixes bug 669507.

2012-06-08  Robert Ancell  <robert.ancell@canonical.com>

	gtk+-3.0: Gtk.Scrollbar constructor allows null adjustment
	Fixes bug 669516.

2012-06-08  David King  <amigadave@amigadave.com>

	gtk+-2.0, gtk+-3.0: fix Gtk.test_init
	Fixes bug 669767.

2012-06-08  Jesse van den Kieboom  <jesse.vandenkieboom@epfl.ch>

	gtk+-2.0, gtk+-3.0: add is_ref annotation for TreeStore.remove
	Fixes bug 675402.

	Added is_out annotation for StyleContext.lookup_color
	Fixes bug 675403.

2012-06-08  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: hide SelectionData.get_data_with_length length parameter
	Fixes bug 676849.

	gtk+-3.0: add information to generate 2d0e7f49

	dbus-glib-1: add dbus_g_connection_open binding
	Fixes bug 622043.

2012-06-08  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: Enable some fields which were previously commented out.
	https://bugzilla.gnome.org/show_bug.cgi?id=669374

2012-06-08  Evan Nemerson  <evan@coeus-group.com>

	gstreamer-0.10: correct type id of Gst.TypeFindFactory
	Partially fixes bug 675364.

2012-06-08  Richard Schwarting  <aquarichy@gmail.com>

	libxml-2.0: add missing cnames to some Doc fields
	Fixes bug 677354.

2012-06-08  Evan Nemerson  <evan@coeus-group.com>

	gdk-3.0: mark Gdk.Atom as derived from uint

2012-06-06  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add ThreadPool.with_owned_data and ThreadPool.add
	This allows for more intuitive use of ThreadPool.  The old bindings
	are marked as deprecated but kept in place to maintain backwards
	compatibility.  Fixes bug 676741.

	gstreamer-0.10: fix Bus.create_watch return value type

2012-06-05  Jacques-Pascal Deplaix  <jp.deplaix@gmail.com>

	vte, vte-2.90: fix Vte.Terminal.match_check binding
	Fixes bug 676882.

2012-06-05  Thijs Vermeir  <thijsvermeir@gmail.com>

	gstreamer-base-0.10: fix gst_push_src_create binding

	gstreamer-video-0.10: fix gst_video_get_size_from_caps binding

2012-06-03  Richard Schwarting  <aquarichy@gmail.com>

	libxml-2.0: add SaveCtxt bindings
	Partially fixes bug 677355.

2012-06-02  Jürg Billeter  <j@bitron.ch>

	Release 0.17.1

	codegen: Fix assertion failure on empty string switch statement
	Fixes bug 677205.

	Improve assertion messages
	Fixes bug 658825.

	Use SourceLocation in SourceReference

	GVariant: Fix memory leak when boxing and unboxing variants
	Fixes bug 674201.

	gnome-keyring-1: Fix gnome_keyring_item_get_info_sync binding
	Fixes bug 677256.

	codegen: Fix infinite recursion when using lambda in destructor
	Fixes bug 677261.

	glib-2.0: Fix typo in FileSeek attribute

2012-06-01  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: set FileSeek cname to "int"

2012-05-31  Jürg Billeter  <j@bitron.ch>

	Add --enable-gobject-tracing option
	Inserts g_object_set_data (object, "vala-creation-function", METHOD)
	after object creation.

2012-05-30  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix g_mount_get_sort_key binding
	Fixes bug 677073.

2012-05-30  Evan Nemerson  <evan@coeus-group.com>

	bindings: update numerous bindings to latest versions
	clutter-gtk-1.0, gdk-pixbuf-2.0, gio-2.0, json-glib-1.0, libgdata,
	libsoup-2.4, libwnck-3.0, and mx-1.0

2012-05-29  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Include glib/gstdio.h when using DirUtils or Stat

2012-05-29  Alexander Larsson  <alexl@redhat.com>

	Update clutter vapi to final Clutter 1.10.

2012-05-28  Michal Hruby  <michal.mhr@gmail.com>

	gdk-pixbuf-2.0: Rename take_data to with_unowned_data

	glib-2.0: Add Bytes.new_with_owner with an owned generic argument

2012-05-25  Evan Nemerson  <evan@coeus-group.com>

	gdk-3.0, libsoup-2.4, poppler-glib, rest-0.7, vte-2.90: update

2012-05-25  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	gdk-pixbuf-2.0: Change ownership of Pixbuf.from_data.data
	This also adds a Pixbuf.take_data which behaves like the old version.
	This can be helpful for avoiding unnecessary copies, but is easy to
	get wrong.

	Thanks to Patryk Zawadzki <patrys@pld-linux.org> for help in finding
	this issue out. Fixes bug 676695.

2012-05-25  Michal Hruby  <michal.mhr@gmail.com>

	glib-2.0: Add a few Source methods

2012-05-25  Jürg Billeter  <j@bitron.ch>

	codegen: Fix capturing element variable of foreach without iterator

	Support virtual interface signals
	Fixes bug 676802.

2012-05-23  Marc-André Lureau  <marcandre.lureau@gmail.com>

	glib-2.0: annotate nullable GLib.Uri arguments and return values
	g_uri_*() functions can take null values, return null as a normal
	operation, ex: parse_scheme() returns null when no scheme...

	https://bugzilla.gnome.org/show_bug.cgi?id=676609

2012-05-22  Evan Nemerson  <evan@coeus-group.com>

	posix: add statvfs and fstatvfs function bindings
	statvfs is called statvfs_exec since just using statvfs would conflict
	with the existing statvfs type.

2012-05-14  Alexander Larsson  <alexl@redhat.com>

	Add direct vfunc accessors for Widget.get_preferred_height/width
	These are available as get_preferred_height_internal and get_preferred_width_internal
	similarly to the existing get_preferred_height_for_width_internal and
	get_preferred_width_for_height_internal methods.

2012-05-13  Aaron Andersen  <aaron@fosslib.net>

	posix: Add parse and to_string methods and string.printf
	Fixes bug 666436.

2012-05-10  Colin Walters  <walters@verbum.org>

	build: Fix regression in previous commit

	build: Note that we don't support srcdir != builddir

2012-05-06  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: make TextTag constructor's parameter nullable

2012-05-05  Philip Flarsheim  <philip.flarsheim@gmail.com>

	glib-2.0: add Hmac bindings
	Fixes bug 670243.

2012-05-05  Evan Nemerson  <evan@coeus-group.com>

	gobject-2.0: add Type.{get,set}_qdata methods
	Fixes bug 673392.

	gio-2.0: set error domain in metadata instead of custom vala
	Fixes bug 669497.

	gio-2.0: update to git master

2012-05-04  Evan Nemerson  <evan@coeus-group.com>

	rest-0.7: update to git master
	Fixes bug 670488.

2012-04-30  Evan Nemerson  <evan@coeus-group.com>

	gsl: correct MultifitLinearWorkspace construct/free C names
	Fixes bug 670838.

2012-04-30  Jesus Menendez-Castellano  <jesus.menendez.castellano@gmail.com>

	posix: add execv(p) and sigqueue methods, make sigval_t a simple type
	Fixes bug 673391.

2012-04-30  Christian Persch  <chpe@gnome.org>

	Use correct variable name to add vapigen directories
	Fixes bug 675097.

2012-04-29  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Move Unicode* and NormalizeMode enums under GLib
	Fixes bug 675082.

2012-04-28  Jürg Billeter  <j@bitron.ch>

	Release 0.17.0

	codegen: Fix profiling for recursive methods

	glib-2.0: Update GUnicodeScript and GUnicodeBreakType bindings
	Fixes bug 674660.

2012-04-26  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Use correct GTest*Func bindings on GLib >= 2.26

2012-04-21  Robert Ancell  <robert.ancell@canonical.com>

	posix: Add stat fields for high precision access/modification/status change timestamps (POSIX.1-2008)

2012-04-20  Jürg Billeter  <j@bitron.ch>

	Add support for [Profile] method attribute
	This allows simple method-level profiling. Requires GCC.

2012-04-18  Rodney Dawes  <dobey.pwns@gmail.com>

	vala.m4: Add VALA_CHECK_MODULES and VALA_PROG_VAPIGEN
	Fixes bug 642301.

2012-04-12  Robert Ancell  <robert.ancell@canonical.com>

	posix: Add utimensat and futimens bindings

2012-04-11  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Fix return type of GTraverseFunc binding

2012-04-07  Jürg Billeter  <j@bitron.ch>

	posix: Add ffs binding

2012-04-05  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix TargetList.add_table binding
	Based on patch by Axel FILMORE.

	Fixes bug 673117.

2012-03-30  Jürg Billeter  <j@bitron.ch>

	codegen: Generate typedefs for boolean, integer, and floating types

	Bump version suffix

2012-03-26  Jürg Billeter  <j@bitron.ch>

	Release 0.16.0

	glib-2.0: Add g_dir_make_tmp binding
	Fixes bug 672846.

2012-03-21  Jürg Billeter  <j@bitron.ch>

	codegen: Fix delegate target C name for static fields
	Fixes bug 671110.

2012-03-17  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Hide Thread constructors when targeting GLib < 2.32
	Fixes bug 672284.

2012-03-11  Alberto Ruiz  <alberto.ruiz@canonical.com>

	glib-2.0: Adds PREFIX_ERROR_POSITION to GLib.MarkupParseFlags

2012-03-11  Alberto Ruiz  <aruiz@gnome.org>

	glib-2.0: Adds GLib.MarkupParseContext.get_user_data ()
	Fixes bug #671749

2012-03-09  Jürg Billeter  <j@bitron.ch>

	Add udisks2 bindings

2012-03-09  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Fix autogeneration of ColorButton.get_rgba
	Apologies for approving commit 51044a92ed44776e6.

	gio-2.0: Mark TlsCertificate as a concrete class
	Keep the class concrete for backward compatibility.

	Fixes bug 671459.

2012-03-06  Robert Ancell  <robert.ancell@canonical.com>

	gtk+-3.0: Fix output parameter of Gtk.ColorButton.get_rgba
	Fixes bug 669386.

2012-03-06  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Add generic to ThreadPool.set_sort_function callback
	Thanks to Paul Jakma for the patch.

	Fixes bug 670205.

2012-03-06  Aaron Andersen  <aaron@fosslib.net>

	posix: Fix several string functions
	Fixes bug 671309.

2012-03-06  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Unset virtual to Container.forall
	Fixes bug 671394.

2012-02-25  Jürg Billeter  <j@bitron.ch>

	Release 0.15.2

	gtk+-3.0: Add Widget.get_preferred_width_for_height_internal

2012-02-24  Jens Georg  <mail@jensge.org>

	libsoup2.4: Fix arguments for MessageHeaders.get_range
	https://bugzilla.gnome.org/show_bug.cgi?id=670602

2012-02-23  Jürg Billeter  <j@bitron.ch>

	gdk-3.0: Fix gdk_window_destroy binding again

2012-02-21  Stefano Debenedetti  <ste@demaledetti.net>

	posix: Add SockAddrIn6, In6Addr and inet_pton
	Fixes bug 670492.

2012-02-17  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Make SourceFuncs a struct
	Thanks to Paula Jakma for the patch.

	Fixes bug 669756.

2012-02-13  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add g_thread_new and g_thread_try_new bindings

2012-02-12  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0: update to 3.3.15

2012-02-11  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Include gunixfdlist.h for UnixFDList

2012-02-11  Jens Georg  <mail@jensge.org>

	gstreamer-0.10: Add returns_floatin_reference to Element.make_from_uri
	https://bugzilla.gnome.org/show_bug.cgi?id=669166

2012-02-10  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Allow usage of gtype structs inheriting non-gtype struct
	The behavior of type_id is different, but get/set/take/marshaller aren't
	as specific as type_id. Therefore this patch enhances without breaking.

	Fixes bug 669604.

2012-02-10  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add some missing deprecation information

2012-02-09  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: send_message_with_reply.out_serial is not out in vala
	Fixes a regression introduced by the switch to GIR.

	Support initializer list for structs that have a base type
	Fixes bug 669580.

2012-02-08  Jesse van den Kieboom  <jesse.vandenkieboom@epfl.ch>

	Added bindings for Object.new_valist
	https://bugzilla.gnome.org/show_bug.cgi?id=669654

	Added bindings for HashTable<K,V>.foreach_remove
	https://bugzilla.gnome.org/show_bug.cgi?id=669653

	Added error when not exporting any namespaces for GIR
	https://bugzilla.gnome.org/show_bug.cgi?id=669551

2012-02-07  Luca Bruno  <lucabru@src.gnome.org>

	gdk-pixbuf-2.0: Fix regression against PixbufSaveFunc
	The regression was introduced by the switch to gir.

	Fixes bug 669518.

2012-02-06  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix C warning when passing lambda free functions
	Fixes bug 663651.

2012-02-06  Alexander Kurtz  <kurtz.alex@googlemail.com>

	sdl: Make AudioSpec a struct, then fix Audio.open(), load() and mix()
	Fixes bug 669279.

2012-02-06  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Add support for delegate_target_cname in CCode

2012-02-05  Philip Withnall  <philip@tecnocode.co.uk>

	vapi: Add glib-unix.h functions to glib-2.0.vapi
	To bind the things in glib-unix.h. Creating a separate glib-unix-2.0.vapi is
	unneccessary because these functions are present in libglib-2.0.so itself,
	rather than a separate library. They just require the glib-unix.h header to
	be included.

	Closes: https://bugzilla.gnome.org/show_bug.cgi?id=667894

2012-02-05  Ryan Lortie  <desrt@desrt.ca>

	glib: add .data to StringBuilder
	To do the same thing as string.data, but without the strlen() (since we
	already know this from the GString's length field).

	https://bugzilla.gnome.org/show_bug.cgi?id=669313

2012-02-03  Ryan Lortie  <desrt@desrt.ca>

	gtk+-3.0: some updates
	 - complete the move of the app-menu and menubar properties into
	   GtkApplication

	 - add GtkActionable interface and its implementations

	 - add gtk_menu_(bar_)new_from_model() APIs

	 - drop a premature add of gtk_window_setup_persistent_state()

2012-02-02  Alexander Kurtz  <kurtz.alex@googlemail.com>

	glib-2.0: Mark OptionEntry.arg_description as nullable
	Fixes bug 669241.

	glib-2.0: AsyncQueue.try_pop() and timed_pop() may return null
	Fixes bug 669242.

2012-02-01  Luca Bruno  <lucabru@src.gnome.org>

	clutter-1.0: Add Box.layout_manager to not break code using old clutter
	The Box.layout_manager property has been removed in commit 81cade2a
	and broke code using old clutter versions.

2012-02-01  Nathan Phillip Brink  <binki@gentoo.org>

	tests: Honor CFLAGS, LDFLAGS, and CPPFLAGS
	Fixes bug 664606.

2012-02-01  Jens Georg  <mail@jensge.org>

	gstreamer-0.10: Add returns_floating_reference to gst_parse_bin_*
	https://bugzilla.gnome.org/show_bug.cgi?id=669060

2012-02-01  Evan Nemerson  <evan@coeus-group.com>

	libsoup-2.4: add type arguments for datalist arguments to form funcs

	x11: add GIR name for XID

	Add gir-bindings and gidl-bindings Makefile targets in vapi/

	poppler-glib: switch to GIR

	clutter-1.0: update bindings

	girparser: support changing names of virtual methods without wrappers
	Fixes bug 668991.

	codegen: support virtual functions with vfunc_name but no invokers
	Partially fixes 668991.

2012-01-31  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Mark Button.set_label parameter as nullable
	Fixes bug 669058.

2012-01-29  Luca Bruno  <lucabru@src.gnome.org>

	cogl-1.0: Use a static method instead of a constructor for Cogl.Path
	The Cogl.Path constructor never worked, use a static method instead.

	codegen: Fix getting NoAccessorMethod properties of real struct type

	libpeas-1.0: Fix ExtensionSetForeachFunc binding
	Fixes bug 660362.

2012-01-28  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Mark WidgetPath.iter_has_region.flags as out
	Fixes bug 668854.

2012-01-26  Jürg Billeter  <j@bitron.ch>

	Release 0.15.1

	Consider GLib.Object?[] compatible to GLib.Object[]
	Fixes bug 667600.

	Update .gitignore

	Add missing file

2012-01-26  Florian Brosch  <flo.brosch@gmail.com>

	Check type of default arguments

	Report warning for type arguments in type check expressions

	Report warning for type arguments in typeof expressions

	girwriter: Add <doc> support

	girparser: Add support for comments

	Do not allow overriding content property in Comment class

	gee: Add MapIterator

2012-01-26  Luca Bruno  <lucabru@src.gnome.org>

	cogl-1.0: Cogl.get_viewport parameter has no array length

2012-01-26  Jürg Billeter  <j@bitron.ch>

	Add packagekit-glib2 bindings

2012-01-24  Jürg Billeter  <j@bitron.ch>

	Fix possibly unassigned parameter

2012-01-24  Ryan Lortie  <desrt@desrt.ca>

	codegen: Do not use g_object_class_override_property
	Instead, always install our own new property with what we believe the
	correct type is.  This avoids a problem with libgee providing properties
	on some classes that implement two interfaces having the same property
	name with different types.

	Fixes bug 666728.

2012-01-24  Luca Bruno  <lucabru@src.gnome.org>

	Allow specialization of generic properties
	Fixes bug 667668.

2012-01-23  Colin Walters  <walters@verbum.org>

	vapigen: Use install-data-hook for .pc file symbolic link
	The $(pkgconfigdir) may not have been created when we're just in
	the install-exec phase.

2012-01-23  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use NULL as default C value for nullable structs
	Fixes bug 665904.

	codegen: MemberAccess already refers to base property
	Fixes bug 667803.

	Initialize the variable directly when assigning a struct creation
	Some structs like WeakRef or potentially Mutex can't use temporary
	variables during initialization.

2012-01-22  Alexander Kurtz  <kurtz.alex@googlemail.com>

	Add xtst bindings
	Fixes bug 647465.

2012-01-22  Evan Nemerson  <evan@coeus-group.com>

	posix: don't use owned for resolved_path argument

2012-01-22  Luca Bruno  <lucabru@src.gnome.org>

	posix: add realpath binding
	Fixes bug 655020.

2012-01-22  Rico Tzschichholz  <ricotz@t-online.de>

	Add some missing files to EXTRA_DIST

2012-01-22  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0, gobject-2.0: add new symbols from 2.32

	gio-2.0: update to 2.31.12

	gtk+-3.0: make ThemingEngine.register_property.parse_func nullable
	Fixes bug 666906.

	gdk-2.0: use uint8[] for Bitmap and Pixmap.create_from_data data
	Fixes bug 646339.

2012-01-22  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	pixman-1: Fix pixman Region[16/32] and add Fixed from double/int funcs
	Fixes bug 641962.

2012-01-22  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: add several type definitions from X.h
	Fixes bug 647464.

2012-01-21  Florian Brosch  <flo.brosch@gmail.com>

	tag sizeof as constant

2012-01-21  Evan Nemerson  <evan@coeus-group.com>

	Makefile.vapigen: use *_FILES instead of *_GIR
	The more generic variable name is more appropriate since there may be
	one or more custom vala file in addition to the GIR.

	Add autotools vapigen integration for upstream bindings
	Fixes bug 649526.

2012-01-20  Evan Nemerson  <evan@coeus-group.com>

	mx-1.0: various fixes for Image.set_from_buffer/data methods
	Fixes bug 668318.

2012-01-19  Evan Nemerson  <evan@coeus-group.com>

	codegen: support free_function_address_of annotation

	glib-2.0: add GByteArray bindings

2012-01-18  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: change IfAddrs structure to be more useful in conjunction with getnameinfo()

	posix: fix socklen_t and its usage in getnameinfo
	Acked-by: Luca Bruno <lethalman88@gmail.com>

2012-01-18  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Reintroduce memory leak when using generics in interfaces
	The bug was present in older Vala versions. Reintroducing it to avoid
	breaking old code, until a proper fix is found.

	See bug 666480.

2012-01-17  Florian Brosch  <flo.brosch@gmail.com>

	Check left parameter of is

2012-01-17  Evan Nemerson  <evan@coeus-group.com>

	Add gdl-3.0 bindings

	clutter-gtk-1.0: switch to GIR

	Add cogl-pango-1.0 bindings

	gio-2.0: re-add custom delegates for ActionEntry callbacks

2012-01-14  Luca Bruno  <lucabru@src.gnome.org>

	Check accessibility of type arguments

2012-01-13  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix type check for vfunc returning SimpleType structs
	Fixes bug 667890.

2012-01-13  Philip Withnall  <philip@tecnocode.co.uk>

	readline: Make the parameter of VcpFunc be nullable
	Fixes bug 667893.

2012-01-13  Fabian Deutsch  <fabian.deutsch@gmx.de>

	avahi-client: deprecated wrapper methods which throw errors
	First step towards fixing 665375.

2012-01-12  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: don't hide UnixSocketAddressType in gio-2.0

2012-01-12  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Ultimate fixes

	gio-2.0: Fix some regressions intruduced by the GIR switch

2012-01-12  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: remove obsolete gio-2.0 GIDL data

	libgdata, libpeas-1.0, libwnck-3.0, pangocairo, rest-0.7: update

	girwriter: do not emit a package as a dependency of itself

	atk, gdk-3.0, gdk-pixbuf-2.0, gtksourceview-3.0, mx-1.0: update

	libsoup-2.4: update to 2.37.3

	gio-2.0: switch to GIR

2012-01-09  Fabian Deutsch  <fabian.deutsch@gmx.de>

	gtk+-2.0, gtk+-3.0: Mark BuilderConnectFunc.connect_object as nullable
	Fixes bug 667524.

2012-01-07  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't copy array parameters when captured
	Also allow uncopiable compact classes to be captured.

	Fixes bug 639054.

2012-01-07  Evan Nemerson  <evan@coeus-group.com>

	webkit-1.0: update to 1.6.1

2012-01-07  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	posix: add getnameinfo(3) and assorted constants

	posix: add members for SockAddr struct

2012-01-07  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: add keysyms
	Fixes bug 628103.

	clutter-1.0: update to 1.9.2

2012-01-06  Ryan Lortie  <desrt@desrt.ca>

	gtk+-3.0: add gtk_window_setup_persistent_state()

2012-01-06  Marc-André Lureau  <marcandre.lureau@gmail.com>

	gio-2.0: add a few nullable from Menu
	https://bugzilla.gnome.org/show_bug.cgi?id=667431

	gio-2.0: add a few nullable from GSimpleAction
	https://bugzilla.gnome.org/show_bug.cgi?id=667428

2012-01-06  Ryan Lortie  <desrt@desrt.ca>

	glib-2.0.vapi: add new GHashTable API
	g_hash_table_add() and g_hash_table_contains() were just added to GLib
	so add them here.

	It's now possible to say 'if (key in table) { }'.

	gio-2.0.vapi: some action related updates

2012-01-05  Marc-André Lureau  <marcandre.lureau@gmail.com>

	Set correct default value for Pango.Weight
	https://bugzilla.gnome.org/show_bug.cgi?id=662974

	gidl parse default_value for enums
	It can be useful for correct default value in properties

	https://bugzilla.gnome.org/show_bug.cgi?id=662974

2012-01-05  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Only reparent static methods within the same GIR

2012-01-05  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	gtk+-3.0: Correct binding for GtkSpinButton::input.new_value
	Fixes bug 667329.

2012-01-04  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Mark ThemingEngine.has_region.flags as out parameter
	Fixes bug 667208.

2011-12-25  Aaron Andersen  <aaron@fosslib.net>

	codegen: Generate _dup() and _free() for structs in the posix profile
	Fixes bug 665815.

2011-12-25  Jacques-Pascal Deplaix  <jp.deplaix@gmail.com>

	glib-2.0: Fix some issues for the experimental non-null checks
	Fixes bug 651841.

2011-12-25  Marc-André Lureau  <marcandre.lureau@gmail.com>

	clutter-1.0: Make State.set_key.source_state_name parameter nullable
	Fixes bug 661018.

2011-12-25  Luca Bruno  <lucabru@src.gnome.org>

	clutter-1.0: Regenerate bindings from debian sid GIR

2011-12-24  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	posix: add tzset(3) and assorted constants

2011-12-23  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: make IconTheme.list_icons.context nullable

2011-12-23  Philip Withnall  <philip@tecnocode.co.uk>

	glib-2.0, gio-2.0: Fix some nullable types in ContentType, Icon, HashTable
	Fixes bug 666699.

2011-12-23  Olaf  <yggtrash@googlemail.com>

	x11: Set array_length to false for ModifierKeymap.modifiermap
	Fixes bug 666099.

2011-12-22  Luca Bruno  <lucabru@src.gnome.org>

	gdk-3.0: Drop the abstract keyword from the Cursor class
	Vala does not allow creating new Cursor if the class is abstract.
	As it doesn't affect its usage at all, drop the keyword
	instead of breaking the backward compatibility.

	Fixes bug 665624.

	girparser: Allow specifying abstract metadata for classes

	cogl-1.0: Use cogl-pango/cogl-pango.h header for pango symbols
	Fixes bug 665953.

2011-12-22  Jens Georg  <mail@jensge.org>

	gstreamer-0.10: Fix several ownership transfer when adding children
	gst_bin_add, gst_bin_add_many and gst_element_add_pad only transfer
	ownership if the reference is floating, otherwise increasing the
	refcount. The reference is added by gst_object_set_parent.

	Fixes bug 666358.

2011-12-22  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	gtk+-2.0, gtk+-3.0: Make Editable.insert_text.position be a ref parameter
	Fixes bug 666021.

2011-12-22  Timo Kluck  <tkluck@infty.nl>

	gobject-2.0: Fix ValueTransform and BindingTransformFunc
	The destination GValue is already being initialized by the caller.

	Fixes bug 665966.

2011-12-21  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Update to 3.3.6

	gio-2.0: Update to 2.31.6

2011-12-21  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Make AsyncInitable.init_async virtual instead of abstract
	Fixes bug 666348.

2011-12-20  Simon Busch  <morphis@gravedo.de>

	linux: Add bindings for rtc_time and fix the Rtc.WakeAlarm.time field

	posix: Fix termios and fd_set related functions

2011-12-20  Luca Bruno  <lucabru@src.gnome.org>

	Revert "posix: Mark several termios and fd_set parameters as ref"
	This reverts commit 7b34e0ca7dc5d6cef5b75e8d8f7dc2723050df0d.

2011-12-20  Ryan Lortie  <desrt@desrt.ca>

	gtk3 vapi: GtkApplication additions

	gio vapi: GApplication, Menus, ActionGroup updates

2011-12-18  Jürg Billeter  <j@bitron.ch>

	codegen: Fix external fields

2011-12-17  Klaus Kurzmann  <mok@fluxnetz.de>

	libnl-3.0: add bindings

2011-12-16  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: fix IconTheme.get_search_path argument type

2011-12-16  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Improve Dialog.get_content_area binding
	gtk_dialog_get_content_area always returns a pointer to GtkBox.

2011-12-15  Jürg Billeter  <j@bitron.ch>

	Do not install vala.m4 with --disable-unversioned
	This avoids file conflicts with parallel installations.

2011-12-11  Simon Busch  <morphis@gravedo.de>

	posix: Mark several termios and fd_set parameters as ref

	GVariant: Close the switch statement in the generated to_string() of enums

	posix: Set the C name of Posix.tm to "struct tm"

2011-12-10  Aaron Andersen  <aaron@fosslib.net>

	Support creation of arrays with nullable elements
	Partially fixes bug 571486.

2011-12-09  Jürg Billeter  <j@bitron.ch>

	Report error on duplicate attributes

	gtk+-3.0: Fix gtk_widgets_compute_expand bindings
	Based on patch by Alexander Larsson.

	Fixes bug 665860.

2011-12-09  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix criticals on calculate_common_prefix

2011-12-08  Simon Busch  <morphis@gravedo.de>

	alsa: Fix default value of a Mixer.register() parameter

	linux: Squash declaration of multiple CCode into a single CCode attribute

2011-12-07  Simon Busch  <morphis@gravedo.de>

	linux: Set array_length=false for IfReq.ifr_name

2011-12-05  Jürg Billeter  <j@bitron.ch>

	Release 0.15.0

2011-12-05  Frederik 'playya' Sdun  <Frederik.Sdun@googlemail.com>

	gstreamer-0.10: Set is_out="1" for Gst.message.parse_progress

2011-12-05  Florian Brosch  <flo.brosch@gmail.com>

	vapis: strip documentation comments

2011-12-04  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: add structures and constants for SPI (Serial Peripheral Interface)

2011-12-02  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	glib-2.0: Update bindings for g_format_*()
	Fixes bug 665161.

2011-12-02  David Kozub  <zub@linux.fjfi.cvut.cz>

	glib-2.0: add IOSource to make IOChannel.create_watch safer and easier

2011-11-24  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Make InputStream.read and OutputStream.write abstract
	Based on patch by Paul Jakma.

	Fixes bug 664734.

2011-11-23  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix error type in g_dbus_send_message_with_reply binding

	gio-2.0: Fix g_dbus_send_message_with_reply and GUnixFDList bindings

2011-11-22  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Destroy the elements of GQueue
	When destroying a GQueue also destroy its elements like we do with GList,
	GSList and GNode.

	Fixes bug 664529.

2011-11-21  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Mark IOStream.input_stream and output_stream as abstract
	Based on patch by Paul Jakma.

	Fixes bug 664465.

	gidlparser: Support abstract metadata for properties

2011-11-21  Marc-André Lureau  <marcandre.lureau@gmail.com>

	gtk+-3.0: Move render functions in StyleContext
	Fixes bug 664117.

2011-11-21  Jason Conti  <jason.conti@gmail.com>

	docs: Rename the .devhelp2 file to match the directory name
	When searching for devhelp books, devhelp expects the .devhelp2 filename
	to match the directory name.

	Fixes bug 664167.

2011-11-18  Marc-André Lureau  <marcandre.lureau@gmail.com>

	libxml-2.0: xmlParseURI and xmlParseURIRaw return a nullable string
	Fixes bug 664334.

2011-11-17  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Fix BindingArg, BindingSignal and BindingEntry.add_signal
	Fixes bug 664240.

2011-11-17  Jens Georg  <mail@jensge.org>

	gtk+-3.0: Adjustment in gtk_scale_new can be null
	Fixes bug 664253.

2011-11-15  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Add Log.remove_handler
	Fixes bug 664143.

2011-11-15  Daniel Silverstone  <dsilvers@codethink.co.uk>

	Make .vapi files on the command line generate quoted includes
	Use #include "..." rather than #include <...>

2011-11-15  Luca Bruno  <lucabru@src.gnome.org>

	posix: Fix the socketpair function
	Patch by Paul Jakma.

	Fixes bug 664121.

2011-11-11  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix type check of ref parameters
	Fixes bug 663818.

2011-11-08  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Mark TextBuffer.insert_text.pos as ref parameter
	Based on patch by Lars Uebernickel.

	Fixes bug 663621.

2011-11-07  Luca Bruno  <lucabru@src.gnome.org>

	Report error if type args were provided for a method without type params
	Fixes bug 663534.

2011-11-07  Jens Georg  <mail@jensge.org>

	gstreamer-0.10: Fix ElementFactory methods and ElementFactoryListType
	Set proper return type and ownership for ElementFactory.list_filter
	and ElementFactory.list_get_elements as well as making
	ElementFactoryListType inherit from int64.

	Fixes bug 663499.

2011-11-06  Evan Nemerson  <evan@coeus-group.com>

	pango: fix Context.get_matrix return value

2011-11-04  Fabian Deutsch  <fabian.deutsch@gmx.de>

	gstreamer-0.10: Add returns_floating_reference to ElementFactory methods
	Fixes bug 663145.

2011-11-03  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Box structs when used in type arguments
	Fixes bug 663058.

2011-11-03  Marc-André Lureau  <marcandre.lureau@gmail.com>

	glib-2.0: add Sequence.lookup() and SequenceIter.set() methods
	Fixes bug 663271.

2011-11-02  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix memory leak when destroying generic variables

	codegen: Fix capturing generic variables within generic methods
	Fixes bug 663210.

2011-11-01  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix capturing generic variables having instance type parameters
	Fixes bug 663134.

	codegen: Fix C warning when copying immutable classes

2011-10-29  Luca Bruno  <lucabru@src.gnome.org>

	GAsync: Don't pass generic arguments to .end() calls
	Fixes bug 661961.

2011-10-29  Marc-André Lureau  <marcandre.lureau@gmail.com>

	gtk+-3.0: Several fixes in the bindings
	Fixes bug 662940.

2011-10-24  Marc-André Lureau  <marcandre.lureau@gmail.com>

	posix: Set the returned type of putc, puts and printf to int
	Fixes bug 662592.

2011-10-21  Luca Bruno  <lucabru@src.gnome.org>

	gdk-3.0: Fix regression to the bindings of GdkXEvent
	Using non-simpletype struct might not be safe as Vala might dereference
	the pointer to void.

	The regression was introduced by the switch to gir.

2011-10-21  Fabian Deutsch  <fabian.deutsch@gmx.de>

	avahi-gobject: add port argument to EntryGroup.add_service method

	Split avahi-client out from avahi-gobject.
	Fixes bug 662175.

2011-10-21  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Warn when virtual methods don't match wrapper methods

	girparser: Warn when signals don't match emitter methods

	gedit: Fix bindings of Document.load and save methods
	Fixes bug 661813.

2011-10-19  Marc-André Lureau  <marcandre.lureau@gmail.com>

	cairo: Add bindings for some enum values and functions
	Fixes bug 662185.

2011-10-18  Evan Nemerson  <evan@coeus-group.com>

	gtk+-3.0, gtk+-2.0: make Gtk.Style.clone transfer ownership

	gtk+-3.0, gtk+-2.0: work around gtk_style_copy signature mismatch
	Fixes bug 662077.

2011-10-17  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't create temp var in transform_value if lvalue isn't allowed
	Fixes bug 657378.

	GVariant: Fix unboxing of Variant to a real non-null struct
	Fixes bug 661945.

2011-10-16  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add annotations for using GTimeSpan as a GObject property

2011-10-15  David Kozub  <zub@linux.fjfi.cvut.cz>

	glib-2.0: Add get_monotonic_time() and get_real_time()

2011-10-14  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix is_reference_counting() result for interfaces
	Fixes a regression introduced by commit 5956bf5074d4508c.

	Fixes bug 661620.

2011-10-09  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Add has_type_id=false for structs without registered GType
	Fixes regressions introduced by the switch to gir.

	Fixes bug 661291.

	girparser: Do not create ArrayType twice with array metadata argument

2011-10-08  Jürg Billeter  <j@bitron.ch>

	hal: Fix libhal_find_device_by_capability binding

2011-10-08  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix TextBuffer.delete and delete_interactive bindings
	Fixes bug 661232.

2011-10-05  Marc-André Lureau  <marcandre.lureau@gmail.com>

	cogl-1.0, clutter-gtk-1.0: Make get_option_group() transfer ownership
	Fixes bug 661014.

2011-10-04  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Fix default value for static RecMutex, RWLock and Private

	mx-1.0: Fix regression about Draggable and Droppable virtual methods
	The regression was introduced by the mx-1.0 switch to GIR.

	Fixes bug 633902.

2011-10-03  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Set default value of StaticMutex to G_STATIC_MUTEX_INIT
	Fixes bug 660764.

2011-10-02  Luca Bruno  <lucabru@src.gnome.org>

	Fix small mistake in previous commit, use "_data_" instead of "data"
	Unwantedly missed to amend the commit after refreshing the patch.

	codegen: Avoid name clashes in the closure struct
	Fixes bug 596861.

2011-09-30  Luca Bruno  <lucabru@src.gnome.org>

	Explicitly set type_id for boxed types converted to compact classes
	Fixes bug 660576.

2011-09-30  Fabian Deutsch  <fabian.deutsch@gmx.de>

	posix: Add glob()
	Fixes bug 659131.

2011-09-29  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use real_get/set_* functions as helpers for NoAccessorMethod props
	If the base property has no accessors the class->vfunc are not defined
	so we can only use our accessors. With this commit we exploit the
	already defined real_get and real_set functions.

	Fixes bug 658006.

	codegen: Do not set accessor vfunc for NoAccessorMethod properties
	Partially fixes bug 658006.

	linux: Remove extra parameter from forkpty()
	Fixes bug 660473.

	Fix regression when calling .resize() or .move() on arrays inside structs
	The check for lvalue access has been extended to arrays for simplifying
	the conditions.

	Fixes bug 660426.

2011-09-28  Oliver Sauder  <os@esite.ch>

	libpeas-1.0: Add missing ExtensionSet constructor
	Partially fixes bug 660361.

2011-09-26  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Do not treat void* to not leak memory anymore
	It wasn't possible to let void* variables take the ownership of
	an expression as it's always been freed afterwards.
	Simple generics can be used to enforce ownership instead of void*.

	Fixes bug 659975.

2011-09-24  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: fix ask-question and show-processes signals in MountOperation
	Fixes bug 659979.

2011-09-23  Evan Nemerson  <evan@coeus-group.com>

	gdk-3.0: make Screen and Window inherit from GObject

	atk: various improvements, including some regressions fixes

	atk: switch to GIR
	Fixes bug 654402.

	girparser: allow changing record names in metadata

	girparser: fix parsing of nullable types

2011-09-23  Andre Masella  <andre.p.masella@gmail.com>

	zlib: Mark GZFileStream as compact
	Fixes bug 659931.

	bzlib: add BZFILE binding
	Fixes bug 656710.

2011-09-23  Evan Nemerson  <evan@coeus-group.com>

	linux: add struct ifaddrs binding
	Fixes bug 659000.

	gdk-pixbuf-2.0: switch to GIR
	Fixes bug 649875.

	gdk-3.0: switch to GIR
	Fixes bugs 551184, 649875.

2011-09-22  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: fix GenericArray.sort* bindings

	Add libwnck-3.0 bindings
	Fixes bug 658158.

2011-09-19  Sergej Reich  <sergej.reich@googlemail.com>

	sdl: Make GetClipRect, PollEvent and WaitEvent parameter to be out
	Fixes bug 659398.

2011-09-19  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Make TextBuffer.insert iter parameter be ref
	The insert method will update the iter to point to the end of the
	inserted text.

	Fixes bug 659350.

2011-09-17  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

	Release 0.14.0

	gtk+-3.0: Update to 3.1.18

	gio-2.0: Update to 2.29.90

2011-09-15  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Add g_unichar_*compose bindings

2011-09-12  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add data member to GenericArray

2011-09-11  Evan Nemerson  <evan@coeus-group.com>

	girparser: obey zero-terminated="0"

	girparser: correctly detect error domains in newer GIRs

2011-09-10  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix lambda expressions in instance destructor
	Fixes bug 646362.

	codegen: Use get_this_type() to simplify several if statements

2011-09-09  Jürg Billeter  <j@bitron.ch>

	build: Enable maintainer mode by default

2011-09-09  Luca Bruno  <lucabru@src.gnome.org>

	Fix lambda expressions in static and class destructors

	codegen: Fix emitting the static destructor of classes

2011-09-08  Luca Bruno  <lucabru@src.gnome.org>

	gtksourceview-2.0: Fix SourceCompletionContext.get_iter bindings
	Fixes bug 658555.

	Add regression tests for commit 5319240be4724f1

	Fix length access to multidimensional arrays and access to array fields

2011-09-07  Jürg Billeter  <j@bitron.ch>

	Release 0.13.4

2011-09-07  Luca Bruno  <lucabru@src.gnome.org>

	mx-1.0: Fix several regressions introduced by the switch to GIR

2011-09-06  Raul Gutierrez Segales  <rgs@collabora.co.uk>

	Fix Path.build_path call used for --includedir
	Commit af0aa50c misses the separator for Path.build_path.

	Fixes bug 658355.

2011-09-06  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix determining the default cheaders of symbols
	Fixes a regression introduced by the attributes refactoring.
	The refactoring missed a check on the cheaders of the parent symbol.

	Fixes bug 658338.

2011-09-05  Luca Bruno  <lucabru@src.gnome.org>

	Use Path.build_path instead of using raw string.printf
	Fixes a regression introduced by commit 7f7a991aa7689137e166.
	Using Path.build_path prevents having double slash (//) in the path
	which could be interpreted as comments by the C compiler.

	Fixes bug 658296.

2011-09-05  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Add C_ and NC_ bindings

2011-09-02  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Do not try to unbox a GValue from a GValue
	Fixes bug 658048.

	Revert "Set lvalue access for struct properties"
	This reverts commit f9186d12f28911d98e6f41d58f595fa81de602cb.

	Set lvalue access for struct properties
	Fixes bug 658046.

	Use '/' as directory separator instead of using build_filename
	Fixes bug 657501.

2011-09-01  Luca Bruno  <lucabru@src.gnome.org>

	posix: Make termios.c_cc field be an inline array
	Fixes bug 657644.

	codegen: Do not hardcode the cname for abstract/virtual property accessor

	codegen: Enable real_cname CCode for property accessors

	girparser: Set NoAccessorMethod properly for abstract properties

	girparser: Make interface properties be abstract by default

	json-glib-1.0: Update to version 0.13.4

	mx-1.0: Update to version 1.3.1

	clutter-1.0: Update to version 1.7.10

2011-08-31  Luca Bruno  <lucabru@src.gnome.org>

	girwriter: Drop unwanted call when writing abstract methods
	Fixes bug 657860.

	pango: Fix LayoutLine.index_to_x and x_to_index bindings

	glib-2.0: Add StringBuilder.insert_unichar

	codegen: Fix equal function for SimpleType structs with only static fields
	The function produced wrong results if the struct had static fields but
	no instance fields.

	Fixes bug 657813.

2011-08-30  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix g_application_command_line_print* bindings

2011-08-30  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix definition of property getter for SimpleType structs
	Based on patch by Nathan Summers.

	Partially fixes bug 657346.

	codegen: Do not add null-check for SimpleType structs

	codegen: Fix create_type_check_statement when result is a SimpleType struct

2011-08-28  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: make File.parse_name return value transfer ownership

2011-08-28  Luca Bruno  <lucabru@src.gnome.org>

	Show loaded packages in verbose mode
	Fixes bug 657523.

2011-08-27  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use a zero-initializer also for SimpleType structs

	codegen: Guard target_value to be non-null in visit_expression
	Fixes bug 657499.

	codegen: Move typecheck of self down to methods vfunc

	codegen: Add type check in property vfunc
	Fixes bug 657481.

2011-08-27  Evan Nemerson  <evan@coeus-group.com>

	mx-1.0: add missing metadata

	mx-1.0: switch to GIR

	gio-2.0: fixes for pollable input and output streams

2011-08-26  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop unnecessary temp variable when methods return a struct

	codegen: Do not emit the temp variable when methods return a struct
	The temporary variable holding the result was uselessly emitted in the
	generated C code if the parent node was an expression statement.

	codegen: Set result of object creation to be an lvalue

	codegen: Drop useless temp variable when creating structs
	Partially fixes 657378.

	Warn for deprecated and experimental only for symbols in external packages
	Fixes bug 657283.

2011-08-25  Evan Nemerson  <evan@coeus-group.com>

	linux: fix Linux.CLOCK_MONOTONIC_RAW binding

	gio-2.0: fix DBusObject.get_interfaces return value

	gtk+-2.0: add type arguments to Table.children field
	Fixes bug 655586.

2011-08-24  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Fix MarkupParser bindings
	Fixes bug 657262.

2011-08-23  Luca Bruno  <lucabru@src.gnome.org>

	gudev-1.0: Switch to GIR

2011-08-22  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix reporting unused metadata

	girparser: Use c:symbol-prefixes as lower_case_cprefix when available

2011-08-22  Jürg Billeter  <j@bitron.ch>

	Release 0.13.3

	codegen: Remove unused variable

2011-08-21  Luca Bruno  <lucabru@src.gnome.org>

	pangocairo: Switch to GIR

	gdk-3.0 Make pixbuf_get_from_surface return an owned instance
	Fixes bug 656990.

2011-08-19  Abderrahim Kitouni  <a.kitouni@gmail.com>

	Make Vala.Report.{errors,warnings} fields protected

2011-08-17  Luca Bruno  <lucabru@src.gnome.org>

	posix: Set ioctl() cheader to be sys/ioctl.h
	Fixes bug 656690.

	codegen: Skip precondition check for parameters in the posix profile
	Fixes bug 648204.

	codegen: Add null check for non-null struct parameters
	Commit 94d4b1e91a437f739b42f fixes another relevant part of the bug.

	Fixes bug 656693.

	codewriter: Write type parameters for struct declaration
	Based on patch by Andre Masella.

	Fixes bug 656708.

	codewriter: Factorize writing type parameters in write_type_parameters

2011-08-16  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Assign to temp varable when passing a nullable struct argument
	Assign possible (*expr) to a temp variable to ensure copying the struct.

	Fixes bug 656693.

	codegen: Always copy struct on access only when it's non-nullable
	We currently don't copy the nullable struct, only the reference,
	therefore useless.

2011-08-16  Jürg Billeter  <j@bitron.ch>

	Release 0.13.2

2011-08-16  Luca Bruno  <lucabru@src.gnome.org>

	Do not lookup for .deps file when passing .vapi files to valac
	Fixes bug 648336.

	Add syntax for creating array of pointers
	Fixes bug 647222.

	Add PointerType.get_actual_type
	Fixes bug 646792.

2011-08-15  Luca Bruno  <lucabru@src.gnome.org>

	Check if the constants used as switch labels are duplicated
	Fixes bug 656481.

	codegen: Fix leak when casting from variant to another type
	Fixes bug 656398.

	codegen: Make try_cast_variant_to_type be effect-free

2011-08-15  Jürg Billeter  <j@bitron.ch>

	girparser: Accept function in record, boxed, union, enumeration
	Used by gobject-introspection 1.29.17+. This commit ignores the
	function elements but they could replace our own static method
	detection in the future.

2011-08-14  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Do not warn when copying delegates with --enable-deprecated
	Fixes bug 656266.

2011-08-13  Jürg Billeter  <j@bitron.ch>

	dova: Do not require double in dova profile

2011-08-12  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Ensure to use volatile modifier for atomic operations

2011-08-11  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Support specifying struct=false for records

	Use locale-independent formatting in CodeNode.set_attribute_double

	libgdata: Switch to GIR
	Fixes bug 655192.

	girparser: Do not reorder the cancellable parameter in async methods
	The feature was incomplete and flawed.

	Set the type of initializer lists to be non-nullable

2011-08-10  Jürg Billeter  <j@bitron.ch>

	dova: Fix main method with args parameter

2011-08-10  Aaron Andersen  <aaron@fosslib.net>

	sdl: Fix bindings for several methods, delegates and classes
	Let Thread and Timer classes be unmanaged by vala.

	Fixes bug 655143.

2011-08-08  Luca Bruno  <lucabru@src.gnome.org>

	readline: Fix cname of several delegates
	Fixes bug 656146.

	gstreamer-0.10: Set ref_sink_function_void for Gst.Object

	codegen: Add ref_sink_function_void argument to CCode

2011-08-07  Evan Nemerson  <evan@coeus-group.com>

	x11: include GIR namespace and version

	gtk+-3.0: correct Plug and Socket to use X.Window where necessary
	Fixes bug 656049.

	gtk+-3.0: correct Scrollable type_cname

2011-08-06  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Add get_ccode_nick and get_ccode_blurb for properties

	gidlparser: Guess NoAccessorMethod for interface properties
	Fixes bug 656072.

	Regenerate bindings for commit 1a399423fc95d

	codegen: Fix regression when getting type_id of data types

2011-08-06  Abderrahim Kitouni  <a.kitouni@gmail.com>

	girparser: Fix virtual signals in interfaces
	The default handler is marked "abstract" and was considered to be an emitter

2011-08-05  Andrea Del Signore  <sejerpz@tin.it>

	gedit: Add new bindings for Gedit-3.0
	Fixes bug 645624.

2011-08-04  Luca Bruno  <lucabru@src.gnome.org>

	Fix lambda expression regression
	The regression was introduced by commit fec66bf087618263c57.
	Instead of making a shallow copy of all attributes, the ccode bits
	are now moved to the codegen in order to reflect the original code.

	Move DataType.get_cdeclarator_suffix to the codegen

	build: Drop ccode dependency from libvalacore

	Move EnumValue.get_canonical_cconstant to the codegen

	girparser: Map provided namespaces using gir_namespace

	girparser: Set GIR name when symbols get renamed

	girparser: Map vala symbols to gir symbols when GIR attribute is available

	girparser: Map all gir namespaces before parsing gir files

2011-08-03  Luca Bruno  <lucabru@src.gnome.org>

	Set target_type of switch statement expression to be non-nullable
	Fixes bug 655908.

	gidlparser: Use lower_case_cprefix when available also for classes

2011-08-03  Jürg Billeter  <j@bitron.ch>

	codegen: Small refactoring for generic type parameters

2011-08-03  Michal Hruby  <michal.mhr@gmail.com>

	GDBus: Make sure signals are disconnected when unregistering an object

2011-08-02  Luca Bruno  <lucabru@src.gnome.org>

	Guard for possible errors when checking the value of constants
	Fixes bug 655726.

	Fix symbol resolution for local constants
	Fixes bug 649562.

	girparser: Support lower_case_csuffix

	build: Use in-tree vapis when building the bindings

2011-08-01  Jürg Billeter  <j@bitron.ch>

	codegen: Do not use temp var when accessing floating locals

	codegen: Do not use temp var when accessing single-assignment locals

	Fix flow analysis for reference transfer expressions

2011-08-01  Luca Bruno  <lucabru@src.gnome.org>

	Regenerate all bindings

	gstreamer: Enforce the use of Gst.Value over GLib.Value

	atk, gudev-1.0, libgda-4.0, vte: Drop some unnecessary metadata

	Drop C specific methods from the code tree

	girwriter: Don't use C specific methods of code nodes

	codegen: Use CCodeAttribute instead of C specific methods of code nodes

	codegen: Add CCodeAttribute

	codewriter: Do not use C specific methods of code nodes

	gidlparser: Do not use C specific methods of code nodes

	girparser: Do not use C specific methods of code nodes

	Drop destroy_function dependency from Struct.is_disposable

	On-demand Method.printf_format and scanf_format

	On-demand Method.returns_floating_reference

	On-demand Method.has_construct_function

	Drop Symbol.process_experimental_attribute

	On-demand Symbol.experimental

	Drop Symbol.process_deprecated_attribute

	On-demand Symbol.replacement

	On-demand Symbol.deprecated_since

	On-demand Symbol.deprecated

	On-demand Struct.is_immutable

	On-demand Struct.decimal_floating_type

	On-demand Struct.signed

	On-demand Struct.width

	On-demand Struct.rank

	On-demand Struct.is_floating_type

	On-demand Struct.is_integer_type

	On-demand Struct.is_boolean_type

	On-demand Struct.is_simple_type

	On-demand Class.is_immutable

	On-demand Class.is_compact

	On-demand Delegate.has_target

	Add helper methods to CodeNode for dealing with attributes

	Add attributes cache to code nodes

	Specify default values in Attribute methods

	Regenerate all bindings with reordered attributes and arguments

	codewriter: Reorder attributes and arguments

	Regenerate all bindings

	build: Add rules for building all the bindings

	build: Fix rule for building gtksourceview-3.0

	x11: Fix cname of Screen methods

	x11: Turn Visual into a compact class without memory management

2011-08-01  Vito Piserchia  <johndoe@metatype.it>

	posix, linux: Add bindings for clockid_t and clock_gettime
	Fixes bug 652739.

2011-08-01  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Make creation of InitiallyUnowned objects be effect-free

2011-07-31  Michal Hruby  <michal.mhr@gmail.com>

	glib-2.0: Support syntactic sugar on HashTable

2011-07-29  Giulio Paci  <giuliopaci@interfree.it>

	libxml-2.0: add many methods to ParserCtxt
	Fixes bug 655543.

2011-07-29  Simon Wenner  <simon@wenner.ch>

	gtk+-2.0, gtk+-3.0: UIManager.add_ui action param should be nullable

2011-07-28  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix critial when casting a method prototype access to a delegate

	codegen: Use _vala_ prefix for out parameters
	Fixes bug 638310.

	Allow implicit conversion from pointer to GValue
	Fixes bug 654143.

2011-07-28  Michal Hruby  <michal.mhr@gmail.com>

	Add rest-0.7 bindings
	Fixes bug 655411.

2011-07-27  Michal Hruby  <michal.mhr@gmail.com>

	Fix a gcc warning when returning struct in an interface method

2011-07-27  Luca Bruno  <lucabru@src.gnome.org>

	libpeas-1.0: Regenerate bindings to take in account abstract classes

2011-07-27  Evan Nemerson  <evan@coeus-group.com>

	Add gtksourceview-3.0 bindings
	Fixes bug 627761.

2011-07-26  Luca Bruno  <lucabru@src.gnome.org>

	libarchive: Add support_format_raw method to Read class
	Fixes bug 655372.

	girparser: Add more complex renaming using regex replace

	girparser: Fix renaming of types that are used as property types

	girparser: Support cprefix metadata for the namespace

	girparser: Fix renaming classes and interfaces

2011-07-26  Evan Nemerson  <evan@coeus-group.com>

	gstreamer*-0.10: update bindings to 0.10.35.1
	Fixes bug 647860.

2011-07-25  Evan Nemerson  <evan@coeus-group.com>

	Remove gtksourceview-3.0 bindings
	Wait until we can rename the GtkSource namespace to Gtk.

	gobject-2.0: fix ParamSpec.internal binding
	Fixes bug 652900.

	Add gtksourceview-3.0 bindings
	Fixes bug 627761.

2011-07-25  Philip Withnall  <philip@tecnocode.co.uk>

	gio-2.0: Fix the GIcon and GLoadableIcon bindings
	Fixes bug 655154.

2011-07-25  Evan Nemerson  <evan@coeus-group.com>

	libgda-4.0: update to 4.2.4

2011-07-24  Luca Bruno  <lucabru@src.gnome.org>

	build: Add an all-bindings rule for building all bindings at once

	clutter-1.0, libsoup-2.4: Regenerate to take in account abstract classes

	build: Add rule for building vte-2.90 bindings and missing PHONY rules

	vte-2.90: Fix metadata for Pty.new_foreign

	girparser: Properly handle the c:symbol-prefix hint for lower_case_cprefix

	girparser: Fix applying metadata to glib:boxed

	Report an error on element access with wrong number of indices

	libxml-2.0: Set gir_namespace and gir_version to libxml2-2.0

2011-07-23  Evan Nemerson  <evan@coeus-group.com>

	gio-2.0: make ContentType.guess_for_tree return an array

2011-07-22  Luca Bruno  <lucabru@src.gnome.org>

	gdk-3.0: Add GDK_NONE binding
	Fixes bug 655094.

2011-07-21  Luca Bruno  <lucabru@src.gnome.org>

	Fix sender_type in Signal.get_handler_type()
	Fixes bug 654934.

2011-07-21  Jürg Billeter  <j@bitron.ch>

	dova: Do not use owned setters for public fields

	build: Require valac >= 0.12.0 to build from git
	Fixes bug 655061.

2011-07-21  Ryan Lortie  <desrt@desrt.ca>

	glib vapi: fgets() can return NULL

	posix vapi: fgets() can return NULL

2011-07-20  Luca Bruno  <lucabru@src.gnome.org>

	webkit-1.0: Mark uri parameter of WebView.hovering_over_link as nullable
	Based on patch by Jacques-Pascal Deplaix.

	Fixes bug 654980.

	gtk+-2.0, gtk+-3.0: Fix bindings of Widget.get_requisition

	gtk+-3.0: Hide the creation method of Requisition
	The method gtk_requisition_new is provided to help bindings of high-level
	languages, but it isn't needed for vala.

	Fixes bug 642298.

2011-07-19  Andre Masella  <andre.p.masella@gmail.com>

	libxml-2.0: Fix cname of Xml.Doc.url field
	Fixes bug 654928.

2011-07-19  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix return of out parameters whose type is multi-dimensional array

	codegen: Add push_line and pop_line for writing line directives
	Fixes bug 635095.

2011-07-18  Luca Bruno  <lucabru@src.gnome.org>

	ccode: Add current_line in CCodeFunction to be set for added statements

	D-Bus: Include gio.h when using the register_object function
	Fixes bug 654782.

2011-07-17  Luca Bruno  <lucabru@src.gnome.org>

	pango: Mark list_families.families parameter as out in Context and FontMap
	Fixes bug 654794.

	girparser: Handle the abstract attribute of the gir for classes

	pango: Mark return value of Language.from_string to be unowned
	Fixes regression introduced by commit 5d6c21cebd3c5a.

	Fixes bug 654785.

2011-07-16  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use temporary variables in array element access
	Fixes bug 654753.

	girparser: Fix owned and unowned metadata arguments

	girparser: Allow specifying default value to Metadata.get_bool

	girparser: Fix typo when calling element_get_type in parse_parameter

	build: Add make rules to generate libsoup-2.4 and libpeas-1.0 bindings

	build: Add make rules to generate clutter-1.0 and json-glib-1.0 bindings

	codegen: Support gobject-style chainup to base class that has generics
	Fixes bug 654702.

2011-07-15  Luca Bruno  <lucabru@src.gnome.org>

	libsoup-2.4: Don't use properties for accessing Message headers and body

	Enable flow analysis for out parameters
	Fixes bug 638363.

	Fix usage of possibly unassigned out parameters

	glib-2.0: Set lvalue_access to false for va_list
	Fixes bug 654646.

	codegen: Don't use temp vars when accessing types that forbid lvalue access
	Add support for specifying whether a type allows lvalue access or not by
	using the lvalue_access argument of the CCode attribute.

2011-07-15  Jürg Billeter  <j@bitron.ch>

	dova: Ensure DovaArray is declared before use

2011-07-15  Todd Fischer  <todd.fischer@ridgerun.com>

	posix: Add bindings for constants SIG_BLOCK, UNBLOCK and SETMASK
	Fixes bug 654624.

2011-07-15  Marcin Lewandowski  <www@saepia.net>

	gstreamer-0.10: Fix ownership of get accessor of Object.name property
	Fixes bug 654631.

2011-07-15  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix handling of leaked values in transform_value
	Fixes bug 654619.

2011-07-13  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix wrong usage of nullable structs as parameters

2011-07-12  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Add PrintfFormat to methods of GtkMessageDialog
	Based on patch by Robert Ancell.

	Fixes bug 654439.

2011-07-11  Luca Bruno  <lucabru@src.gnome.org>

	Fix explicit cast of instance method access to a delegate type
	Fixes bug 539166.

2011-07-11  Florian Brosch  <flo.brosch@gmail.com>

	codegen: Fix vararg-parameters in interfaces

2011-07-10  Luca Bruno  <lucabru@src.gnome.org>

	GAsync: Fix capturing type parameters in async methods
	Fixes bug 654337.

	GAsync: Fix generating finish method for generic async methods
	Fixes bug 654336.

	clutter-1.0: Switch to GIR
	Fixes bugs 643773 and 630679.

	codegen: Fix returning local variables

2011-07-09  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Support ownership transfer of non-null struct types
	Fixes bug 596144.

2011-07-08  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use create_temp_value and load_temp_value on property access

	GAsync: Support generic types in async methods
	Fixes bug 653861.

	girparser: Add errordomain metadata

2011-07-07  Luca Bruno  <lucabru@src.gnome.org>

	libsoup-2.4: Switch to GIR

	libpeas-1.0: Add missing libpeas-1.0.vapi to Makefile.am

	vte-2.90: Add new bindings
	Fixes bug 627410.

2011-07-06  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use GLibValue.lvalue when taking the address of an expression
	Fixes bug 648364.

	codegen: Copy the result.value_type in transform_value

	codegen: Add lvalue field to GLibValue

	codegen: Use store_temp_value in visit_end_full_expression

	codegen: Use create_temp_value in try_cast_variant_to_type

	codegen: Use create_temp_value in copy_value

	codegen: Use create_temp_value in copy_value of array module

	codegen: Replace temp_ref_vars with temp_ref_values using TargetValue

	codegen: Use store_temp_value in visit_return_statement

	codegen: Use create_temp_value in visit_string_switch_statement

	codegen: Use create_temp_value in store_property

	codegen: Use create_temp_value in try_cast_value_to_type

	codegen: Use create_temp_value in handle_struct_argument

	codegen: Use create_temp_value in visit_binary_expression

	codegen: Use store_temp_value in visit_reference_transfer_expression

	codegen: Use create_temp_value in visit_object_creation_expression

	codegen: Use create_temp_value in struct initializer

	codegen: Simplify emit of postfix expression

	codegen: Drop useless temporary variable in visit_cast_expression

	codegen: Drop useless temp variable when accessing base methods

	codegen: Drop useless temporary variables when storing a property

	codegen: Cleanup simple assignment

	codegen: Drop useless temporary variable in simple assignment

	codegen: Drop useless temporary variable in array creation

	codegen: Make copy_value be effect-free
	Fixes bug 634782.

	codegen: Make transform_value be effect-free

	codegen: Use temporary variables when accessing a property

	codegen: Use temporary variables when accessing a variable
	Fixes bugs 626038 and 572091.

	Add actual_value_type to TargetValue

	Don't set target_value of assignment if parent is an expression statement

	codegen: Add create_temp_value, load_temp_value and store_temp_value

	codegen: Cleanup emit_temp_var

	Set lvalue to inner expression when accessing array length field

	Set lvalue to inner member access having type non-nullable struct

	Set lvalue to inner expression of method call that returns modified pointer

	Set lvalue to the inner expression of address-of expression

	Set parent_node of the postfix inner expression

	Set parent_node of the expression of delete statements

	Add get_defined_variables in PostfixExpression

	codegen: Unset array_size_cvalue in load_variable

	codegen: Use lvalue of the assignment when emitting array add

	Emit left-handed side of assignment when it's a field or parameter access

	GAsync: Push method symbol only when needed when generating async functions
	Fixes possible regressions of commit 9b22a27ed5ca78b74f56df7 and
	commit ab011012db8f5087939514c.

	codegen: Use get_parameter_cvalue in return_out_parameter
	Using load_parameter is not needed when assigning to the same parameter.

2011-07-06  Jürg Billeter  <j@bitron.ch>

	Release 0.13.1

	build: Require automake 1.11 for silent rules

2011-07-05  Luca Bruno  <lucabru@src.gnome.org>

	girwriter: Do not write constructors of abstract classes

	Fix arithmetic expressions whose operands have different types

	codegen: Fix boxing of value type different than the target type

2011-07-05  Ryan Lortie  <desrt@desrt.ca>

	Update gio-2.0 vapi to GLib git master

	Regenerate gtk+-3.0 vapi
	Drop -DGTK_DISABLE_DEPRECATED to avoid losing a bunch of old symbols
	(mostly the H/V variants of boxes, scrollbars and so on).

2011-07-05  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix returning inline allocated arrays
	Fixes bug 653908.

	gstreamer-0.10: Fix Pad.get_fixed_caps_func and get_proxy_(get/set)caps
	Fixes bug 639883.

2011-07-02  Michal Hruby  <michal.mhr@gmail.com>

	libpeas-1.0: Added vapi based on Peas-1.0

2011-07-01  Luca Bruno  <lucabru@src.gnome.org>

	sqlite3: Rename sqlite3_callback parameter to callback
	Avoid possible conflicts with the C type sqlite3_callback.

2011-06-29  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Mark ThemingEngine.state_is_running progress to be out
	Fixes bug 653669.

	gtk+-3.0: Mark StyleProperties.register_property parse_func as nullable
	Fixes bug 653671.

	gtk+-3.0: Fix Gtk.ThemingEngine.get_background_color bindings

	gtk+-2.0, gtk+-3.0: Mark TreeModel.rows_reordered.iter to be nullable
	Fixes bug 653577.

2011-06-28  Alexander Larsson  <alexl@redhat.com>

	pango: Fix PangoAttrShape and PangoAttrDataCopyFunc bindings
	Fixes bug 653528.

2011-06-28  Luca Bruno  <lucabru@src.gnome.org>

	codewriter: Write simple_generics argument for methods

	gidlparser: Support setting simple_generics to methods

	GAsync: Fix returning out parameters from async methods
	Fixes bug 640721.

	GAsync: Use store_parameter when generating the async function

	codegen: Rename coroutine data variable to _data_

2011-06-27  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix CellRenderer.get_alignment and get_padding bindings
	Based on patch by Alexander Larsson.

	Fixes bug 653527.

	girparser: Add cprefix metadata argument for classes

	codewriter: Write lower_case_cprefix for classes

	Add set_lower_case_cprefix method to Class

	codegen: Do not declare virtual function for default signal handlers
	Fixes bug 615637.

	codegen: Support calling methods that return modified pointer on properties
	Fixes bug 589928.

2011-06-26  Luca Bruno  <lucabru@src.gnome.org>

	tests: Add regression test for bug 653391

	gtk+-2.0, gtk+-3.0: Add bindings for TREE_SORTABLE_*_SORT_COLUMN_ID
	Fixes bug 653379.

	codegen: Do not free captured parameters in return statements
	Fixes bug 653391.

	gtk+-2.0, gtk+-3.0: Fix ActionCallback bindings and usage in fields
	Fix the regression introduced by commit 227214f0d92b06e029961.

	Fixes bug 653046.

	codewriter: Write delegate_target for fields

	gidlparser: Add no_delegate_target metadata for fields

2011-06-25  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0, tokyocabinet: Fix usage of delegate_target attribute

	Remove code that references unused ByRef and InstanceByReference

2011-06-22  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0: Fix ThemingEngine.get_* and lookup_color return values
	Fixes bug 653188.

	codegen: Fix warning about copying delegate parameters in async method

	codegen: Fix regression when setting delegate properties
	The regression was introduced by 1e90d53dba0eff6ec2b.

	Fixes bug 653138.

2011-06-21  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Mark ActionCallback delegate to not have a target
	Fixes bug 653046.

2011-06-21  Adrien Bustany  <abustany@gnome.org>

	gtk+-3.0: Fix gtk_text_iter_backward_find_char binding

2011-06-18  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop useless get_temp_variable usage in visit_regex_literal

	gtk+-3.0: Add ellipsis to ThemingEngine.get method
	Fixes bug 652886.

	gtk+-2.0, gtk+-3.0: Mark r,g,b parameters of HSV.to_rgb as out parameters
	Fixes bug 652796.

	codegen: Fix foreach on inline allocated arrays
	Fixes bug 652549.

2011-06-17  Luca Bruno  <lucabru@src.gnome.org>

	Support ref and out parameters in lambda expressions
	Fixes bug 622570.

	codegen: Fix equality expression with nullable enum values
	Fixes bug 652781.

2011-06-17  Vito Piserchia  <johndoe@metatype.it>

	linux: Add socket options
	Fixes bug 652735.

2011-06-17  Jürg Billeter  <j@bitron.ch>

	Release 0.13.0

	Enable vapigen by default

	cogl-1.0: Add cogl_color_init_from_{4f,4ub} bindings

	gnet-2.0: Fix syntax errors

2011-06-17  Alexander Larsson  <alexl@redhat.com>

	libnotify: Remove outdated dependencies

2011-06-17  Jürg Billeter  <j@bitron.ch>

	Fix .begin and .end on async methods using generic types
	Fixes bug 652763.

2011-06-16  Luca Bruno  <lucabru@src.gnome.org>

	Fix target_type of inner expression for generic field access
	The target_type of inner expression must have the actual type arguments.
	Fixes a regression introduced by 4935646d325911198e1fbf1c4f0734be03341c.

2011-06-16  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix GtkPlug and GtkSocket bindings

2011-06-14  Luca Bruno  <lucabru@src.gnome.org>

	gobject-introspection: Fix TypeTag in gidl.vapi

2011-06-14  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix GtkWidget::*_event bindings

2011-06-13  Luca Bruno  <lucabru@src.gnome.org>

	gdk-pixbuf-2.0: Fix PixbufSaveFunc and Pixbuf.save_to_callbackv bindings
	Based on patch by Robert Ancell.

	Fixes bug 652441.

	tests: Add regression test for bug 623092

2011-06-12  Robert Ancell  <robert.ancell@canonical.com>

	zlib: Make next_in and next_out buffers in Stream be unowned
	Fixes bug 652344.

2011-06-12  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix access to arrays with fixed length
	Fixes bug 652380.

2011-06-11  Oliver Sauder  <os@esite.ch>

	gdk-2.0, gdk-3.0: Fix GdkDevice bindings
	Fixes bug 652343.

2011-06-11  Luca Bruno  <lucabru@src.gnome.org>

	gidlparser: Support nullable metadata for properties

2011-06-10  Luca Bruno  <lucabru@src.gnome.org>

	x11: Add more function bindings
	Partially fixes bug 647496.

	GAsync: Fix the definition of async virtual methods in interfaces
	Fixes bug 652252.

2011-06-09  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Remove unused variables

	girparser: Add closure argument for metadata

	codegen: Support owned delegate parameter in set accessor

	Transfer ownership of owned value parameter in set accessor

	codegen: Fix memory leak in set accessor with owned value
	Fixes bug 652181.

2011-06-08  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Only rely on virtual-method for marking a method as virtual

2011-06-08  Oliver Sauder  <os@esite.ch>

	gtk+-2.0, gtk+-3.0: Fix return value of gtk_target_table_new_from_list
	Fixes bug 652137.

2011-06-08  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Fix Bus.watch_name and watch_name_on_connection bindings
	Fixes bug 652123.

2011-06-07  Luca Bruno  <lucabru@src.gnome.org>

	tests: Add ref-testing for the GIR parser

2011-06-05  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Mark TreeModel.get_path return value as nullable
	Fixes bug 651871.

	girparser: Set vfunc_name for virtual methods if name differs from invoker

	gtk+-2.0, gtk+-3.0: Make TreeModel.ref_node and unref_node be virtual
	Fixes bug 651872.

2011-06-04  Luca Bruno  <lucabru@src.gnome.org>

	Move custom_return_type_cname CCode attribute down to Method

	girparser: Threat union with registered GType as boxed type

2011-06-04  Oliver Sauder  <os@esite.ch>

	x11: Add XGetInputFocus method to Display
	Fixes bug 651853.

2011-06-03  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Handle array length index for return values
	Fixes bug 651773.

2011-06-03  Jürg Billeter  <j@bitron.ch>

	Fix critical when calling generated enum to_string method

2011-06-03  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Always parse gtype structs as records even if they're disguised

	girparser: Ensure that cname of guessed accessor methods is correct

	girparser: Fix finding invoker method for virtual methods

2011-06-02  Luca Bruno  <lucabru@src.gnome.org>

	D-Bus: Require class prerequisite for dbus interfaces
	Fixes bug 651715.

2011-06-01  Jürg Billeter  <j@bitron.ch>

	codegen: Remove incorrect check when returning arrays from async methods

	codegen: Clarify handling of self for closures

2011-05-31  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	alsa: fix snd_pcm_write* and and snd_pcm_read*

2011-05-31  Luca Bruno  <lucabru@src.gnome.org>

	Collect used variables in postfix expression for flow analysis

2011-05-31  Robert Ancell  <robert.ancell@canonical.com>

	cairo: Add missing Device class and Surface methods
	Fixes bug 651507.

2011-05-30  Jürg Billeter  <j@bitron.ch>

	ccode: Fix line breaking of string literals with octal escape sequences

2011-05-30  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: bind i2c and smbus subsystem

	linux: bind uinput (userspace input) subsystem

	alsa: bind PCM subsystem

	posix: add inet_ntop(3) and corresponding constants

	linux: add misc. non-posix termios constants

2011-05-30  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Support passing real non-null structs as ref/out varargs
	Fixes bug 651441.

2011-05-29  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix criticals when enums or error domains have no children

	girparser: Threat non-boxed disguised records as compact classes
	Fixes bug 651408.

2011-05-29  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Simplify creation of GLib.Sequence

	dova: Allow structs without default constructor

2011-05-29  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix definition of fields when array length cname is specified
	Fixes bug 588203.

	Enable control flow analysis for variable declarations
	Fixes bug 651311.

	Use accept_children in DataType
	Fixes bug 566870.

2011-05-28  Luca Bruno  <lucabru@src.gnome.org>

	tests: Add regression test for bug 609642

	tests: Shut vala warning against asynchronous/bug641182.vala

	codegen: Do not initialize temp variable when getting delegate property
	Fixes bug 641182.

	codegen: Fix closures in creation methods of classes without base class
	Fixes bug 642899.

2011-05-27  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Skip elements with attribute private="1"

	tests: Add -X -g to the compilation flags

2011-05-26  Luca Bruno  <lucabru@src.gnome.org>

	Fix checking for abstract/virtual methods inside structs
	Fixes bug 643711.

	girparser: Fix criticals when autoreparenting methods due to aliases

	girparser: Special case array of ctype GStrv as a null terminated array
	Fixes bug 645139.

	gtk+-2.0: Fix Gtk.Fixed.children type arguments
	Fixes bug 646334.

	codegen: Open block for try statements
	Fixes bug 651145.

	codewriter: Fix writing methods inside error domains

2011-05-25  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Allow specifying type for property in metadata

	Always set value_owned to false for pointers
	Fixes bug 650993.

	girparser: Fix reparenting symbols to known containers

	girparser: Autoreparent namespace methods before processing children

	girparser: Add sentinel metadata argument

	codegen: Forbid creating closures for delegates without target
	Fixes bug 645841.

2011-05-24  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Guard pointer indirection of lengths when returning arrays
	Fixes bug 638415.

	girparser: Add array_length_field metadata

	girparser: Do not assume method with same name of property is a getter

	girparser: Add printf_format metadata

2011-05-23  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix setting cname for fields of nested structs
	Fixes bug 650768.

	gtk+-3.0: Add FileFilter.set_filter_name and get_filter_name
	Vala does not allow specifying methods that do not override interface
	abstract methods (get_name and set_name in this case from Gtk.Buildable).
	Workaround the issue by renaming the methods as this feature isn't
	going to be implemented anytime soon.

	Fixes bug 647122.

	girwriter: Fix field callback of virtual async methods
	Fixes bug 646202.

	girwriter: Add self parameter to the callback of virtual methods field
	Fixes bug 650607.

2011-05-22  Jürg Billeter  <j@bitron.ch>

	codegen: Fix criticals for interfaces without class prerequisite
	Fixes bug 642804.

2011-05-21  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Simplify creation of GLib.Array

	Do not accept static as type modifier
	Fixes bug 650686.

2011-05-20  Jürg Billeter  <j@bitron.ch>

	D-Bus: Fix use of Bus.get_proxy outside async methods
	Fixes bug 644275.

2011-05-20  Alexander Kojevnikov  <alexander@kojevnikov.com>

	tests: Do not use xargs GNU extension in the test runner
	Fixes bug 644884.

	tests: Search path for bash
	Bash on BSDs is not in /bin.

	Fixes bug 644876.

2011-05-20  Jürg Billeter  <j@bitron.ch>

	codegen: Fix memory management in generic methods
	Fixes bug 648903.

	Fix critical with invalid constant initializers
	Fixes bug 640390.

	Support arrays of void pointers
	Fixes bug 600171.

2011-05-20  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix copy of fixed arrays when elements require copy
	Fixes bug 613840.

	codegen: Drop ccomma expressions in copy_value

2011-05-19  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix adding error types to functions
	Fixes a regression of commit 0d5af7406b390f937acc1 accidentally
	missing the check on throws_string.

2011-05-18  Jürg Billeter  <j@bitron.ch>

	codegen: Discourage copying delegates with target
	Target destroy notify cannot be copied, which means that memory
	management will often not work as expected. Use ownership transfer,
	unowned target variable, or extra closure instead.

2011-05-18  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Allow specifying the error thrown from a function in metadata

	girparser: Make type arguments be owned by default
	The GIR format has no information on how to transfer ownership
	of type arguments. Thus we assume that type arguments are unowned
	only if transfer-ownership is "container".

2011-05-17  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't hardcode C identifiers in return_out_parameter

2011-05-17  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_style_context_get and gtk_style_context_get_style

	gtk+-3.0: Fix GtkWidget::grab_broken_event binding

	gtk+-3.0: Fix gtk_widget_size_allocate binding
	Fixes bug 650296.

	Apply `new' modifier to signal default handlers

	gtk+-3.0: Add GtkWidgetClass.activate_signal binding

2011-05-16  Luca Bruno  <lucabru@src.gnome.org>

	GType: Connect default signal handlers in interfaces

	GType: Support virtual signals in interfaces
	Fixes bug 642809.

2011-05-16  Jürg Billeter  <j@bitron.ch>

	gdk-3.0: Fix gdk_window_destroy binding

	gtk+-3.0: Fix gtk_widget_set_window

	gtk+-3.0: Fix gtk_*_get_preferred_* bindings
	Fixes bug 650295.

2011-05-15  Robert Ancell  <robert.ancell@gmail.com>

	librsvg-2.0: Add librsvg/rsvg-cairo.h header to cairo methods
	Fixes bug 642649.

2011-05-15  Luca Bruno  <lucabru@src.gnome.org>

	codewriter: Write cheader_filename for methods not in a Namespace

	codegen: Use store_value when assigning the new value to out arguments
	This fixes:
	 * Assigning the _size variable for arrays (was missing)
	 * Assigning the delegate destroy notify (was missing)
	 * Array parameters with no length (crashed the compiler)

	codegen: Rename store_variable to store_value and make it public

	codegen: Add GLibValue.ctype to be used with lvalues
	Cast the assigned rvalue to the ctype of the lvalue.

	codegen: Fix get_parameter_cvalue to consider no_array_length

2011-05-14  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Drop the parameter before the ellipsis having first_ prefix

2011-05-14  Duncan Mac-Vicar P  <duncan@kde.org>

	linux: Fix InotifyFlags and InotifyMaskFlags bindings
	Fixes bug 650165.

2011-05-13  Luca Bruno  <lucabru@src.gnome.org>

	linux: Add has_type_id=false to structs and enums
	Fixes bug 650069.

2011-05-12  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Handle unions inside boxed classes
	Fixes bug 649760.

2011-05-12  Sam Thursfield  <ssssam@gmail.com>

	glib-2.0: Fix Log.set_fatal_mask and set_always_fatal bindings
	Partially fixes bug 649644.

2011-05-12  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't spit out critical when returning unowned delegate

2011-05-11  Nicolas Bruguier  <nicolas.bruguier@supersonicimagine.fr>

	xcb: Add missing methods and enhance Connection bindings
	Fixes bug 613954.

2011-05-11  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Use out uint8[] for File.load_* methods
	Fixes bug 594376.

	codegen: Fix accessing variables without delegate target

	codegen: Don't use simple struct initializer if local is a GValue
	Fixes bug 621176.

2011-05-10  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Set no_array_length if metadata specifies array argument

	gmodule-2.0: Add gir_namespace and gir_version information

	girparser: Fix getting the cname of the constructor parent class

	gio-2.0, gio-unix-2.0, gdk-pixbuf-2.0: Fix cancellable parameters
	Fixes bug 649873.

2011-05-09  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Remove unused variable

	codegen: Fix regression when capturing an unowned delegate variable

2011-05-08  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use store_field for object initializer

	codegen: Get the instance using get_local_cvalue for object creation

	codegen: Use store_field in generate_struct_copy_function

	GAsync: Use full result of copy_value in generate_async_function

	codegen: Use store_field in add_struct_copy_function

	codegen: Save some block data members for captured parameters

	codegen: Use TargetValue methods in capture_parameter
	Fixes capturing arrays with no array length and delegates with no target.

	codegen: Fix result of copy_value for arrays

	codegen: Unowned delegates can't become owned when captured or in coroutine
	From a semantic view point it's neither possible to transfer ownership
	to an unowned delegate nor destroy its target.

2011-05-07  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix transform_value result when target_type is null

	codegen: Get rid of transform_expression
	It was not possible to return any extra temporary variable from
	transform_expression for compound types like arrays or delegates,
	thus producing subtle bugs.

	codegen: Use transform_value instead of transform_expression

	codegen: Drop Expression dependency from transform_value

	codegen: Drop Expression dependency from generate_delegate_wrapper

	codegen: Start porting transform_expression to transform_value

	codegen: Get rid of get_ref_cexpression

	codegen: Use copy_value instead of get_ref_cexpression

	codegen: Drop Expression dependency in copy_value

	codegen: Introduce non_null in GLibValue

	codegen: Return TargetValue from copy_value

2011-05-05  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Remove unused variable in gtype module

	codegen: Replace trivial get_ref_cexpression calls with copy_value

2011-05-05  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix GtkBorder, gtk_icon_info_*, gtk_style_context_* bindings
	Fixes bug 649495.

2011-05-05  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Merge all nodes that collide with a property and are getters

	girparser: Add null check when setting the alias cname

	codegen: Complete porting of GSignal and GType modules to use ccode

	codegen: Fix the transformation of elseif cascades using ccode

	ccodegen: Port the remaining code to use the ccode builder

	codegen: Fix regression when generating get_property
	The regression was introduced by b481d032269abe0d8bc1c538b due to
	the wrong declaration of boxed and length variables.

2011-05-04  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Get rid of get_unref_expression

	codegen: Use destroy_value in emit_simple_assignment

	D-Bus: Use destroy_local instead of get_unref_expression

	GObject: Use destroy_value in add_get_property_function

	GObject: Use ccode in add_get_property_function

	GError: Use destroy_value in return_with_exception

	GAsync: Use destroy_local and destroy_parameter in generate_free_function

	codegen: Use ccode in generate_free_function of the gasync module

	codegen: Remove useless append_function in gasync module

	codegen: Use destroy_value in destroy function wrappers

	codegen: Use destroy_value in method calls

	codegen: Drop destroy_variable in favor of destroy_value

	codegen: Add array_length_cexpr in GLibValue

	codegen: Use get_array_length_cvalue to get the product of all dimensions

2011-05-03  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Add copy_value for symmetry with destroy_value

	codegen: Use store_local and get_local_cvalue in postfix expressions

2011-05-02  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix adding Cancellable as last parameter

	girparser: Add get_cname and get_lower_case_cprefix to Node

	Mark the inner expression of unary increment/decrement to be lvalue

	Mark the inner expression of postfix expression to be lvalue

2011-05-01  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Only process static methods of root namespace

	girparser: Do not add default constructor to compact classes

	glib-2.0: Add Node n_children() method and fix nth_child()
	Fixes bug 649052.

2011-04-30  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use store_field for struct initializer

	codegen: Cast to field or parameter ctype on assignment

	Forbid pointer indirection for void type
	Fixes bug 648890.

	vte: Fix Terminal.fork_command_full binding
	Based on patch by Jacques-Pascal Deplaix.

	Fixes bug 649004.

	gdk-3.0: Mark Device.grab cursor parameter to be nullable
	Fixes bug 649011.

	gdk-2.0, gdk-3.0: Fix Keymap.get_entries_for_keycode binding
	Fixes bug 649013.

	codegen: Fix array ownership transfer

	codegen: Store array_null_terminated information into GLibValue

2011-04-29  Jürg Billeter  <j@bitron.ch>

	codegen: Move freeing of locals to append_scope_free method

2011-04-29  Maciej Piechotka  <uzytkownik2@gmail.com>

	codegen: Fix execution order of finally blocks
	Fixes bug 648807.

2011-04-29  Luca Bruno  <lucabru@src.gnome.org>

	Add documentation for --metadatadir in the valac and vapigen manpage

	gstreamer-0.10: Mark Clock.wait jitter parameter to be out
	Fixes bug 648684.

2011-04-29  Oliver Sauder  <os@esite.ch>

	gio-2.0: Make return value for File.query_filesystem_info be owned
	Fixes bug 648814.

2011-04-29  Luca Bruno  <lucabru@src.gnome.org>

	gdk-3.0: Fix Gdk.threads_add_* bindings
	Fixes bug 648744.

2011-04-28  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Create local variable for the foreach iterator

	codegen: Call visit_local_variable on the foreach element variable

	codegen: Call visit_local_variable on the foreach collection variable

2011-04-27  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use CatchClause.error_variable instead of variable_name

2011-04-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix creation of lambdas inside interface methods
	Fixes bug 648320.

2011-04-27  Jürg Billeter  <j@bitron.ch>

	codegen: Fix memory leak for return statements in inner blocks
	variable_accessible_in_finally was not correctly working as symbol
	lookup failed due to local.active set to false by visit_member_access.

	codegen: Free locals before executing finally block
	Inner variables should be freed before outer variables.

2011-04-26  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Refactoring, create GIR nodes to improve the tree analysis

	glib-2.0: Set type_id for Pid

	x11: Set type_id for Atom

2011-04-25  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Ultimate fix for Thread.foreach bindings
	Fixes bug 648588.

	glib-2.0: Set simple_generics for Thread.foreach
	Fixes bug 648588.

2011-04-24  Daniel Svensson  <dsvensson@gmail.com>

	gtk+-2.0, gtk+-3.0: Mark *_get_layout_offsets parameters to be out
	Fixes bug 648540.

2011-04-23  Daniel Svensson  <dsvensson@gmail.com>

	gtk+-2.0, gtk+-3.0: Mark Range.get_slider_range parameters to be out
	Fixes bug 648503.

	gdk-2.0, gdk-3.0: Mark Window.get_root_coords parameters to be out
	Fixes bug 648505.

	avahi-gobject: Use string.length instead of deprecated string.size()
	Fixes bug 648506.

2011-04-23  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix parsing selectors and matching

	girparser: Assume methods with the same name of a property are getters

2011-04-22  Luca Bruno  <lucabru@src.gnome.org>

	Fix checking access to async callback for base methods
	Fixes regression introduced by 474611603ae6df7792f4dc2f107.

	Fix default free function for classes
	Fixes bug 642362.

	gio-2.0: Use uint8[] for Socket buffers in send/receive methods
	Based on patch by Robert Ancell.

	Fixes bug 642528.

	girparser: Auto detect real-non-null-struct out parameter as return type

	girparser: Allow specifying whether a boxed type is a struct

2011-04-19  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Don't mark out parameters as nullable
	The allow_none in the GIR format is referred to the storage location.

	girparser: Assume fixed-size arrays are not null terminated

	glib-2.0: Rename DataTestFunc to TestDataFunc
	Fixes bug 645178.

	libpq: Fix several function bindings having parameters with array type
	Fixes bug 644308.

2011-04-17  Ryan Lortie  <desrt@desrt.ca>

	gio-2.0: GSettingsBindSetMapping returns owned
	The old binding says it returns an 'unowned GLib.Variant', which is a
	pretty difficult proposition for a mapping function...

2011-04-17  Jürg Billeter  <j@bitron.ch>

	girparser: Remove unused variables

2011-04-17  Luca Bruno  <lucabru@src.gnome.org>

	json-glib-1.0: Remove unnecessary metadata

	girparser: Fix owned by default assumption for parameter types

	girparser: Use new syntax for selecting gir elements
	Old syntax discriminated only between properties and signals.
	New syntax is pattern#selector where selector refers to an
	element name.

2011-04-16  Luca Bruno  <lucabru@src.gnome.org>

	json-glib-1.0: Switch to gir

	girparser: Fix detecting gunichar type as unichar

2011-04-16  Colomban Wendling  <ban@herbesfolles.org>

	glib-2.0: Fix ChildWatchSource binding
	Fixes bug 647911.

2011-04-16  Luca Bruno  <lucabru@src.gnome.org>

	Forbid access to async callback out of the relative async method
	Fixes bug 646945.

2011-04-16  Diego Dompe  <ddompe@gmail.com>

	gstreamer-0.10: Fix Gst.Message parse_qos* methods binding
	Fixes bug 647679.

2011-04-16  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Mark data parameter of ContentType.guess as nullable
	Fixes bug 647804.

2011-04-13  Ryan Lortie  <desrt@desrt.ca>

	GVariantType: add GVariantType.VARDICT
	G_VARIANT_TYPE_VARDICT = "a{sv}" in GLib

2011-04-10  Jim Nelson  <jim@yorba.org>

	gio-2.0: Make ResolverError be an errordomain
	Fixes bug 646983.

2011-04-09  Daniel Hams  <daniel.hams@gmail.com>

	gidlparser: Support hiding interfaces with metadata
	Fixes bug 627298.

2011-04-09  Luca Bruno  <lucabru@src.gnome.org>

	Fix binary operations between nullable types
	Based on patch by Geert Jordaens.

	Fixes bug 591552.

	Forbid implicit construction for SimpleType structs
	Fixes bug 616600.

2011-04-08  Jürg Billeter  <j@bitron.ch>

	dova: Convert Array to struct

2011-04-08  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix lvalue access to fields

2011-04-07  Luca Bruno  <lucabru@src.gnome.org>

	Delegate processing of common Field attributes to the Variable base class

2011-04-07  Jürg Billeter  <j@bitron.ch>

	dova: Fix assignment to variables of generic type

2011-04-07  Luca Bruno  <lucabru@src.gnome.org>

	x11: Use XCloseDisplay free function for Display
	Fixes bug 625662.

2011-04-07  Joshua Simmons  <simmons.44@gmail.com>

	x11: Add missing XMapRaised function, ErrorCode and WindowClass enums
	Partially fixes bug 625662.

2011-04-06  Luca Bruno  <lucabru@src.gnome.org>

	libgda-4.0, gedit-2.20: Fix gedit typo and GdaXaTransactionId.data
	Fixes bug 627035.

	codegen: Drop MemberAccess creation in struct destroy function

	gtksourceview-2.0: Fix cheader filename for SourceCompletionWords
	Fixes bug 617321.

2011-04-05  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop MemberAccess creation for disposing of 'this' in block data

2011-04-05  Michal Hruby  <michal.mhr@gmail.com>

	gidlparser: Support error types for delegates
	Fixes bug 644420.

2011-04-05  Joakim Sindholt  <opensource@zhasha.com>

	codegen: Copy the delegate target when copying structs
	Fixes bug 639751.

2011-04-05  Marin Moulinier  <marin.star1@gmail.com>

	cairo: Fix cairo_read_func_t and cairo_write_func_t bindings
	Fixes bug 645766.

2011-04-05  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: Fix Display.display_string bindings

2011-04-05  Jürg Billeter  <j@bitron.ch>

	Allow access to length of constant array in constant initializer lists
	Fixes bug 643010.

	codegen: Fix initializer lists for structs with array fields

2011-04-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	vapi: Update clutter-gtk-1.0 bindings
	The metadata and files of clutter-gtk-1.0 were still referencing
	clutter-gtk-0.10 includes and shared object.

	The clutter-gtk-1.0 metadata has been regenerated against the
	current 1.0.0 tarball.

2011-04-04  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: Add function bindings to deal with KeySym and KeyCode

2011-04-04  Luca Bruno  <lucabru@src.gnome.org>

	codewriter: Write enum cname when it differs from the default cname
	Based on patch by Evan Nemerson.

	Fixes bug 615493.

	codegen: Drop MemberAccess creation for static field initialization

2011-04-04  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: Fix get_keyboard_mapping and keysym_to_keycode bindings

2011-04-04  Michal Hruby  <michal.mhr@gmail.com>

	gidlparser: Add support for array return values in delegates
	Partially fixes bug 644420.

	Support array_length_type for delegate return values
	Partially fixes bug 644420.

2011-04-04  Luca Bruno  <lucabru@src.gnome.org>

	Fix InterfaceType cname to refer to Interface type_cname

	girparser: Always set the type_id for classes and interfaces

	Support setting type_id to Vala.Interface

	girparser: Fix processing deprecation.

	girparser: Store all attributes in girdata for all symbols.

	markupreader: Add get_attributes() method returning a copy of attributes.

	girparser: Set cheader_filename for all symbols.

	girparser: Fix setting ownership for parameters.

	girparser: Parse signals in parse_function.

	girparser: Add constructor to boxed types.

	girparser: Provide default constructor for classes.

	girparser: Merge virtual method specified in metadata.

	girparser: Support ByteArray arrays.

	Allow setting cname of ErrorCode.

	girparser: Use the same function for enumeration, bitfield and error domain.

	girparser: Mark bitfield to be Flags

	girparser: Remove redundant code for checking out parameters.

	girparser: Move parse_constructor inside common parse_function.

	girparser: Add metadata argument to override scope attribute.

	girparser: Use ArrayList for symbols info because field ordering matters.

	girparser: Fix assuming parameter names of signal from virtual method.

	girparser: Support async constructors.

	girparser: Use an HashSet for merged symbols.

	girparser: Move handle_async_methods into the merge_add_process.

	girparser: Support negative integer literals in metadata.

	vapigen: Fix marking gir metadata as source.

	girparser: Support aliases whose base type is a SimpleType.

	girparser: Never skip symbol if skip=false is explicited in metadata.

	girparser: Skip private structs.

	girparser: Report unused metadata only if repository has been parsed.

	girparser: Property without accessor must have owned get.

	girparser: Assume arrays without length are null terminated.

	girparser: Better support for arrays in return type.

	girparser: Rename array_length_pos to array_length_idx in metadata.

	girparser: Rename MethodInfo to ParameterInfo.

	girparser: Guess array length type for arrays

	girparser: Fix unowned keyword in metadata types

	girparser: Fix parsing arrays in metadata types

	girparser: Support specifying symbols in metadata

	girparser: Fix support for signals metadata.

	girparser: Support null literals in metadata

	girparser: Set the base type for classes defined in custom vala files.

	girparser: Skip priv fields

	girparser: Simplify postprocessing callbacks. Use symbols info for records.

	girparser: Don't add NoAccessorMethod if there is a setter

	girparser: Fix mapping gsize to size_t and gssize to ssize_t.

	girparser: Remove all type arguments when using type_arguments metadata.

	girparser: Support reparenting static methods in namespace

	girparser: Support -custom.vala files

	Add --metadatadir option to specify path for GIR metadata

2011-04-04  Jürg Billeter  <j@bitron.ch>

	Drop deprecated support for D-Bus GLib
	GDBus should be used instead.

2011-04-03  Jürg Billeter  <j@bitron.ch>

	Bump version suffix

	Release 0.12.0

2011-04-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	D-Bus: Avoid invalid C code when using reserved names as parameters
	Fixes bug 643744.

2011-04-02  Jürg Billeter  <j@bitron.ch>

	codegen: Fix use of property assignments as subexpressions
	Fixes bug 640171.

	glib-2.0: Add string.get_next_char
	Fixes bug 645150.

	codegen: Fix array size variable on assignment
	The array size of the right-hand side should not be used as the copy may
	have a different size.

	Fixes bug 646294.

	glib-2.0: Add g_unichar_ismark binding

2011-04-02  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix look-up of next closure block
	Methods that are not closures don't capture parent blocks.

	Fixes bug 646345.

2011-03-31  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: start with binding the Wireless Extension API (WEXT) infrastructure

	linux: bind IFNAMSIZ from linux/if.h to fix net/if.h conflict
	add necessary netinet/in.h include to Linux.Network.IfReq

2011-03-30  Alexander Kurtz  <kurtz.alex@googlemail.com>

	x11: Fix typo

2011-03-30  Ryan Lortie  <desrt@desrt.ca>

	GDBusConnection.call 'reply_type' is nullable

	GVariant binding: add get_child() method

	GActionGroup bindings: add some metadata

	gidl parser: add interface type_cname attribute
	This is how to specify eg. GActionIface vs. GActionInterface

2011-03-29  Jürg Billeter  <j@bitron.ch>

	Fix DelegateType.copy

	girwriter: Set scope for callback parameters of async methods

2011-03-27  Jürg Billeter  <j@bitron.ch>

	codegen: Fix freeing on assignment to fields of generic type
	Fixes bug 645773.

2011-03-27  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Fix leak when destroying null terminated arrays

2011-03-26  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: add ioctls and structures for n_gsm
	n_gsm is a new line discipline that implements the 3GPP 07.10
	multiplexing protocol in the kernel.

	linux: add makedev(3), major(3), and minor(3)

2011-03-24  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Update to 3.0.5

2011-03-23  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix g_data_input_stream_read_line_finish binding
	Fixes bug 639211.

	D-Bus: Emit cast to avoid C warning for signal handling in clients

	D-Bus: Remove extra semicolon to avoid C warning

	D-Bus: Add missing string.h includes

2011-03-23  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Always call _finish() after yield
	Fixes bug 645606.

2011-03-23  Ryan Lortie  <desrt@desrt.ca>

	glib binding: mark VariantType [Immutable]
	This gets us proper behaviour with respect to functions that return
	unowned VariantType (which is 'const GVariantType *' in C).

2011-03-23  Jürg Billeter  <j@bitron.ch>

	girwriter: Skip methods with va_list parameters
	gobject-introspection does not currently support va_list parameters.

2011-03-22  Jürg Billeter  <j@bitron.ch>

	D-Bus: Support DBus.signature attribute for struct fields
	Fixes bug 645528.

	vte: Update to 0.27.90
	Fixes bug 627410.

	codegen: Fix freeing of owned parameters
	Fixes bug 645177.

2011-03-20  tfischer  <tfischer@ridgerun.com>

	posix: Add setlogmask() and LOG_UPTO().
	Fixes bug 645189.

2011-03-20  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Fix InetAddress.from_bytes bindings
	Based on patch by Robert Ancell.

	Fixes bug 644974.

2011-03-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	gio-2.0: Fix Bus.own_name and own_name_on_connection bindings.

2011-03-19  Robert Ancell  <robert.ancell@canonical.com>

	posix: Support handling SA_SIGINFO with sigaction
	Closes bug 633769

2011-03-19  Oliver Sauder  <os@esite.ch>

	gdk-2.0, gdk-3.0: Fix atom name bindings
	https://bugzilla.gnome.org/show_bug.cgi?id=645215

2011-03-17  Michal Hruby  <michal.mhr@gmail.com>

	gtk+-2.0, gtk+-3.0: Fix more clipboard-related bindings
	Fixes bug 645071.

2011-03-17  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Fix KeyFile get_comment and set_comment bindings

2011-03-16  Jürg Billeter  <j@bitron.ch>

	Release 0.11.7

	D-Bus: Fix Connection.get_proxy.begin calls

	D-Bus: Fix get_proxy.begin calls

	glib-2.0: Do not use strnlen
	strnlen is not available on all systems.

	Fixes bug 644550.

2011-03-15  Ryan Lortie  <desrt@desrt.ca>

	Write delegates as qualified types in code writer
	Fixes bug 643927.

2011-03-15  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Add support for [Experimental] attribute
	Report a warning when using experimental symbols. The GIDL parser has
	been updated, too, and bindings have been regenerated.

	Fixes bug 644779.

2011-03-14  Ryan Lortie  <desrt@desrt.ca>

	gio: one more fix for GActionGroup.list_actions()
	We must explicitly specify that the array is null-terminated.

	gio: fix binding for GActionGroup.list_actions()
	vapigen was detecting

	  gchar ** g_action_group_list_actions (GActionGroup *action_group);

	as

	  public abstract unowned string list_actions ();

	Add some metadata to clear that up and regenerate the vapi.

2011-03-14  Michal Hruby  <michal.mhr@gmail.com>

	gdk-pixbuf-2.0: Fix binding for serialize method

2011-03-13  Ryan Lortie  <desrt@desrt.ca>

	Revert "GModule vapi: add missing close() method"
	This reverts commit 09b06c19dd7eb965f02d26305e810a9126e9bc93.

	g_module_close() is the free function.

	GModule vapi: add missing close() method

2011-03-12  Jürg Billeter  <j@bitron.ch>

	gtk+-2.0, gtk+-3.0: Fix gtk_tree_view_column_cell_get_position binding

2011-03-11  Michal Hruby  <michal.mhr@gmail.com>

	pango: Multiple binding fixes
	Fixes bug 642293.

2011-03-10  Michal Hruby  <michal.mhr@gmail.com>

	gtk+-2.0, gtk+-3.0: Fix TreeModelFilter.set_modify_func
	Fixes bug 643852.

	gtk+-2.0, gtk+-3.0: Fix get_selection_bounds binding
	Fixes bug 644158.

	cairo: Mark filename parameter for PdfSurface nullable
	Fixes bug 644158.

	tests: Add test for fixed size arrays

2011-03-10  Jürg Billeter  <j@bitron.ch>

	codegen: Fix assignment to fixed-length array variable
	Fixes bug 644413.

2011-03-10  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop MemberAccess creation for field finalization

	codegen: Drop MemberAccess creation for field array initializer

	codegen: Add convenience load_this_parameter() method

	codegen: Use TargetValue instead of Expression for field instance

2011-03-10  Michal Hruby  <michal.mhr@gmail.com>

	gtk+-2.0, gtk+-3.0: Fix Gtk.TextBuffer serialize and deserialize methods

	gtk+-2.0, gtk+-3.0: Fix Gtk.TextBufferDeserializeFunc

2011-03-06  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix binding for TextTagTable.foreach

2011-03-05  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Don't check for comma expression in get_field_cvalue
	All comma expressions have been dropped, so it's not possible that
	an inner C expression is a comma expression.

	codegen: Don't check for comma expression in visit_addressof_expression
	All comma expressions have been dropped, so it's not possible that
	an inner C expression is a comma expression.

	codegen: Drop useless comma expression when copying GValue

	codegen: Drop useless comma expression when using chained expressions

	codegen: Drop useless comma expression when handling struct arguments

2011-03-03  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop useless comma expression in GType module

	codegen: Drop useless comma expression in GSignal module

	codegen: Drop useless comma expression in GObject module

	codegen: Drop useless comma expression in method call

	codegen: Drop unused code from the base module

2011-03-02  Ryan Lortie  <desrt@desrt.ca>

	GVariant binding: bind g_variant_{get,new}_va
	I didn't bind these because I didn't know that it was possible to use
	va_list from Vala.  It is, so bind them.

2011-03-01  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	Linux: add epoll(7) and friends
	Based on a patch by Stefano Debenedetti
	Closes bug #641790

2011-03-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Posix: added sched_ functions support
	Scheduler functions included
	Closes bug #639344

2011-03-01  Jürg Billeter  <j@bitron.ch>

	CodeWriter: Write [Diagnostics] attribute

2011-03-01  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop unnecessary comma expressions in method calls

2011-03-01  Frederik 'playya' Sdun  <Frederik.Sdun@googlemail.com>

	Add support for async signal handlers
	Fixes bug 602594.

2011-03-01  Michal Hruby  <michal.mhr@gmail.com>

	girwriter: Don't use constructor tag with structs

	girwriter: Fix output of interface structs

	girwriter: Fix indices for delegate parameters

2011-03-01  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop unnecessary comma expressions in member access

2011-02-28  Michal Hruby  <michal.mhr@gmail.com>

	gobject-2.0: Add binding for Signal.get_invocation_hint

2011-02-28  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix gtk_tree_view_column_cell_get_position binding.
	Fixes bug 642635.

2011-02-28  Ilya Mezhirov  <mezhirov@gmail.com>

	libgsf-1: Fix cheader_filename for OutputGio.
	Fixes bug 642370.

2011-02-28  Jamie McCracken  <jamie.mccrack@gmail.com>

	Genie: Fix parameter attributes (patch by Arc Riley)

2011-02-26  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_widget_adjust_size_* bindings

2011-02-24  Michal Hruby  <michal.mhr@gmail.com>

	gtk+-2.0, gtk+-3.0: Fix a few Clipboard related bindings

2011-02-24  Jim Nelson  <jim@yorba.org>

	gtk+-2.0, gtk+-3.0: Fix GtkToggleActionEntry binding
	Fixes bug 643152.

2011-02-24  Michal Hruby  <michal.mhr@gmail.com>

	gidlparser: Fix null-terminated array parameters in delegates

2011-02-23  Jürg Billeter  <j@bitron.ch>

	codegen: Use destroy_field in finalizers

	Fix crash on assignment to array length field

2011-02-22  Jürg Billeter  <j@bitron.ch>

	codegen: Use destroy_variable in store_*

	codegen: Add destroy_local, destroy_parameter, and destroy_field
	This is in line with load_* and store_* methods.

	Use store_local and store_parameter for simple assignments

	codegen: Use temporary variable for string concatenation

	gio-2.0: Fix g_application_local_command_line binding
	Fixes bug 642885.

2011-02-22  Michal Hruby  <michal.mhr@gmail.com>

	gdk-2.0, gdk-3.0: Fix Gdk.Rectangle.intersect binding

2011-02-22  Jürg Billeter  <j@bitron.ch>

	girparser: Mark methods and properties as extern
	Fixes bug 642611.

	gtk+-2.0, gtk+-3.0: Fix GtkActionEntry binding
	Fixes bug 642427.

2011-02-21  Michal Hruby  <michal.mhr@gmail.com>

	rest-0.6: Mark the new_call method as virtual

2011-02-20  Michal Hruby  <michal.mhr@gmail.com>

	rest-0.6: Fix multiple issues with the bindings

2011-02-16  Jürg Billeter  <j@bitron.ch>

	codegen: Add get_field_cvalue and load_field

	codegen: Add get_parameter_cvalue and load_parameter in dova

	codegen: Use TargetValue for ref and out expressions

2011-02-16  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Drop unnecessary comma expressions when boxing values

	codegen: Drop unnecessary comma expressions in silent casts
	Assume temporary variable owns value depending on the relative
	expression.

2011-02-15  Jürg Billeter  <j@bitron.ch>

	codegen: Move array length handling to load_variable

2011-02-15  Luca Bruno  <lucabru@src.gnome.org>

	ccodegen: Drop unnecessary comma expressions at end of full expressions
	With this change object creation expressions that refer to a local
	variable and have simple struct initializer will directly emit the
	creation expression instead of setting it as C expression.

	codegen: Drop unnecessary comma expressions in initializers

2011-02-14  Jürg Billeter  <j@bitron.ch>

	Release 0.11.6

	Allow casts in constant initializers

2011-02-14  Ryan Lortie  <desrt@desrt.ca>

	GVariant binding: add lookup APIs

2011-02-13  Jürg Billeter  <j@bitron.ch>

	codegen: Use builder API to free captured variables

2011-02-13  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Guard array length access on simple assignment

	codegen: Replace get_unref_expression_ with destroy_variable

2011-02-11  Stefano Debenedetti  <ste@demaledetti.net>

	posix: Add recv() function binding.
	Fixes bug 641785.

	glib-2.0: Fix PollFunc delegate binding.
	Fixes bug 641789.

	posix: Fix poll and ppoll bindings.
	Fixes bug 641788.

2011-02-11  Jürg Billeter  <j@bitron.ch>

	Add clutter-gtk-1.0 bindings
	Fixes bug 642013.

2011-02-10  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Improve performance of string.substring on large strings

2011-02-09  Jürg Billeter  <j@bitron.ch>

	gtk+-2.0, gtk+-3.0: Fix gtk_style_copy binding
	Fixes bug 641950.

	Allow use of N_("foo") in constant initializer lists

2011-02-08  Jürg Billeter  <j@bitron.ch>

	Fix signals with generic parameters
	Fixes bug 628639.

	Support translated string constants
	Fixes bug 641543.

	Report error for constants with non-constant expressions

	codegen: Fix property accessor definitions with custom cname
	Fixes bug 641781.

2011-02-07  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_widget_get_preferred_* bindings

	gtk+-2.0, gtk+-3.0: Fix gtk_text_iter_{begins,ends}_tag bindings

	gdk-3.0: Fix GdkRectangle binding
	Fixes bug 637901.

	Fix null-terminated array parameters in signals
	Fixes bug 641715.

2011-02-07  Frederik 'playya' Sdun  <Frederik.Sdun@googlemail.com>

	gio-2.0: add array_null_terminated annotions in DBus Introspection

2011-02-07  Evan Nemerson  <evan@coeus-group.com>

	pixman-1: fix Image ref and unref functions

2011-02-07  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix g_application_local_command_line binding
	Fixes bug 641512.

2011-02-06  Luca Bruno  <lucabru@src.gnome.org>

	json-glib-1.0: Make Object.set_member node parameter owned

	cogl-1.0: Fix Matrix from_array, get_inverse and transform_point

	clutter-1.0: Fix Actor methods about transformation matrix and rotation.
	Fixed methods are apply_transform, get_tranformation_matrix
	and get_rotation.

2011-02-05  Evan Nemerson  <evan@coeus-group.com>

	clutter-1.0: make entries parameter of init_with_args an array
	Fixes bug 639657.

2011-02-05  Marc-André Lureau  <marcandre.lureau@gmail.com>

	libsoup-2.4: Move form_* methods into Form and fix ownership issues
	Fixes bug 640841.

2011-02-05  Evan Nemerson  <evan@coeus-group.com>

	Add pixman-1 bindings

	linux: add omapfb bindings

2011-02-04  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: add missing parameter to Variant.dup_bytestring

	gdk-pixbuf-2.0: make return value of Gdk.Pixbuf.flip nullable

	gio-2.0: use GLib.Func for Cancellable.connect argument

2011-01-29  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Add parse and try_parse methods to boolean and numeric types
	This deprecates string.to_bool and string.to_int*.

2011-01-28  Jürg Billeter  <j@bitron.ch>

	Do not use verbose error reporting for deprecation warnings

2011-01-25  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix GDBusProxy::g-properties-changed binding

2011-01-24  Evan Nemerson  <evan@coeus-group.com>

	mx-1.0: Make Padding a struct instead of a compact class

2011-01-23  Andrea Del Signore  <sejerpz@tin.it>

	gtksourceview-2.0: Fix SourceCompletionContext and SourceCompletionProvider

2011-01-21  Jürg Billeter  <j@bitron.ch>

	Release 0.11.5

2011-01-21  Luca Bruno  <lucabru@src.gnome.org>

	Add test for throwing errors from catch clauses

2011-01-21  Sebastian Dröge  <sebastian.droege@collabora.co.uk>

	gstreamer-pbutils-0.10: Use custom ref/unref functions for Gst.EncodingTarget

2011-01-21  Arun Raghavan  <arun.raghavan@collabora.co.uk>

	gstreamer-pbutils-0.10: Update for 0.10.32
	Main change is the addition of encoding profiles and related API.

2011-01-20  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Add string.last_index_of_char
	This deprecates string.rchr.

	glib-2.0: Add string.last_index_of
	This deprecates string.rstr.

2011-01-20  Michal Hruby  <michal.mhr@gmail.com>

	girwriter: Fix methods returning arrays

2011-01-20  Luca Bruno  <lucabru@src.gnome.org>

	Add *~ to .gitignore

2011-01-20  Jürg Billeter  <j@bitron.ch>

	GAsync: Fix capturing parameters in async methods

	codegen: Set closure pointers to NULL after unref

	codegen: Revert not_in_coroutine convenience parameter
	Commit fb0c4bb7 broke closures in async methods.

	Add test for closures in async methods

2011-01-20  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: Make GLib.Log.default_handler a GLib.LogFunc
	Fixes bug 638682.

	tokyocabinet: Fix delegate target cname for Tree.cmp

2011-01-19  Evan Nemerson  <evan@coeus-group.com>

	girparser: Support unnamed arguments for all types
	Fixes bug 636996.

2011-01-19  Geert Jordaens  <geert.jordaens@telenet.be>

	libusb-1.0: Add TransferFlags, use Posix.timeval not GLib.TimeVal

2011-01-19  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Rename append_array_size and get_array_sizes to *_length(s)
	The code of these two functions actually append a length C expression to
	the array expression, not its size.

	codegen: Add not_in_coroutine convenience parameter to get an lvalue

	codegen: Add convenience is_in_coroutine() function

2011-01-19  Jürg Billeter  <j@bitron.ch>

	codegen: Use store_local in visit_local_variable
	Based on patch by Luca Bruno.

	codegen: Move main declaration to the beginning in visit_local_variable

	codegen: Simplify visit_local_variable

	codegen: Remove unnecessary temporary variables in visit_local_variable

	codegen: Simplify visit_local_variable

2011-01-19  Evan Nemerson  <evan@coeus-group.com>

	gstreamer-0.10: Correct metadata order and use void* instead of pointer

	vapigen: Fix handling of arrays and nullability when parsing types

2011-01-19  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Add CCodeFunction.add_assignment convenience function

	codegen: Add get_parameter_cvalue and load_parameter

	Fix capturing delegate parameters in async method.
	Fixes bug 639591.

2011-01-19  Michael Terry  <mike@mterry.name>

	gio-2.0: Set Settings.get_string as transferring ownership

2011-01-18  Luca Bruno  <lucabru@src.gnome.org>

	codegen: Use get_local_cvalue to unref local variables

2011-01-18  Michal Hruby  <michal.mhr@gmail.com>

	girwriter: Fix methods returning non-null structs

2011-01-18  Jürg Billeter  <j@bitron.ch>

	D-Bus: Fix use of dbus-glib interfaces in multiple source files

2011-01-17  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-3.0, gdk-3.0: Set gir namespace version to 3.0.

	unique-1.0: Fix MessageData.set binding.
	Fixes bug 639694.

2011-01-16  Jürg Billeter  <j@bitron.ch>

	Move handling of common attributes from Field and Parameter to Variable

	vapigen: Fix metadata pattern handling

2011-01-15  Javier Jardón  <jjardon@gnome.org>

	posix: Add writev and readv POSIX compliant functions.
	Fixes bug 639306.

2011-01-15  Jürg Billeter  <j@bitron.ch>

	Release 0.11.4

	gtk+-3.0: Fix gtk_tree_model_iter_previous binding

	glib-2.0: Add string.index_of_char
	This deprecates string.chr.

	glib-2.0: Add string.index_of
	This deprecates string.str.

	glib-2.0: Add string.index_of_nth_char
	This deprecates string.utf8_offset, string.offset,
	string.pointer_to_offset, and string.ndup.

2011-01-15  Luca Bruno  <lucabru@src.gnome.org>

	Use gdestroynotify_type in codegen instead of looking it up everytime.

2011-01-15  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Add string.valid_char

	glib-2.0: Add string.char_count

	D-Bus: Support get_proxy with generic type in GDBus clients
	Fixes bug 612517.

	D-Bus: Fix string-marshalled enum handling in async GDBus servers

	Add get_type functions to symbols file
	Fixes bug 637909.

2011-01-15  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Set default_value of time_t to 0
	Fixes bug 615108.

2011-01-15  Jürg Billeter  <j@bitron.ch>

	webkit-1.0: Add generic type arguments
	Based on patch by Igor Boev, fixes bug 639150.

	Remove unused variable in parser

	D-Bus: Handle invalid values for string-marshalled enums in GDBus
	Fixes bug 607559.

	GVariant: Add error parameter for enum from_string functions

	gtk+-3.0: Update to 2.99.2

	vapigen: Support hidden attribute for interface implementations

	gdk-pixbuf-2.0: Update to 2.23.0

	gio-2.0: Update to 2.27.91

2011-01-15  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Mark gtk_layout_new parameters nullable.
	Fixes bug 639156.

	gdk-2.0, gdk-3.0: Mark EventButton.axes and EventMotion.axes to be an array.
	Fixes bug 639570.

	posix: Add shutdown() and shutdown constants.
	Fixes bug 638916.

2011-01-15  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_widget_destroy binding
	Fixes bug 638290.

	Allow arbitrary method calls in yield expressions
	Fixes bug 612172.

2011-01-15  Luca Bruno  <lucabru@src.gnome.org>

	Fix base class method compatibility check with the ellipsis parameter
	Fixes bug 633218.

	Support reference transfer for delegates
	Fixes bug 632411.

	girwriter: Fix string annotations

2011-01-14  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Fix gtk_cell_renderer_get_preferred_* bindings
	Fixes bug 639551.

2011-01-13  Jürg Billeter  <j@bitron.ch>

	D-Bus: Fix memory leak in error handling in async GDBus servers

	codegen: Limit scope of locals freed on errors thrown from catch clauses
	This fixes double unref of closures.

	codegen: Merge append_local_free and append_error_free

	codegen: Always add default label to switch statements

	codegen: Fix crash on string switch statement with just a default label
	Fixes bug 639387.

2011-01-12  Raul Gutierrez Segales  <raul.gutierrez.segales@collabora.co.uk>

	gio-2.0: Mark ContentType.guess filename parameter to be nullable.

2011-01-10  Luca Bruno  <lucabru@src.gnome.org>

	gio-2.0: Mark GLib.Socket.accept return value to be owned.
	Based on patch by Stefano Debenedetti.

	Fixes bug 638912.

	gio-2.0: Add missing metadata for previous commit setting IOError throws.
	Previous commit was 58f542837b1f0204b4 that only affected the gio-2.0.vapi.

	webkit-1.0: Last parameter of WebKitWebView::load_error is GLib.Error.
	Fixes bug 639096.

2011-01-09  Luca Bruno  <lucabru@src.gnome.org>

	gnome-keyring-1: Make store_password_sync keyring parameter nullable.

	Support owned delegate parameters in delegates.
	Fixes bug 639059.

	gio-2.0: set_error_if_cancelled and condition_wait throw IOError.

2011-01-09  Jürg Billeter  <j@bitron.ch>

	D-Bus: Fix warning and leak in proxy creation in dbus-glib clients

2011-01-08  Jürg Billeter  <j@bitron.ch>

	D-Bus: Add interface to signal match rule for dbus-glib clients
	Fixes bug 631126.

	Do not install GObject properties for D-Bus interfaces
	They were never properly implemented in the proxy classes. Latest GLib
	release prints critical warnings due to the missing implementation.

	Fix formal_target_type in conditional expressions
	Fixes bug 638902.

	x11: Add XK_Super_L and XK_Super_R bindings

2011-01-06  Daniel Svensson  <dsvensson@gmail.com>

	avahi-gobject: Make Avahi.Protocol an enum instead of struct.

2011-01-06  Jürg Billeter  <j@bitron.ch>

	json-glib-1.0: Update for 0.12.0

2011-01-05  Jürg Billeter  <j@bitron.ch>

	Release 0.11.3

2011-01-05  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Fix checking end element in parse_boxed

2011-01-05  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Use int for string.length

2011-01-05  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Skip priv fields when parsing record

	girparser: Fix parsing glib:boxed

2011-01-04  Jürg Billeter  <j@bitron.ch>

	glib-2.0: Fix GVariantClass binding

2011-01-04  Andreas Brauchli  <a.brauchli@elementarea.net>

	clutter-gtk-0.10: Fix init_with_args bindings.
	Fixes bug 635522.

2011-01-04  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Fix gtk_init_add and gtk_quit_add bindings.
	Fixes bug 638496.

2010-12-29  Jürg Billeter  <j@bitron.ch>

	gtksourceview-2.0: Fix gtk_source_completion_proposal_get_* bindings

	GVariant: Fix serialization of empty hash tables

	cairo: Add fields to cairo_matrix_t binding

	pango: Fix pango_attr_list_change binding

2010-12-27  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: synchronize MountFlags with newer kernels

2010-12-26  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: bind more from linux/if_addr.h

2010-12-26  Jürg Billeter  <j@bitron.ch>

	dbus-glib-1: Fix cname of RawMessageType and RawType enums
	Fixes bug 637971.

2010-12-23  Oliver Sauder  <os@esite.ch>

	x11: Add missing binding for XUngrabKey.

2010-12-23  Jürg Billeter  <j@bitron.ch>

	codegen: Replace emit_property_assignment by store_property

	codegen: Use separate C statements for implicit GValue conversions

	codegen: Remove unused code for property assignments

2010-12-23  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: bind more of netlink, rtnetlink, and arp

	posix: add send(2), sendto(2), and sendmsg(2)

2010-12-23  Jürg Billeter  <j@bitron.ch>

	Do not allow default values for ref parameters

2010-12-23  Luca Bruno  <lucabru@src.gnome.org>

	Only allow null default value for out parameters
	Fixes bug 636096.

2010-12-23  Jürg Billeter  <j@bitron.ch>

	gio-unix-2.0: Fix g_unix_mounts_get binding

2010-12-23  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: add setsockopt(2) level constants
	Although setsockopt(2) itself is part of POSIX, the
	level constants are not.

2010-12-22  Michael 'Mickey' Lauer  <mickey@vanille-media.de>

	linux: add more netlink constants

	posix: add socklen_t, setsockopt(2), and getsockopt(2)

2010-12-22  Raul Gutierrez Segales  <raul.gutierrez.segales@collabora.co.uk>

	gobject-2.0: Set Type.interfaces() array length type to guint.

2010-12-22  Jürg Billeter  <j@bitron.ch>

	gen-introspect: Fix exit code for missing header files
	Fixes bug 633596.

	vapigen: Fix GIDL parse error reporting
	Fixes bug 633597.

	codegen: Fix C warning when deserializing GVariant arrays

	D-Bus: Fix C warning in GDBus servers

2010-12-21  Jürg Billeter  <j@bitron.ch>

	codegen: Generate struct copy and destroy functions only if needed

	D-Bus: Fix C warnings in GDBus servers

	D-Bus: Fix C warnings in GDBus clients

	codegen: Do not create unused real functions for interface methods

	codegen: Generate async ready functions only if needed

	codegen: Avoid writing C statements with no effect

	codegen: Use separate C statements for D-Bus object registration

	codegen: Use separate C statements for signal connect expressions

	codegen: Use separate C statements for array resize expressions

	codegen: Use separate C statements for array add expressions

	codegen: Use separate C statements for postfix expressions

	codegen: Avoid unnecessary property getter calls

2010-12-20  Jürg Billeter  <j@bitron.ch>

	D-Bus: Support BusName sender parameter in GDBus servers

2010-12-20  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Ensure interfaces have at least one instantiable prerequisite
	When parsing a GIR file, add a prerequisite on GLib.Object to interfaces
	which don't have an instantiable prerequisite specified in the GIR file,
	as g-ir-scanner considers this prerequisite to be implicit.

	Based on commit 65bc5e64725900961ec, reverts fc7fe82fbd0b19b6caaf7ef.

	Fixes bug 624923.

2010-12-20  Jürg Billeter  <j@bitron.ch>

	gio-2.0: Fix g_application_run binding
	Fixes bug 635890.

2010-12-20  Andreas Fenkart  <andreas.fenkart@streamunlimited.com>

	gstreamer-0.10: transfer ownership of arguments in Element.message_full
	Fixes bug 635721.

2010-12-20  Luca Bruno  <lucabru@src.gnome.org>

	gtk+-2.0, gtk+-3.0: Make gtk_entry_buffer_* string[] parameters be char[].
	Fixes bug 635628.

	gtk+-2.0, gtk+-3.0: Make gtk_entry_buffer_new initial_chars be uint8[].
	Fixes bug 636004.

2010-12-19  Jürg Billeter  <j@bitron.ch>

	Improve syntax error message for missing type in foreach
	Fixes bug 635903.

	Detect shadowed variable for foreach statement without iterator

2010-12-19  Luca Bruno  <lucabru@src.gnome.org>

	Fix symbol resolution and enable control flow analysis for signals
	Fixes bug 635820.

	Support delegates with owned delegate return types
	Fixes bug 633839.

	Report error on invalid initializer expression
	Fixes bug 637521.

2010-12-18  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: use simple_generics for GLib.Thread.self

2010-12-17  Anatol Pomozov  <anatol.pomozov@gmail.com>

	posix: Add pread and pwrite POSIX compliant functions.
	Fixes bug 636734.

2010-12-17  Luca Bruno  <lucabru@src.gnome.org>

	glib-2.0: Add HashTable.find method and HRFunc delegate.
	Based on Alexander Krivács Schrøder patch.

	Fixes bug 636786.

2010-12-15  Luca Bruno  <lucabru@src.gnome.org>

	dova: Report error if can't infer element type for list/set/map literals

	Fix missing source references for some generated MemberAccess

2010-12-09  Evan Nemerson  <evan@coeus-group.com>

	GIR writer: support bitfields when generating GIRs

2010-12-07  Arun Raghavan  <arun.raghavan@collabora.co.uk>

	gstreamer-pbutils-0.10: Update for 0.10.31

2010-11-30  Evan Nemerson  <evan@coeus-group.com>

	posix: Add struct utsname binding

2010-11-25  Evan Nemerson  <evan@coeus-group.com>

	json-glib-1.0: Fix ownership of several GObject serialization functions

2010-11-21  Evan Nemerson  <evan@coeus-group.com>

	Regenerate several bindings to account changes to vapigen and libvala
	Regenerated gdl-1.0, gstreamer-app-0.10, gstreamer-cdda-0.10,
	gstreamer-controller-0.10, gudev-1.0, hildon-1, libgda-report-4.0
	purple rest-extras-0.6 unique-1.0.

	mx-1.0: Remove abstract for several Draggable and Droppable methods
	Fixes bug 633902.

2010-11-20  Jürg Billeter  <j@bitron.ch>

	codegen: Fix local variable access in dova

2010-11-18  Luca Bruno  <lucabru@src.gnome.org>

	clutter-1.0: Mark ClutterEvent.get_coords parameters as out

2010-11-16  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: Mark Widget.style_get_property.value as out

	libusb-1.0: Use uint8[] instead of uchar[] for binary data

	zlib: Use uint8[] for binary data

2010-11-15  Jürg Billeter  <j@bitron.ch>

	Fix check for missing return statements in non-void methods

2010-11-14  Evan Nemerson  <evan@coeus-group.com>

	glib-2.0: Add UserDirectory.N_DIRECTORIES

	zlib: Remove values from enums

2010-11-11  Jürg Billeter  <j@bitron.ch>

	glib-2.0, gio-2.0: Update to 2.27.3

	codegen: Fix capturing array parameters
	Fixes bug 633688.

	Report error for signal handlers throwing errors

	codegen: Fix C code generated for returns in closures in constructors
	Fixes bug 634551.

	codegen: Fix crash when accessing arrays of unknown length
	Fixes bug 634556.

2010-11-11  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: Mark IconTheme.load_icon as transferring ownership

2010-11-10  Evan Nemerson  <evan@coeus-group.com>

	gnome-vfs-2.0: Regenerate bindings to fix several const names

	gdu, gdu-gtk: Regenerate bindings and add generic type arguments

	glib-2.0: Add missing GIR names for (u)char and (s)size_t

	vapigen: Improve type_name and type_arguments parsing

	girwriter: Flatten symbols nested in a way not supported by GIR
	Fixes bug 619865.

2010-11-08  Jürg Billeter  <j@bitron.ch>

	Release 0.11.2

2010-11-08  Evan Nemerson  <evan@coeus-group.com>

	codegen: Omit free function from unowned simple generic arguments
	Fixes bug 627198.

2010-11-08  Jürg Billeter  <j@bitron.ch>

	girparser: Remove unused get_double method

	codegen: Fix unsafe C generated for array slices
	Argument evaluation order is not guaranteed in C.

2010-11-08  Evan Nemerson  <evan@coeus-group.com>

	libnotify: Update to 0.7.0
	Fixes bug 633819.

2010-11-08  Luca Bruno  <lucabru@src.gnome.org>

	vapi: Remove nested namespaces GIR information.
	Affected packages are gdk-3.0, gio-2.0, gtk+-2.0 and gtk+-3.0.

2010-11-08  Abderrahim Kitouni  <a.kitouni@gmail.com>

	codewriter: Do not write GIR information for nested namespaces

2010-11-08  Evan Nemerson  <evan@coeus-group.com>

	girparser: fix array length parsing

	girparser: Update parsing of alias element to 1.2 syntax

2010-11-08  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Set type_cname of interfaces from the relative struct cname.
	Fixes bug 625026.

	girparser: Skip class field that refer to the parent instance

	girparser: Add vfunc_name, abstract and virtual arguments

	girparser: Guess virtual method wrapper variant when possible

2010-11-08  Luca Bruno  <lethalman88@gmail.com>

	girparser: Do not add Object prerequisite before symbol resolution

2010-11-08  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Use array_length_pos argument for parameters

	girparser: Use string.replace instead of string.joinv

	girparser: Fix Strv properties

	girparser: Add default argument for parameters

	girparser: Add out/ref arguments

	girparser: Don't add hidden symbols

	girparser: Add symbol deprecation

	girparser: Support regex in name argument

	girparser: Report unused metadata information

	girparser: Support symbol reparenting

	girparser: Support tweaking type and type arguments in the metadata

	girparser: Support a special metadata pattern for root namespace

	girparser: Add metadata stack while parsing the gir, generalize merging

	girparser: Autoreparent static methods to the best-matching symbol

	girparser: Postprocess aliases

2010-11-08  Luca Bruno  <lethalman88@gmail.com>

	girparser: Skip creating structs for *Class and *Iface

2010-11-08  Luca Bruno  <lucabru@src.gnome.org>

	girparser: Postprocess symbols

	girparser: Add common parse_symbol_from_string method

	girparser: Replace parse_metadata with MetadataParser

	vapigen: Add --disable-warnings and use --quiet to tune reports verbosity

2010-11-08  Luca Bruno  <lethalman88@gmail.com>

	girparser: Generate default parameter names for callbacks

	girparser: Add missing source references to classes and structs

	girparser: Parse included GIR files

	girparser: Stop parsing if the context already has the provided package

	vapigen: Remove misleading --metadata, each .gir must have its own .metadata.
	Fixes bug 624278.

	vapigen: Honor --directory option as output directory

	vapigen: Remove obsolete code for handling omitted --library option

2010-11-08  Alban Browaeys  <prahal@yahoo.com>

	Genie: Fix lists and dicts with libgee 0.7
	The delegate type used for equal and hash functions changed in
	libgee 0.7. However, as libgee 0.5+ takes care of setting reasonable
	default functions, simply removing the corresponding code from the
	Genie parser fixes this incompatibility.

2010-11-08  Jürg Billeter  <j@bitron.ch>

	codegen: Fix C code generated for out array arguments in async methods

2010-11-06  Jürg Billeter  <j@bitron.ch>

	gtk+-3.0: Update to 2.91.3

	gdk-pixbuf-2.0: Update to 2.22.1

	gio-2.0: Update to 2.27.2

2010-11-05  Evan Nemerson  <evan@coeus-group.com>

	libsoup-2.4: use uint8[] instead of string for Buffer.data

2010-11-03  Thijs Vermeir  <thijsvermeir@gmail.com>

	gstreamer-0.10: fix GCallback casting in probe functions

2010-11-03  Evan Nemerson  <evan@coeus-group.com>

	gtk+-2.0, gtk+-3.0: mark Style.get_style_property value argument as out

